<?php
/*
	*	
	* OxyClassifieds.com : PHP Classifieds (http://www.oxyclassifieds.com) - P30Vel.IR
	* version 7.0
	* (c) 2011 OxyClassifieds.com (office@oxyclassifieds.com).
	*
*/
// modules directory 
global $config_abs_path;
$modules_dir = $config_abs_path."/modules/";  

// get all modules files
$modules_files = glob($modules_dir."*.php");

// default hooks
global $hooks;
$hooks = array("include" => array(), "init_template" => array(), "search_keyword" => array(), "periodic" => array(), 
		"first_page" => array(), "details_page"=> array(), "user_page" => array(), "inc_cat" => array(), 
		"dec_cat" => array(), "search_meta" => array(), "authenticate" => array(), "newad" => array(),
		"add_language" => array(), "delete_language" => array(), "search1" => array());

// add_filter functionality
function add_filter($action, $function, $priority = 5, $no_args = 1) {
	global $hooks;
	$idx = count($hooks[$action]);
	// !!!!!!!!!!!! order the hooks
	array_push($hooks[$action], array("function" => $function, "no_args" => $no_args));
}

function add_action($action, $function, $priority = 5, $no_args = 1) {

	add_filter($action, $function, $priority, $no_args);
}

// include module files 
global $config_abs_path;
foreach($modules_files as $hook_file) {  
	require_once($hook_file);
}

function do_action($action) {

	global $hooks;

	// get total number of arguments
	$no_args = func_num_args();

	// get arguments
	$args = func_get_args();

	foreach($hooks[$action] as $hook ) {

		call_user_func_array($hook["function"], array_slice($args, 1, $hook["no_args"]));

	}

}

function apply_filter($filter, $value) {

	global $hooks;

	// get total number of arguments
	$no_args = func_num_args();

	// get arguments
	$args = func_get_args();

	foreach($hooks[$filter] as $hook ) {

		$value = call_user_func_array($hook["function"], array_slice($args, 1, $hooks[$action]["no_args"]));

	}

	return $value;

}

?>