<?php
/*
	*	
	* OxyClassifieds.com : PHP Classifieds (http://www.oxyclassifieds.com) - P30Vel.IR
	* version 7.0
	* (c) 2011 OxyClassifieds.com (office@oxyclassifieds.com).
	*
*/
require_once "include/include.php";
require_once "include/payments.php";
require_once "classes/info.php";
require_once "classes/groups.php";
require_once "classes/mails.php";
require_once "classes/mail_templates.php";
require_once "classes/coupons.php";

global $lng;
$smarty = new Smarty;
$smarty = common($smarty);
$smarty->assign("lng",$lng);
$smarty->assign("section","account");

global $ads_settings;

$auth=new auth();
if(!$auth->loggedIn()) { header("Location: ".$config_live_site."/login.php?loc=buy_store.php"); exit(0); }

global $crt_usr;

$usr = new users();
$user_group = $usr->getGroup($crt_usr);
$gr = new groups;
if($gr->getStore($user_group)!=1) exit(0);

$processors = new payment_processors();
$payment_processors = $processors->getActivePaymentProcessors();
$no_processors = $processors->getNoActive();
$smarty->assign("payment_processors",$payment_processors);
$smarty->assign("no_processors",$no_processors);

$info_obj = new info();
$info = '';

// $enable_coupons
if(coupons::typeExists('store')) $enable_coupons = 1; else $enable_coupons = 0;
$smarty->assign("enable_coupons", $enable_coupons);


$error='';
$amount=0;
$post = 0;

global $ads_settings;
$amount = $ads_settings['store_price'];
$amount_formatted = add_currency(format_numeric($amount));

if(isset($_POST['Next'])) {

	if(isset($_POST['discount_code'])) {

		$code = escape($_POST['discount_code']);

		// check if valid code
		if($arr = coupons::codeValid($code, 'store', $crt_usr, $user_group)) {

			$def_amount=$amount;
			$discount = $arr['discount'];
			if($arr['type'] == "fixed") {

				$amount = $def_amount-$discount;
				if($amount<0) $amount = 0;
				$discount_str = add_currency($arr['discount']);

			} else { // percent

				$amount = $def_amount - ($discount*$def_amount)/100;
				$discount_str = $arr['discount'].'%';
			}

		}
	}

	$amount_formatted = add_currency(format_numeric($amount));

	if(!$amount) $processor = "free";
	else {
 
	if(!$_POST['processor']) $error = $lng['buy_package']['error']['choose_processor'];
	else { 
		$processor = escape($_POST['processor']);
		$found=0;
		foreach ($payment_processors as $p) if($p['processor_code'] == $processor) $found=1;
		if(!$found) $error .= $lng['buy_package']['error']['invalid_processor'].'<br>';
		$smarty->assign("selected_processor",$processor);

	}
	} // if not free

	if(!$error) {
		$post=1;

		$actions_array = array( "ad_id" => 0, "pkg_id" => 0, "newad" => array( 'value' => 0 , 'price' => 0) , "renewad" => array( 'value' => 0 , 'price' => 0), "featured" => array( 'value' => 0 , 'price' => 0), "highlited" => array( 'value' => 0 , 'price' => 0), "priority" => array( 'value' => 0 , 'price' => 0), "video" => array( 'value' => 0 , 'price' => 0), "newpkg" => array( 'value' => 0 , 'price' => 0), "renewpkg" => array( 'value' => 0 , 'price' => 0), "discount_code" =>'' );


		$actions_array['store']['value'] = 1;
		$actions_array['store']['price'] = $amount;
 
		if($code){ 
			$actions_array['discount_code'] = $code;
			$cp = new coupons;
			$cp->addDiscount($crt_usr, 'store', $code, $crt_usr);
		}

		$payment = new payment( $processor );
		$payment->setUserId($crt_usr);
		$payment->setAmount($amount);
		$payment->setActionsArray($actions_array);
		$payment->setFormTitle($lng['general']['next']);
		$manual = $payment->getManual();
		$pending = $payment->isPending();
		$payment_form = $payment->writeForm();
		$smarty->assign("payment_form",$payment_form);

	} 
}
$smarty->assign("post",$post);
$smarty->assign("error",$error);
$smarty->assign("amount",$amount);
$smarty->assign("amount_formatted",$amount_formatted);

$smarty->assign("info",$info);
$smarty->display('buy_store.html');

$db->close();
if($db->error!='') { $db_error = $db->getError(); $smarty->assign('db_error',$db_error); }
close();
?>
