<?php
/*
	*	
	* OxyClassifieds.com : PHP Classifieds (http://www.oxyclassifieds.com) - P30Vel.IR
	* version 7.0
	* (c) 2011 OxyClassifieds.com (office@oxyclassifieds.com).
	*
*/
require_once "include/include.php";
require_once "classes/mails.php";
require_once "classes/validator.php";

global $db;
global $lng;
$smarty = new Smarty;
$smarty = common($smarty);
$smarty->assign("lng",$lng);
$smarty->assign("section","other");

$info='';
$error='';
$tmp=array();
if(isset($_POST['Submit'])) {
	
	if(!isset($_POST['name']) || $_POST['name']=='') {

		$error.=$lng['contact']['error']['name_missing'].'<br />';

	}

	if(!isset($_POST['subject']) || $_POST['subject']=='') {

		$error.=$lng['contact']['error']['subject_missing'].'<br />';

	}

	if(!isset($_POST['email']) || $_POST['email']=='' ) {

		$error.=$lng['contact']['error']['email_missing'].'<br />';

	} else if(!validator::valid_email($_POST['email'])) {

		$error.=$lng['contact']['error']['invalid_email'].'<br />';

	}

	if(!isset($_POST['comments']) || $_POST['comments']=='' ) {

		$error.=$lng['contact']['error']['comments_missing'].'<br />';

	}

	if($settings['contact_captcha'] && !checkValidationImage() ) {
		
		$error.=$lng['contact']['error']['invalid_validation_number'].'<br />';

	}

	if($error=='') {

		$mail = new mails();
		$mail->init($settings['contact_email'], $settings['admin_name']);
		$mail->setSubject(clean($_POST['subject']));
		$mail->setFrom(clean($_POST['email']));

		$mail->setFromName(clean($_POST['name']));
		$msg=nl2br(clean($_POST['comments'])).'
';

		global $mail_settings;
		if(empty($mail_settings)) $mail_settings = settings::getMailSettings();
		$html_mails=$mail_settings["html_mails"];

		if(isset($_POST['webpage']) && $_POST['webpage']) { 

			if($html_mails) { 
				$weblink=html_link(escape($_POST['webpage']));
				$line = "<br/>";
			}
			else { 
				$weblink=correct_href(escape($_POST['webpage']));
				$line = "\n";
			}
			$msg.=$line.$weblink;

		}

		$mail->setMessage($msg);
		if($mail->send()) $info=$lng['contact']['message_sent'];
		else $info=$lng['contact']['sending_message_failed'];

	} else {
		if(isset($_POST['name'])) $tmp['name'] = clean($_POST['name']); else $tmp['name']='';
		if(isset($_POST['email'])) $tmp['email'] = clean($_POST['email']); else $tmp['email']='';
		if(isset($_POST['webpage'])) $tmp['webpage'] = clean($_POST['webpage']); else $tmp['webpage']='';
		if(isset($_POST['subject'])) $tmp['subject'] = clean($_POST['subject']); else $tmp['subject']='';
		if(isset($_POST['comments'])) $tmp['comments'] = clean($_POST['comments']); else $tmp['comments']='';
	}

}


$smarty->assign("error", $error);
$smarty->assign("info", $info);
$smarty->assign("tmp", $tmp);

$db->close();
if($db->error!='') { $db_error = $db->getError(); $smarty->assign('db_error',$db_error); }

$smarty->display('contact.html');
close();
?>
