<?php
/*
	*	
	* OxyClassifieds.com : PHP Classifieds (http://www.oxyclassifieds.com) - P30Vel.IR
	* version 7.0
	* (c) 2011 OxyClassifieds.com (office@oxyclassifieds.com).
	*
*/
require_once "include/include.php";
require_once "include/payments.php";
require_once "classes/info.php";
require_once "classes/mail_templates.php";
require_once "classes/mails.php";
require_once "classes/coupons.php";
require_once "classes/priorities.php";
require_once "classes/validator.php";
require_once "classes/users.php";

global $db;
global $lng;
$smarty = new Smarty;
$smarty = common($smarty);
$smarty->assign("lng",$lng);

if(isset($_GET['id']) && is_numeric($_GET['id'])) $id = $_GET['id']; else exit(0);
if(isset($_GET['step']) && is_numeric($_GET['step'])) $step = $_GET['step']; else $step=1;

$smarty->assign("id",$id);
$smarty->assign("step",$step);
$smarty->assign("section","account");

global $ads_settings;
global $settings;

$auth=new auth();
$listing = new listings;
$user_id = 0;
if(!$auth->loggedIn() && !$settings['nologin_enabled']) { header("Location: ".$config_live_site."/login.php?loc=edit_options.php?id=".$id); exit(0); }
else if($settings['nologin_enabled'] && !$auth->loggedIn()) {
	$listing = new listings;
	if(!isset($_GET['key'])){ header("Location: ".$config_live_site."/not_authorized.php"); exit(0); }
	$key = escape($_GET['key']);
	if(!$listing->correctKey($id, $key)) { header("Location: ".$config_live_site."/not_authorized.php"); exit(0); }
	$smarty->assign("key",$key);
} else {
$user_id = $auth->crtUserId();
if(($user_id && !$settings['users_feature_ads']) || ($user_id!=$listing->getUser($id)) ) { header("Location: ".$config_live_site."/not_authorized.php"); exit(0); }
}

if($ads_settings['enable_featured'] || $ads_settings['enable_highlited'] || $ads_settings['enable_priorities'] || $ads_settings['enable_video']) $extra_options=1; else $extra_options=0;
$smarty->assign("extra_options",$extra_options);

// check the options that the ad already has
$options = $listing->getAdOptions($id);
$smarty->assign("options",$options);

$pri = new priorities();
$priorities = $pri->getPriorities();
$smarty->assign("priorities",$priorities);

$total = 0;

function init_sessions($arr) {

	$_SESSION['action'] = array( "ad_id" => 0, "pkg_id" => 0, "newad" => array( 'value' => 0 , 'price' => 0) , "renewad" => array( 'value' => 0 , 'price' => 0), "featured" => array( 'value' => 0 , 'price' => 0), "highlited" => array( 'value' => 0 , 'price' => 0), "priority" => array( 'value' => 0 , 'price' => 0), "video" => array( 'value' => 0 , 'price' => 0), "newpkg" => array( 'value' => 0 , 'price' => 0), "renewpkg" => array( 'value' => 0 , 'price' => 0), "discount_code" =>'' );

	foreach ($arr as $s) $_SESSION["$s"]='';
	$_SESSION['amount'] = 0;
	$_SESSION['full_amount'] = 0;

}

function unset_sessions($arr) {

	unset($_SESSION['action']);
	foreach ($arr as $s) unset($_SESSION["$s"]);

}

if($step==1) {

	$sessions_arr = array("processor", "amount", "full_amount", "discount_code");
	unset_sessions($sessions_arr);
	init_sessions($sessions_arr);

	$_SESSION['action']['ad_id'] = $id;

	// get old video code
	$video_code = listings::getVideo($id);

	// $enable_coupons
	if(coupons::typeExists('ads')) $enable_coupons = 1; else $enable_coupons = 0;
	$smarty->assign("enable_coupons", $enable_coupons);

	$smarty->assign("full_total",format_price($_SESSION['full_amount']));
	$smarty->assign("total",format_price($_SESSION['amount']));
	$smarty->assign("discount_code",$_SESSION['discount_code']);
	$smarty->assign("video_code",$video_code);

}

if($step==2) {

	$processors = new payment_processors();
	$payment_processors = $processors->getActivePaymentProcessors();
	$no_processors = $processors->getNoActive();
	$smarty->assign("payment_processors",$payment_processors);
	$smarty->assign("no_processors",$no_processors);
	$total = $_SESSION['amount'];
	if($_SESSION['discount_code']) {
		$user = new users;
		$group = $user->getGroup($user_id);
		$coupon = coupons::getDiscountByCode($_SESSION['discount_code'], $user_id, $group);
		if($coupon['type'] == "fixed") $discount = add_currency($coupon['discount']);
		else $discount = $coupon['discount'].'%';
		$smarty->assign("discount",$discount);
		$smarty->assign("discount_code",$_SESSION['discount_code']);
	}
	$smarty->assign("extra_option", $_SESSION['extra_option']);
}

if($step==3) {

	$total = $_SESSION['amount'];

	if(isset($key) && $key) $key_str="&key=".$key; else $key_str="";
	if(!$_SESSION['processor']) { header("Location: edit_options.php?id=$id&step=2".$key_str); exit(0); }
	$payment = new payment( $_SESSION['processor'] );

	$payment->setUserId($user_id);
	$payment->setAmount($_SESSION['amount']);
	$payment->setActionsArray($_SESSION['action']);
	$payment->setFormTitle($lng['general']['finish']);
	$manual = $payment->getManual();
	$payment_form = $payment->writeForm();
	$smarty->assign("payment_form",$payment_form);

	$am = add_currency($_SESSION['amount']);

	// discount
	if($_SESSION['discount_code']) {
		$cp = new coupons;
		$cp->addDiscount($id, 'upgrade', $_SESSION['discount_code'],$user_id);
	}

}

if(isset($_POST['Add_options'])) {

	$error = "";
	$_SESSION['amount'] = 0;
	$amount = 0;
	$extra_price = 0;
	$_SESSION['extra_option'] = 0;
	if( isset($_POST['featured']) && $_POST['featured']=="on") {
		if(!$options['featured']) {
			$extra_price+=$ads_settings['featured_price'];
			$_SESSION['action']['featured']['value']=1;
			$_SESSION['action']['featured']['price']=$ads_settings['featured_price'];
			$_SESSION['extra_option']=1;
		} 
	} else {
			$_SESSION['action']['featured']['value']=0;
			$_SESSION['action']['featured']['price']=0;
	}

	if( isset($_POST['highlited']) && $_POST['highlited']=="on") {
		if(!$options['highlited']) {
			$extra_price+=$ads_settings['highlited_price'];
			$_SESSION['action']['highlited']['value']=1;
			$_SESSION['action']['highlited']['price']=$ads_settings['highlited_price'];
			$_SESSION['extra_option']=1;
		}
	} else {
			$_SESSION['action']['highlited']['value']=0;
			$_SESSION['action']['highlited']['price']=0;
	}

	if( isset($_POST['priority']) && $_POST['priority']) {
		if($options['priority']==0) {
			$ad_priority = escape($_POST['priority']);
			foreach($priorities as $p) if($p['order_no']==$ad_priority) $pri_amount = $p['price'];
			$extra_price+=$pri_amount;
			$_SESSION['action']['priority']['value']=$ad_priority;
			$_SESSION['action']['priority']['price']=$pri_amount;
			$_SESSION['extra_option']=1;
		}
	} else {
			$_SESSION['action']['priority']['value']=0;
			$_SESSION['action']['priority']['price']=0;
	}
	if( isset($_POST['video']) && $_POST['video']=="on") {
		if(!$options['enabled_video']) {
			$extra_price+=$ads_settings['video_price'];
			$_SESSION['action']['video']['value']=1;
			$_SESSION['action']['video']['price']=$ads_settings['video_price'];
			$_SESSION['extra_option']=1;
		}

		if(isset($_POST['video_code'])) { 
			$video_code = escape($_POST['video_code']);
			if(!strstr($video_code, " wmode=\"transparent\"")) $video_code = str_replace("></embed>", " wmode=\"transparent\"></embed>", $video_code);
		}
		if($video_code) { 
			if(!validator::valid_youtube(clean($_POST['video_code']))) { global $lng; $error = $lng['listings']['errors']['invalid_youtube_video']; }
			else listings::saveVideo($id, $video_code);
		}

	} else {
			$_SESSION['action']['video']['value']=0;
			$_SESSION['action']['video']['price']=0;
	}

	$amount = $extra_price + $amount;
	$_SESSION['full_amount'] = $amount;

	if(isset($_POST['discount_code'])) {

		$code = escape($_POST['discount_code']);

		$user = new users;
		$group = $user->getGroup($user_id);
		// check if valid code
		if($arr = coupons::codeValid($code, 'ads', $user_id, $group)) {

			$def_amount=$amount;
			$discount = $arr['discount'];
			if($arr['type'] == "fixed") {

				$amount = $def_amount-$discount;
				if($amount<0) $amount = 0;

			} else { // percent

				$amount = $def_amount - ($discount*$def_amount)/100;

			}

			$_SESSION['discount_code'] = $code;
			$_SESSION['action']['discount_code'] = $code;

		}
	}
	$_SESSION['amount'] = $amount;

	$smarty->assign("video_code",$video_code);
	$smarty->assign("error",$error);

	$smarty->assign("full_total",format_price($_SESSION['full_amount']));
	$smarty->assign("total",format_price($_SESSION['amount']));
	$smarty->assign("discount_code",$_SESSION['discount_code']);

	if(!$error) {
	//$_SESSION['amount'] = $total;
	if(isset($key) && $key) $key_str="&key=".$key; else $key_str="";
	header("Location: edit_options.php?id=$id&step=2".$key_str);
	exit(0);
	}

}

if(isset($_POST['Back'])) {

	if(isset($key) && $key) $key_str="&key=".$key; else $key_str="";
	if($step>1) { 
		header("Location: edit_options.php?id=$id&step=".($step-1).$key_str);	
		exit(0);
	}
}

if(isset($_POST['Cancel'])) {

	if($step>1) { 
		if($user_id) header("Location: browse_listings.php");
		else { 
			header("Location: details.php?id=".$id."&key=".$key);
			exit(0);
		}
	}

}

if(isset($_POST['Finalize'])) {

	if(isset($key) && $key) $key_str="&key=".$key; else $key_str="";
	if($_SESSION['amount']==0) $_SESSION['processor'] = "free"; 
	else {
		if(isset($_POST['processor'])) $_SESSION['processor'] = $_POST['processor']; else { header("Location: edit_options.php?id=$id&step=2".$key_str); exit(0); }
	}
	header("Location: edit_options.php?id=$id&step=3".$key_str);
	exit(0);


}


if(isset($_SESSION['action'])) $smarty->assign("actions",$_SESSION['action']);
$smarty->assign("total",format_price($total));
$db->close();
if($db->error!='') { $db_error = $db->getError(); $smarty->assign('db_error',$db_error); }

$smarty->display('edit_options.html');
close();
?>
