<?php
/*
	*	
	* OxyClassifieds.com : PHP Classifieds (http://www.oxyclassifieds.com) - P30Vel.IR
	* version 7.0
	* (c) 2011 OxyClassifieds.com (office@oxyclassifieds.com).
	*
*/

function my_session_start() {

	global $settings;
	$session_name = session_name("oxss");
	if($settings['enable_locations'] && $settings['enable_subdomains']) { 

		global $main_domain;
		session_set_cookie_params(0, '/', '.'.$main_domain);
	}
	session_start();

}

function escape($str) {

	$clean_str = ( get_magic_quotes_gpc ()) ? mysql_real_escape_string(stripslashes(trim($str))) : mysql_real_escape_string(trim($str));
	return $clean_str;
}

function _addslashes($str) {

	$clean_str = ( get_magic_quotes_gpc ()) ? $str : addslashes($str);
	return $clean_str;
}

function clean($str) {

	$clean_str = stripslashes (trim($str));
	return $clean_str;
}

function checkbox_value($str) {

	if(isset($_POST[$str]) && $_POST[$str]=="on") return 1;
	return 0;

}

function generate_random() {
	$str = md5(uniqid(rand(),1));
	return $str;
}

function html_link($str) {

	$str=correct_href($str);
	$ret='<a href="'.$str.'">'.$str.'</a>';
	return $ret;

}

function correct_href($str) {

	if(!trim($str)) return;
	if(strcmp(substr($str,0,7),"http://") && strcmp(substr($str,0,8),"https://")) $str="http://".$str;
	return $str;

}

function correct_number_format($str) {

	global $appearance_settings;
	$decimals = $appearance_settings['number_format_decimals'];
	$point = $appearance_settings['number_format_point'];
	$separator = $appearance_settings['number_format_separator'];
	$ereg_str = "/^[0-9]*".$point."*[0-9]+".$separator."*[0-9]*$/";

	$ereg_str = str_replace(".", "\.", $ereg_str);
	if(preg_match($ereg_str, $str)) return 1;
	return 0;

}

function correct_numeric($str) {

	global $appearance_settings;
	$point = $appearance_settings['number_format_point'];
	$separator = $appearance_settings['number_format_separator'];

	// replace 
	$str = str_replace($point,"#",$str);
	$str = str_replace($separator,"",$str);
	$str = str_replace("#",".",$str);

	return $str;

}

function correct_price($str) {

	global $appearance_settings;
	$point = $appearance_settings['price_format_point'];
	$separator = $appearance_settings['price_format_separator'];

	// replace 
	$str = str_replace($point,"#",$str);
	$str = str_replace($separator,"",$str);
	$str = str_replace("#",".",$str);

	return $str;

}

function getExtension($str) {
	$i = strrpos($str,".");
	if (!$i) { return ""; }
	$l = strlen($str) - $i;
	$ext = substr($str,$i+1,$l);
	$ext=strtolower($ext);
	return $ext;
}

function stripExtension($str) {

	if(!$str) return;
	$exp = explode(".",$str);
	if(count($exp)!=2) return;
	return $exp[0];

}

function _print_r($arr) {

	echo "<pre>";
	print_r($arr);
	echo "</pre>";

}


function smartyShowDBVal($smarty) {

	global $config_abs_path;
	global $config_live_site;
	global $appearance_settings;
	global $settings;
	$smarty->compile_dir=$config_abs_path.'/temp/';
	$smarty->assign("site_url",$config_live_site);
	$smarty->assign("administrator",$settings['admin_name']);
	$smarty->assign("site_name",$settings['site_name']);

	$smarty->assign("settings",$settings);
	$smarty->assign("appearance",$appearance_settings);

	$smarty->debugging = false;
	$smarty->template_dir = $config_abs_path."/templates/".$appearance_settings['template'];
	$smarty->assign("template_path",$config_live_site."/templates/".$appearance_settings['template']."/");
	return $smarty;

}

function getScriptName() {

	$self = trim($_SERVER['PHP_SELF']);
	$self = trim($self, "/");
	$arr = explode("/", $self);
	$script_name = $arr[count($arr)-1];
	return $script_name;

}

function _urlencode($str, $no_chars = 0) {

	$str = strip_tags($str);
	$str = characters_map($str);
	$str = strtolower($str);                              // Convert to lowercase
	$str = preg_replace('/[^a-zA-Z0-9\s\/]/', '', $str);  // Remove all punctuation
	$str = preg_replace("/ +/", " ", $str);               // Remove multiple spaces
	$str = str_replace ("/","--", $str);
	if($no_chars) $str = start_words(trim($str), $no_chars);
	$str = urlencode( str_replace (" ","-", $str));
	//$str = preg_replace("/(-){2,}/",'$1',$str); // replace multiple --- with a single one
	return $str;

}

function start_words($str, $len)
{
	if($len < strlen($str))
	{
		$ret=substr($str,0,$len);
		return $ret;
	}
	else return $str;
}

function format_numeric($str) {

	if(!isset($str)) return;
	global $appearance_settings;
	$decimals = $appearance_settings['number_format_decimals'];
	$point = $appearance_settings['number_format_point'];
	$th_separator = $appearance_settings['number_format_separator'];
	$result = number_format($str, $decimals, $point, $th_separator);
	return $result;

}

function format_price($str) {

	if(!isset($str)) return;
	global $appearance_settings;
	$decimals = $appearance_settings['price_format_decimals'];
	$point = $appearance_settings['price_format_point'];
	$th_separator = $appearance_settings['price_format_separator'];
	$result = number_format($str, $decimals, $point, $th_separator);
	return $result;

}

function format_int($str) {

	if(!isset($str)) return;
	global $appearance_settings;
	$decimals = 0;
	$point = '';
	$th_separator = $appearance_settings['number_format_separator'];
	$result = number_format($str, $decimals, $point, $th_separator);
	return $result;

}

function add_currency($amount, $currency='') {

	global $appearance_settings;
	if(!$currency) $currency=$appearance_settings['default_currency'];
	if($amount!='') {
		if($appearance_settings['currency_pos']==0) $amount_nice = $currency.$amount;
		else $amount_nice = $amount.$currency;
		return $amount_nice;
	}
	global $lng;
	return $lng['listings']['NA'];

}

function format_date_str($date, $date_format) {

	$date_format_new = convertDateFormat($date_format);
	global $db;
	$result = $db->fetchRow('select date_format("'.$date.'", "'.$date_format_new.'")');
	$result = str_replace("'", "", $result);
	return $result;
}

function convertDateFormat($date_format) {

/*
	   The format can be combinations of the following:
	   d  - day of month (no leading zero) (1 -- 12)				--> %e
	   dd - day of month (two digit) (01 -- 12)					--> %d
	   //o  - day of year (no leading zeros) 	
	   oo - day of year (three digit) (001 -- 365)					--> %j
	   D  - day name short	(Sun -- Sat)						--> %a
	   DD - day name long (Sunday -- Saturday)					--> %W
	   m  - month of year (no leading zero)	 (1 -- 12)				--> %c
	   mm - month of year (two digit) (01 -- 12)					--> %m
	   M  - month name short (Jan -- Dec)						--> %b
	   MM - month name long	 (January -- December)					--> %M
	   y  - year (two digit) (00 -- 09)						--> %y
	   yy - year (four digit) (2000 -- 2009)					--> %Y
	   //@ - Unix timestamp (ms since 01/01/1970)
	   '...' - literal text
	   '' - single quote
*/
	$len = strlen($date_format);
	$start_quote=0;
	$date_format_new = '';
	for ($i=0; $i<$len;$i++) {

		// jump through quoted content
		while ($start_quote && $i<$len && $date_format[$i] != '\'') $date_format_new .= $date_format[$i++];
		if($date_format[$i] == '\'') $start_quote = ($start_quote+1)%2;

		if($i==$len-1) continue;

		switch ($date_format[$i]) {

			case 'd':
				if($date_format[$i+1] == 'd') {
					$date_format_new.="%d";
					$i++;
				} else 
					$date_format_new.= "%e";
				break;

			case 'D':
				if($date_format[$i+1] == 'D') {
					$date_format_new .= "%W";
					$i++;
				} else 
					$date_format_new .= "%a";
				break;

			case 'm':
				if($date_format[$i+1] == 'm') {
					$date_format_new .= "%m";
					$i++;
				} else 
					$date_format_new .= "%c";
				break;

			case 'M':
				if($date_format[$i+1] == 'M') {
					$date_format_new .= "%M";
					$i++;
				} else 
					$date_format_new .= "%b";
				break;

			case 'y':
				if($date_format[$i+1] == 'y') {
					$date_format_new .= "%Y";
					$i++;
				} else 
					$date_format_new .= "%y";
				break;

			case 'o':
				if($date_format[$i+1] == 'o') {
					$date_format_new .= "%j";
					$i++;
				}
				break;
			default: 
				$date_format_new .= $date_format[$i];
 				break;
		}

	}
	return $date_format_new;

}

function tags_list($str) {

	$result = "";
	$array = explode(",", $str);
	foreach ($array as $el) $result.="<".$el.">";
	return $result;

}

function emptyCache() {
	
	global $config_abs_path;
	$tmp_dir = $config_abs_path."/temp";
	$files = dir($tmp_dir);
	while ($file = $files->read()) {
		if($file && $file!='.' && $file!='..' && $file!=".htaccess" && $file!="index.html") {
			$fis = $tmp_dir.'/'.$file;
			@unlink($fis);
		}
	} closedir($files->handle);
}

function emptyAdminCache() {
	
	global $config_abs_path;
	$tmp_dir = $config_abs_path."/admin/temp";
	$files = dir($tmp_dir);
	while ($file = $files->read()) {
		if($file && $file!='.' && $file!='..' && $file!=".htaccess" && $file!="index.html") {
			$fis = $tmp_dir.'/'.$file;
			@unlink($fis);
		}
	} closedir($files->handle);
}

/* ---------------  start characters map ------------------ */
global $array_maps;
$array_maps = array("czech-slovak-slovenian", "danish_norwegian", "dutch", "finnish", "french", "gaelic", "german", "greek", "hungarian", "italian", "portuguese", "romanian", "russian", "spanish", "swedish", "turkish");

global $source, $dest;
$source = array();
$dest = array();

// Czech, Slovak, and Slovenian
$source['czech-slovak-slovenian'] = array("Á", "á", "Ą", "ą", "Ä", "ä", "É", "é", "Ę", "ę", "Ě", "ě", "Í", "í", "Ó", "ó", "Ô", "ô", "Ú", "ú", "Ů", "ů", "Ý", "ý", "Č", "č", "ď", "ť", "Ĺ", "ĺ", "Ň", "ň", "Ŕ", "ŕ", "Ř", "ř", "Š", "š", "Ž", "ž");
$dest['czech-slovak-slovenian'] = array("A", "a", "A", "a", "A", "a", "E", "e", "E", "e", "E", "e", "I", "i", "O", "o", "O", "o", "U", "u", "U", "u", "Y", "y", "C", "c", "f", "y", "L", "I", "N", "n", "R", "r", "R", "r", "S", "s", "Z", "z");

// Danish and Norwegian
$source['danish-norwegian'] = array("æ", "å", "œ", "ø", "Æ", "Å", "Œ", "Ø");
$dest['danish-norwegian'] = array("a", "a", "oe", "o", "ae", "a", "oe", "o");

// Dutch
$source['dutch'] = array("à", "á", "â", "ä", "è", "é", "ê", "ë", "ì", "í",
"î", "ï", "ò", "ó", "ô", "ö", "ù", "ú", "û", "ü",
"À", "Á", "Â", "Ä", "È", "É", "Ê", "Ë", "Ì", "Í",
"Î", "Ï", "Ò", "Ó", "Ô", "Ö", "Ù", "Ú", "Û", "Ü" );
$dest['dutch'] = array("a", "a", "a", "a", "e", "e", "e", "e", "i", "i",
"i", "i", "o", "o", "o", "o", "u", "u", "u", "u",
"a", "a", "a", "a", "e", "e", "e", "e", "i", "i",
"i", "i", "o", "o", "o", "o", "u", "u", "u", "u");

//Finnish
$source['finnish'] = array("ä", "ö", "Ä", "Ö");
$dest['finnish'] = array("a", "o", "a", "o");

// French
$source['french'] = array("à", "â", "ä", "è", "é", "ê", "ë", "î", "ï", "ô", 
"œ", "ù", "û", "ü", "ÿ", "À", "Á", "Ä", "È", "É",
"Ê", "Ë", "Î", "Ï", "Ô", "Œ", "Ù", "Û", "Ü", "Ÿ",
"ç", "Ç");
$dest['french'] = array("a", "a", "a", "e", "e", "e", "e", "i", "i", "o", 
"oe", "u", "u", "u", "y", "a", "a", "a", "e", "e",
"e", "e", "i", "i", "o", "oe", "u", "u", "u", "y",
"c", "c");

// Gaelic (Irish and Scotish)
$source['gaelic'] = array("á", "é", "í", "ó", "ú", "Á", "É", "Í", "Ó", "Ú");
$dest['gaelic'] = array("a", "e", "i", "o", "u", "a", "e", "i", "o", "u");

// German
$source['german'] = array("ä", "ö", "ü", "Ä", "Ö", "Ü", "ß");
$dest['german'] = array("ae", "oe", "ue", "ae", "oe", "ue", "s");

// Greek
$source['greek'] = array("α", "β", "γ", "δ", "ε", "ζ", "η", "θ", "ι", "κ", 
"λ", "μ", "ν", "ξ", "ο", "π", "ρ", "σ", "τ", "υ", 
"φ", "χ", "ψ", "ω", "ά", "έ", "ί", "ή", "ό", "ύ", 
"ώ", "Ου", "Ού", "Α", "Β", "Γ", "Δ", "Ε", "Ζ", "Η", 
"Θ", "Ι", "Κ", "Λ", "Μ", "Ν", "Ξ", "Ο", "Π", "Ρ", 
"Σ", "Τ", "Υ", "Φ", "Χ", "Ψ", "Ω", "ς", "Ά", "Έ", 
"Ή", "Ί", "Ό", "Ύ", "Ώ", "ϊ", "ΐ");
$dest['greek'] = array("a", "b", "g", "d", "e", "z", "i", "th", "i", "k", 
"l", "m", "n", "ks", "o", "p", "r", "s", "t", "i", 
"f", "x", "ps", "o", "a", "e", "i", "i", "o", "i", 
"o", "ou", "ou", "a", "b", "g", "d", "e", "z", "i", 
"th", "i", "k", "l", "m", "n", "ks", "o", "p", "r", 
"s", "t", "i", "f", "x", "ps", "o", "s", "a", "e", 
"i", "i", "o", "i", "o", "i", "i");

// Hungarian
$source['hungarian'] = array("á", "Á", "é", "É", "í", "Í", "ö", "Ö", "ó", "Ó", 
"ő", "Ő", "ü", "Ü", "ú", "Ú", "ű", "Ű");
$dest['hungarian'] = array("a", "A", "e", "E", "i", "I", "o", "O", "o", "O", 
"o", "O", "u", "U", "u", "U", "u", "U");


// Italian
$source['italian'] = array("à", "è", "é", "ì", "ò", "ó", "ù", "À", "È", "É",
"Ì", "Ò", "Ó", "Ù");
$dest['italian'] = array("a", "e", "e", "i", "o", "o", "u", "a", "e", "e",
"i", "o", "o", "u");

// Portuguese
$source['portuguese'] = array("à", "á", "â", "ã", "é", "ê", "í", "ó", "ô", "õ", 
"ú", "ü", "À", "Á", "Â", "Ã", "É", "Ê", "Í", "Ó",
"Ô", "Õ", "Ú", "Ü", "ç", "Ç");
$dest['portuguese'] = array("a", "a", "a", "a", "e", "e", "i", "o", "o", "o", 
"u", "u", "a", "a", "a", "a", "e", "e", "i", "o",
"o", "o", "u", "u", "c", "c");

// Romanian
$source['romanian'] = array("ă", "Ă", "â", "Â", "î", "Î", "ș", "Ș", "ț", "Ț");
$dest['romanian'] = array("a", "a", "a", "a", "i", "i", "s", "s", "t", "t");

// Russian
$source['russian'] = array("й", "ц", "у", "к", "е", "н", "г", "ш", "щ", 
"з", "х", "ъ", "э", "ж", "д", "л", "о", "р", "п", 
"а", "в", "ы", "ф", "я", "ч", "с", "м", "и", "т", 
"ь", "б", "ю", "Й", "Ц", "У", "К", "Е", "Н", "Г", 
"Ш", "Щ", "З", "Х", "Ъ", "Ф", "Ы", "В", "А", "П", 
"Р", "О", "Л", "Д", "Я", "Ч", "С", "М", "И", "Т", 
"Ь", "Б", "Ю", "Э", "Ж");
$dest['russian'] = array("y", "ts", "u", "k", "e", "n", "g", "sh", "sch", 
"z", "h", "", "e", "j", "d", "l", "o", "r", "p", 
"a", "v", "yi", "f", "ya", "ch", "s", "m", "i", "t", 
"", "b", "yu", "Y", "TS", "U", "K", "E", "N", "G", 
"SH", "SCH", "Z", "H", "", "F", "Y", "V", "A", "P", 
"R", "O", "L", "D", "YA", "CH", "S", "M", "I", "T", 
"", "B", "YU", "E", "J",);

// Spanish
$source['spanish'] = array("á", "é", "í", "ó", "ú", "ü", "Á", "É", "Í", "Ó",
"Ú", "Ü", "ñ", "Ñ");
$dest['spanish'] = array("a", "e", "i", "o", "u", "u", "a", "e", "i", "o",
"u", "u", "n", "n");

// Swedish
$source['swedish'] = array("å", "ä", "ö", "Å", "Ä", "Ö");
$dest['swedish'] = array("a", "a", "o", "a", "a", "o");


// Turkish
$source['turkish'] = array("ı", "İ", "ö", "Ö", "ü", "Ü", "ç", "Ç", "ğ", "Ğ",
"ş", "Ş");
$dest['turkish'] = array("i", "i", "o", "o", "u", "u", "c", "c", "g", "g",
"s", "s");


function characters_map($str){

	global $maps;
	global $source, $dest;
	if(empty($maps)) $maps = common::getCharacterMaps();

	foreach($maps as $map) {
		if(isset($source[$map]) && isset($dest[$map])) {
				$str = str_replace($source[$map], $dest[$map], $str);
		}
	}
	return $str;
	
}

/* ---------------  end characters map ------------------ */

function isCGI() {

	ob_start();
	eval("phpinfo();");
	$info1 = ob_get_contents();
	ob_end_clean();

	$info = array();

	foreach(explode("\n", $info1) as $line) {
	if(strpos($line, "Server API") !== false)
		$api = trim(str_replace("Server API", "", strip_tags($line)));
	}
	$cgi = 0;
	if(strstr($api, "CGI")) $cgi = 1;
	return $cgi;
}


function breakpoint(){
    ob_flush();
    flush();
    sleep(.1);
    debugBreak();
}

function write_last($day) {
	global $config_abs_path;
	$file=fopen($config_abs_path."/last.php", "w");
	if($file != null) {
		$data='<?php
	define ("LAST_DAY","'.$day.'");
?>';
		fwrite($file, $data);
	}
	fclose($file);
}


function shuffle_keys($str) {

	$clean_str=preg_replace("/[^[:alnum:]+]/"," ",$str);
	$keys='';
	$array_str=explode(" ",trim($clean_str));
	$n=count($array_str);
	srand((double)microtime()*1000000); 
	$i=0;
	$used=array();
	$values=array();
	for($i=0; $i<$n; $i++) {$used[$i]='';$values[$i]=''; }
	$a=0;
	for($i=0; $i<$n; $i++)
	{
		$val = rand(0,$n-1); 
		$again=0;
		for($j=0; $j<count($used);$j++)
			if($used[$j]==$val) { $again=1; continue; }
		if(!$again) { $used[$a]=$val; $values[$i]=trim($array_str[$val]); $a++; }
	}

	$first=1;
	for($k=0;$k<$n;$k++) {
		if(strlen(trim($array_str[$k]))>2) {
			if($k>0) $first=0;
			if(!$first) $keys.=', ';
			$keys.=$array_str[$k];
		}
	}
	return $keys;
}

function get_start_string($str, $len)
{
	if($len < strlen($str)) {
		global $config_db_charset;
		if($config_db_charset=="utf8" && function_exists('mb_substr'))
		    $ret=mb_substr($str,0,$len).'...';
		else
		    $ret=substr($str,0,$len).'...';
		return $ret;
	}
	return $str;
}

function checkPageNo($page, $ads_per_page)
{
	
	// it too high page no, set the page a lower no
	global $max_results;
	if($page*$ads_per_page>$max_results) return ceil($max_results/$ads_per_page);

	return $page;
	
} 

function checkNoItems($no_items)
{
	
	// it too high number of items set to max_results
	global $max_results;
	if($no_items>$max_results) return $max_results;

	return $no_items;
	
} 

function checkValidationImage() {

	if(!isset($_POST['number']) || md5($_POST['number']) != $_SESSION['image_value']) return 0;
	return 1;
	
}

function _mb_strtolower($str) {
	if(function_exists("mb_strtolower")) 
		return mb_strtolower($str);
	return strtolower($str);	
}

$extra_banner_positions = array();

$site_sections = array("firstpage", "details", "listings", "recent", "user_listings", "custom", "account", "login-register", "other");

$default_fields_types = array("textbox", "textarea", "htmlarea", "menu", "multiselect", "radio", "radio_group", "checkbox", "checkbox_group", "depending", "url", "email", "date", "file", "image", "youtube", "google_maps", "terms", "price", "username", "password", "user_email");
    

?>
