<?php
/*
	*	
	* OxyClassifieds.com : PHP Classifieds (http://www.oxyclassifieds.com) - P30Vel.IR
	* version 7.0
	* (c) 2011 OxyClassifieds.com (office@oxyclassifieds.com).
	*
*/

class seo {

	var $links;

	function seo() {

	global $sef_links, $sef_links_aliases, $sef_fields_aliases, $keyword_name;
	$this->links = $sef_links;

	$this->keyword = $keyword_name;
	
	}

	function init(&$smarty) {

		$smarty->assign("sef_links", $this->links);
		$smarty->assign("sef_keyword", $this->keyword);

	}

	// make a SEF search category page
	// used for: first page category display links, categories path links
	function makeSearchCategoryLink ($id, $name='') {

		global $config_live_site;
		if(!$name) $name = categories::getName($id);
		$search_link = $config_live_site."/".$id."-"._urlencode($name)."/".$this->links["listings"];
		return $search_link;
	}

	// make a SEF search link for 1 or 2 key - value pairs
	// used for: tag cloud, browse by location and browse by make modules links
	function makeKeyValueLink ($key, $value, $key2='', $value2='') {

		global $config_live_site;
		$kv1 = "/".$key."-".urlencode(trim($value));
		if($key2 && $value2) $kv2 = "/".$key2."-".urlencode(trim($value2));
		$search_link = $config_live_site.$kv1.$kv2."/".$this->links["listings"];
		return $search_link;
	}

	// make a SEF search page link using the search array values
	function makeSearchLink($search_array, $page=1, $exclude_str = '', $current = '') {

	// $search array
	// $exclude_str (page|category|xxx)
	// $page
	// $current ##$current## - for delete links

	global $config_live_site;
	$current_str = "";
	if($current) $current_str = "##$current##/";
	$exclude_array = array(); 
	if($exclude_str) $exclude_array = explode("|", $exclude_str);

	// start assembling the search string
	$refine_search_link = $config_live_site."/";

	// if category
	if(isset($search_array['category']) && $search_array['category'] && $current != "cat") $refine_search_link.=$search_array['category']."-"._urlencode(categories::getName($search_array['category']))."/";

	global $settings;
	$array_loc = explode(",", $settings['location_fields']);

	foreach($search_array as $key => $value) {
		if($key=="category" || $key=="cat" || $key=="show") continue;
		if($value=='' || in_array($key, $exclude_array)) continue;
		if(($key=="order" && $value=="date_added") || ($key=="order_way" && $value=="desc")) continue;
		if($value=='' && $key!="area") continue;
		if($settings['enable_locations'] && in_array($key, $array_loc)) continue;
		if($settings['enable_locations'] && $key=="crt_city") continue;

		$refine_search_link .= $key."-".urlencode(str_replace ("/","--", $value))."/";
	}

	// if delete link
	$refine_search_link .= $current_str;

	// add page 
	$refine_search_link .= $page."/".$this->links["listings"];

	return $refine_search_link;

	}

	// SEF search pages links
	function makeSearchPagesLink() {

		global $config_live_site;
		$current_page = 1;
		$pag_array = array("pages_link" => "", "order_by_link" =>"", "order_way_link" => "", "crt_page_link" => "", "show_link" => "", "order_by" => "", "order_way" => "", "page" => "1");
		$search_array = array();

		// make search array
		if($_GET)
		{
			$i=0;
			$args = explode("/",$_SERVER['QUERY_STRING']);
			$get_array = array();
			foreach($args as $arg)
			{
				// page will stand out as a numeric value separately written
				if(is_numeric($arg)) { 
					$pag_array["page"] = $arg; 
					$i++; continue; 
				}

				// if the first argument, check if category is set
				if($i==0) {
					$keyval = explode("-",$arg,2);
					if(is_numeric($keyval[0])) { 
						$search_array['category'] = $keyval[0]; 
						$search_array['category_name'] = $keyval[1];
						$i++; 
						continue; 
					}
				}

				$keyval = explode("-",$arg,2);
		
				if(count($keyval)>1) {
					$key = $keyval[0];
					if($key=="show") continue;
					$value = urlencode($keyval[1]);
					$search_array[$key] = $value;
					$i++;
				}
			}
		}

		$pag_array['crt_page_link'] =  $pag_array['pages_link'] = $pag_array['order_by_link'] = $pag_array['order_way_link'] = $pag_array['show_link'] = $config_live_site."/";

		// add category to url
		if( isset($search_array['category']) && $search_array['category']) { 
			$str = $search_array['category']."-".$search_array['category_name']."/";
			$pag_array['crt_page_link'].=$str;
			$pag_array['pages_link'].=$str;
			$pag_array['order_by_link'].=$str;
			$pag_array['order_way_link'].=$str;
			$pag_array['show_link'].=$str;
		}

		// add the rest of search values
		foreach($search_array as $key=>$value) {

			if($key=="category" || $key=="category_name" || $key=="page") continue;
			$pag_array['pages_link'].="$key-$value/";
			$pag_array['crt_page_link'].= "$key-$value/";
			$pag_array['show_link'].="$key-$value/";
			if($key!="order") $pag_array['order_by_link'].="$key-$value/";
			if($key!="order_way") $pag_array['order_way_link'].="$key-$value/";

			if($key=="order_way") $pag_array['order_way'] = $value;
			if($key=="order") $pag_array['order_by'] = $value;

		}

		$pag_array['order_by_link'].="order-##order##/";
		$pag_array['order_way_link'].="order_way-##order_way##/";
		$pag_array['show_link'].="show-##show##/";

		// add page to url
		if($current_page!=1) {
			$pag_array['crt_page_link'].=$pag_array["page"]."/";
			$pag_array['order_by_link'].=$pag_array["page"]."/";
			$pag_array['order_way_link'].=$current_page."/";
			$pag_array['show_link'].=$current_page."/";
		}
		$pag_array['pages_link'].="##page##/";

		// add html page name
		$pag_array['crt_page_link'].=$this->links["listings"];
		$pag_array['pages_link'].=$this->links["listings"];
		$pag_array['order_by_link'].=$this->links["listings"];
		$pag_array['order_way_link'].=$this->links["listings"];
		$pag_array['show_link'].=$this->links["listings"];

		return $pag_array;

	}

	// SEF details page link 
	function makeDetailsLink($id, $title='') {

		if($title) $url_title = _urlencode($title);
		else $url_title = listings::getUrlTitle($id);

		global $config_live_site;
		$details_link=$config_live_site."/".$id."-".$url_title."/".$this->links["details"];

		return $details_link;
	}

	// SEF dealer page link
	function makeDealerLink($id, $dealer_name='') {

		if($dealer_name) $url_dealer = _urlencode($dealer_name);
		else $url_dealer = _urlencode(users::getContactName($id));

		global $config_live_site;
		$dealer_link=$config_live_site."/".$id."-".$url_dealer."/".$this->links["store"];

		return $dealer_link;

	}

	// SEF dealer page link
	function makeUserListingsLink($id, $dealer_name='') {

		if($dealer_name) $url_dealer = _urlencode($dealer_name);
		else $url_dealer = _urlencode(users::getContactName($id));

		global $config_live_site;
		$dealer_link=$config_live_site."/".$id."-".$url_dealer."/".$this->links["user_listings"];

		return $dealer_link;

	}


	// set meta info 
	function setMetaInfo($crt_page, $smarty, $category=0) {

		global $page_info, $seo_settings, $settings;
		$page_info=array( 'title' => '', 'meta_keywords' => '', 'meta_description' => '' );
		$page_info = $seo_settings;
		if($page_info['title']=='') $page_info['title']=$settings['site_name'];
		$smarty->assign("seo_settings",$seo_settings);

		if($category) 
			$page_info= $this->getCategoryMetaInfo($category);

		// if listing
		if(isset($_GET['id']) && is_numeric($_GET['id']) && $crt_page=="details") {

			$page_info = $this->getListingMetaInfo(escape($_GET['id']));

		} else 
		// if custom page
		if(isset($_GET['id']) && is_numeric($_GET['id']) && $crt_page=="content") 

			$page_info = $this->getCustomPageMetaInfo(escape($_GET['id']));
		else 
		// if user page
		if(isset($_GET['id']) && is_numeric($_GET['id']) && ( $crt_page=="store" || $crt_page=="user_listings" )) 

			$page_info = $this->getUserPageMetaInfo(escape($_GET['id']));

		else 
		if( $crt_page=="listings")
			$page_info= $this->getSearchMetaInfo();

		else 
		if( $crt_page=="index" && $category)
			$page_info = $this->cleanCategoryMetaInfo();
		else if($settings['enable_locations']) {

			global $location_array, $title_length;
			$title_format = $page_info['title'];
			$meta_keywords_format = $page_info['meta_keywords'];
			$meta_description_format = $page_info['meta_description'];

			// get all fields from title format
			$matches = array();
			preg_match_all("/%[a-z]*/i", $title_format, $matches);
			$title_fields_array = $matches[0];

			// get all fields from search meta keywords format
			$matches = array();
			preg_match_all("/%[a-z]*/i", $meta_keywords_format, $matches);
			$meta_keywords_fields_array = $matches[0];

			// get all fields from search title format
			$matches = array();
			preg_match_all("/%[a-z]*/i", $meta_description_format, $matches);
			$meta_description_fields_array = $matches[0];

			// possible fields
			$possible_fields = explode(",", $settings['location_fields']);

			// build title
			$title_values = array();
			foreach($title_fields_array as $f) {
				if(!in_array(substr($f, 1), $possible_fields)) continue;
				$title_values[$f] = clean(strip_tags($location_array[substr($f, 1)])); 
			}

			$page_info['title'] = start_words(trim(str_replace(array_keys($title_values), array_values($title_values), $title_format)), $title_length);

			// build meta keywords
			$meta_keywords_values = array();

			foreach($meta_keywords_fields_array as $f) {

				if(!in_array(substr($f, 1), $possible_fields)) continue;
				$meta_keywords_values[$f] = clean($location_array[substr($f, 1)]); 
			}

			$page_info['meta_keywords'] = start_words(trim(str_replace(array_keys($meta_keywords_values), array_values($meta_keywords_values), $meta_keywords_format)), $meta_keywords_length);

			// build meta description
			$meta_description_values = array();
			foreach($meta_description_fields_array as $f) {

				if(!in_array(substr($f, 1), $possible_fields)) continue;
				$meta_description_values[$f] = clean(strip_tags($location_field[substr($f, 1)])); 
			}

			$page_info['meta_description'] = start_words(trim(str_replace(array_keys($meta_description_values), array_values($meta_description_values), $meta_description_format)), $meta_description_length);

		}

		$smarty->assign("page_info",$page_info);

	}

	// set meta info for details page
	function getListingMetaInfo($id) {
		
		global $db;
		global $ads_settings, $seo_settings;
		global $crt_lang;
		$page_info=array( 'title' => '', 'meta_keywords' => '', 'meta_description' => '' );

		// if translate title & description
		$title_field ="`title`";
		$description_field ="`description`";
		if($ads_settings['translate_title_description']) {
			global $languages;
			if(empty($languages)) $languages = languages::getActiveLanguages();
			if(count($languages)>1) {
				$title_field = "`title_$crt_lang` as `title`";
				$description_field = "`description_$crt_lang` as `description`";
			}
		}

		global $title_length, $meta_description_length, $meta_keywords_length;
		// get ad title format
		$details_title_format = $seo_settings['ad_title_format'];
		$details_meta_keywords_format = $seo_settings['ad_meta_keywords'];
		$details_meta_description_format = $seo_settings['ad_meta_description'];

		// get all fields from details title format
		$matches = array();
		preg_match_all("/%[a-z]*/i", $details_title_format, $matches);
		$details_title_fields_array = $matches[0];

		// get all fields from search meta keywords format
		$matches = array();
		preg_match_all("/%[a-z]*/i", $details_meta_keywords_format, $matches);
		$details_meta_keywords_fields_array = $matches[0];

		// get all fields from search title format
		$matches = array();
		preg_match_all("/%[a-z]*/i", $details_meta_description_format, $matches);
		$details_meta_description_fields_array = $matches[0];

		// possible fields
		$possible_fields = db_mysql::getTableFields(TABLE_ADS);
		if(!in_array("title", $possible_fields)) array_push($possible_fields, "title");
		array_push($possible_fields, "category");

		// get listing data
		$listing_info = $db->fetchAssoc("select $title_field, ".TABLE_ADS.".$description_field, ".TABLE_ADS.".*,  ".TABLE_ADS.".`meta_description` as `meta_description`, ".TABLE_ADS.".`meta_keywords` as `meta_keywords`, ".TABLE_CATEGORIES."_lang.`name` as `category` from ".TABLE_ADS." left join ".TABLE_CATEGORIES."_lang on ".TABLE_ADS.".category_id=".TABLE_CATEGORIES."_lang.id where ".TABLE_ADS.".id='".$id."' and `lang_id`='$crt_lang';");

		// if the listing has meta info
		$page_info['meta_keywords'] = clean(strip_tags($listing_info['meta_keywords']));
		$page_info['meta_description'] = clean(strip_tags($listing_info['meta_description']));

		// build title
		$title_values = array();
		foreach($details_title_fields_array as $f) {
			if(!in_array(substr($f, 1), $possible_fields)) continue;
			$title_values[$f] = clean(strip_tags($listing_info[substr($f, 1)])); 
		}

		$page_info['title'] = start_words(trim(str_replace(array_keys($title_values), array_values($title_values), $details_title_format)), $title_length);

		if(!in_array("description", $possible_fields)) array_push($possible_fields, "description");

		if(!$page_info['meta_keywords'] || !$ads_settings['add_meta_with_listings']){

			// build meta keywords
			$meta_keywords_values = array();

			foreach($details_meta_keywords_fields_array as $f) {

				if(!in_array(substr($f, 1), $possible_fields)) continue;
				if($f=="%title" || $f=="%description") { 
					$meta_keywords_values[$f] = shuffle_keys(clean($listing_info[substr($f, 1)]));
					continue;
				}
				$meta_keywords_values[$f] = clean($listing_info[substr($f, 1)]); 
			}

			$page_info['meta_keywords'] = start_words(trim(str_replace(array_keys($meta_keywords_values), array_values($meta_keywords_values), $details_meta_keywords_format)), $meta_keywords_length);

		}

		if(!$page_info['meta_description'] || !$ads_settings['add_meta_with_listings']){

			// build meta description
			$meta_description_values = array();
			foreach($details_meta_description_fields_array as $f) {

				if(!in_array(substr($f, 1), $possible_fields)) continue;
				$meta_description_values[$f] = clean(strip_tags($listing_info[substr($f, 1)])); 
			}

			$page_info['meta_description'] = start_words(trim(str_replace(array_keys($meta_description_values), array_values($meta_description_values), $details_meta_description_format)), $meta_description_length);

		}

		return $page_info;

	}


	// set meta info for category page
	function getCategoryMetaInfo($id) {

		global $db;
		global $crt_lang;
		$row = $db->fetchAssoc("select `name`, `page_title`, `meta_keywords`, `meta_description` from ".TABLE_CATEGORIES."_lang where `lang_id`='$crt_lang' and id=$id");

		if(!$row) return array();

		$category_name = $row['name']." ".categories::getParentName($id);
	
		// default meta keywords and description
		$page_info['title'] = clean(str_replace("%category", $category_name, $row['page_title']));
		$page_info['meta_keywords'] = clean(str_replace("%category", $category_name.",", $row['meta_keywords']));
		$page_info['meta_description'] = clean(str_replace("%category", $category_name, $row['meta_description']));

		return $page_info;

	}

	function cleanCategoryMetaInfo() {

		global $page_info;

		$page_info['title'] = preg_replace("/%[a-z]*/i","",$page_info['title']);
		$page_info['meta_keywords'] = preg_replace("/%[a-z]*/i","",$page_info['meta_keywords']);
		$page_info['meta_description'] = preg_replace("/%[a-z]*/i","",$page_info['meta_description']);

		return $page_info;

	}

	// set meta info for custom page
	function getCustomPageMetaInfo($id) {

		global $db;
		global $crt_lang;

		$result=$db->fetchAssoc("select * from ".TABLE_CUSTOM_PAGES."_lang where `lang_id`='$crt_lang' and id=$id");

		return $result;

	}

	// set meta info for user page
	function getUserPageMetaInfo($id) {

		global $db;
		global $crt_lang, $seo_settings;

		$page_info = $seo_settings;
		$contact=$db->fetchRow("select `contact_name` from ".TABLE_USERS." where `id`=$id");
		$page_info['title'] = $contact." - ".$page_info['title'];

		return $page_info;

	}

	// set meta info for search page
	function getSearchMetaInfo() {

		global $post_array, $location_array, $page_info;
		// get category and parent category name
		$category_name = "";
		if($post_array['category']) { 
			$category_name = categories::getName($post_array['category']);
			$parent = categories::getParentName($post_array['category']);
			if($parent) $category_name.=" ".$parent;

		}

		global $title_length, $meta_description_length, $meta_keywords_length;
		// get ad title format
		global $seo_settings;
		$search_title_format=''; $search_meta_keywords_format ='';$search_meta_description_format='';
		if($post_array['category']) {

			$search_title_format = $page_info['title'];
			$search_meta_keywords_format = $page_info['meta_keywords'];
			$search_meta_description_format = $page_info['meta_description'];

		} 

		if($seo_settings['search_title_format'])
			$search_title_format = $seo_settings['search_title_format'];
		if($seo_settings['search_meta_keywords'])
			$search_meta_keywords_format = $seo_settings['search_meta_keywords'];
		if($seo_settings['search_meta_description'])
			$search_meta_description_format = $seo_settings['search_meta_description'];


		// get all fields from search title format
		$matches = array();
		preg_match_all("/%[a-z]*/i", $search_title_format, $matches);
		$search_title_fields_array = $matches[0];

		// get all fields from search meta keywords format
		$matches = array();
		preg_match_all("/%[a-z]*/i", $search_meta_keywords_format, $matches);
		$search_meta_keywords_fields_array = $matches[0];

		// get all fields from search title format
		$matches = array();
		preg_match_all("/%[a-z]*/i", $search_meta_description_format, $matches);
		$search_meta_description_fields_array = $matches[0];

		// possible fields
		$possible_fields = db_mysql::getTableFields(TABLE_ADS);
		if(!in_array("title", $possible_fields)) array_push($possible_fields, "title");
		array_push($possible_fields, "category");
		array_push($possible_fields, $this->keyword);


		// default meta keywords and description
		$page_info['meta_keywords'] = $seo_settings['meta_keywords'];
		$page_info['meta_description'] = $seo_settings['meta_description'];

		// build title
		$title_values = array();
		foreach($search_title_fields_array as $f) {

			if(!in_array(substr($f, 1), $possible_fields)) continue;
			if($f=="%category") { $title_values[$f] = clean($category_name); continue; }
			if(isset($post_array[substr($f, 1)])) $title_values[$f] = clean($post_array[substr($f, 1)]); 
			else if(isset($location_array[substr($f, 1)])) $title_values[$f] = clean($location_array[substr($f, 1)]); 
			else $title_values[$f] = "";
		}

		$page_info['title'] = start_words(trim(str_replace(array_keys($title_values), array_values($title_values), $search_title_format)), $title_length);

		// build meta keywords
		$meta_keywords_values = array();
		foreach($search_meta_keywords_fields_array as $f) {

			if(!in_array(substr($f, 1), $possible_fields)) continue;
			if($f=="%category") { $meta_keywords_values[$f] = clean($category_name).","; continue; }
			if(isset($post_array[substr($f, 1)])) $meta_keywords_values[$f] = clean($post_array[substr($f, 1)]).","; 
			else $meta_keywords_values[$f] = "";
		}

		$page_info['meta_keywords'] = trim(str_replace(array_keys($meta_keywords_values), array_values($meta_keywords_values), $search_meta_keywords_format));

		// build meta description
		$meta_description_values = array();
		foreach($search_meta_description_fields_array as $f) {

			if(!in_array(substr($f, 1), $possible_fields)) continue;
			if($f=="%category") { $meta_description_values[$f] = clean($category_name); continue; }
			if(isset($post_array[substr($f, 1)])) $meta_description_values[$f] = clean($post_array[substr($f, 1)]); 
			else $meta_description_values[$f] = "";
		}

		$page_info['meta_description'] = trim(str_replace(array_keys($meta_description_values), array_values($meta_description_values), $search_meta_description_format));

		return $page_info;

	}

}
?>
