<?php
/*
	*
	* OxyClassifieds.com : PHP Classifieds (http://www.oxyclassifieds.com) - P30Vel.IR
	* version 7.0
	* (c) 2011 OxyClassifieds.com (office@oxyclassifieds.com).
	*
*/
require_once $config_abs_path.'/libs/Smarty.class.php';

function common($smarty, $start_session=true) {

	if($start_session) my_session_start();

	// script php name
	global $self_noext;
	$self = getScriptName();
	$self_noext = stripExtension($self);
	$smarty->assign("self",$self);
	$smarty->assign("self_noext",$self_noext);
	$browser = get_crt_browser();
	$smarty->assign("browser",$browser);

	global $config_live_site, $config_abs_path, $seo_settings;

	global $cat;
	if(isset($_GET['category']) && is_numeric($_GET['category'])) $cat = $_GET['category']; else $cat=0;
	// if SEF urls are enabled and we are on listings.php page, get category id
	if($self_noext == "listings" && $seo_settings['enable_mod_rewrite']) {

		$args = explode("/",$_SERVER['QUERY_STRING']);
		
		$keyval = explode("-",$args[0]);
		if(count($keyval)>=2 && is_numeric($keyval[0])) $cat = escape($keyval[0]);

	}
	// get category if listing details page
	if($self_noext == "details") {
		$cat = listings::getCategory(escape($_GET['id']));
	}

	$smarty->assign("cat",$cat);

	// assign some language variables
	global $crt_lang, $crt_lang_name, $crt_lang_flag;
	$smarty->assign("crt_lang",$crt_lang);
	if(isset($_COOKIE['default_lang'])) $smarty->assign("cookie_lang",$_COOKIE['default_lang']);
	$smarty->assign("crt_lang_name",$crt_lang_name);
	$smarty->assign("crt_lang_flag",$crt_lang_flag);

	// page load start time 
	make_startload();

	global $config_data_set;
	$smarty->assign("data_set",$config_data_set);

	global $modules_array;
	$smarty->assign("modules_array",$modules_array);

	// get the domain name as it currently accessed 
	// used with ajax functions - avoid browsers xss blocking if the installation domain differs from the current domain
	$crt_site = $_SERVER["HTTP_HOST"];
	if(stristr($crt_site, "www")) { 
		if(!stristr($config_live_site, "www")) {
			$config_live_site = str_replace("http://", "http://www.", $config_live_site);
			$config_live_site = str_replace("https://", "https://www.", $config_live_site);
		}
		$domain_name = str_replace("www.", "", $crt_site);
	}
	else {
		$config_live_site = str_replace("http://www.", "http://", $config_live_site);
		$config_live_site = str_replace("https://www.", "https://", $config_live_site);
		$domain_name = $crt_site;
	}

	$smarty->compile_dir=$config_abs_path.'/temp/';
	$smarty->assign("live_site",$config_live_site);
	$smarty->assign("abs_path",$config_abs_path);
	$smarty->assign("domain_name",$domain_name);
	global $main_domain;
	$smarty->assign("main_domain",$main_domain);

	// current location 
	global $settings;
	if($settings['enable_locations']) {
		$lclass = new locations();
		if($settings['enable_subdomains'] && $settings['subdomain_field'])
			$lclass->checkCrtLocation($smarty);
		$lclass->initTemplatesVals($smarty);
	}

	// seo settings, allows to you modify search engine friendly links
	global $keyword_name;
	$smarty->assign("keyword_name",$keyword_name);

	global $seo;
	$seo = new seo();
	$seo->init($smarty);
	$smarty->register_object('seo', $seo, null, false);

	// set meta info
	$seo->setMetaInfo($self_noext, $smarty, $cat);

	// stop access if ip is blocked 
	if(common::IPisBlocked($_SERVER['REMOTE_ADDR']) && $self_noext!="access_restricted") {

		header("Location: access_restricted.php");
		exit(0);

	}

	// check if authenticated
	$auth=new auth();
	global $logged_in, $is_admin;
	$logged_in = $auth->loggedIn();
	$is_admin = $auth->adminLoggedIn();
	$smarty->assign("logged_in", $logged_in);
	$smarty->assign("is_admin", $is_admin);

	// vars for user account navbar
	if($logged_in) {

		global $crt_usr;
		$crt_usr = $auth->crtUserId();
		$smarty->assign("crt_usr",$crt_usr);
		$usr_sett = common::getUserSettings($crt_usr);
		$smarty->assign("crt_usr_sett",$usr_sett);

		$subscription_exists = common::subscriptionExists($usr_sett['group']);
		$smarty->assign("subscription_exists",$subscription_exists);

		$smarty->assign("bulk_uploads",$usr_sett['bulk_uploads']);

	}

	// number of auto register groups
	$no_groups = common::noAutoRegisterGroups();
	$smarty->assign("no_groups", $no_groups);

	// assign settings
	global $ads_settings, $settings, $appearance_settings;
	$smarty->assign("ads_settings",$ads_settings);
	$smarty->assign("settings",$settings);
	$smarty->assign("appearance",$appearance_settings);

	// ---------- quick search ------------
	global $default_fields_types;
	$smarty->assign("default_fields_types", $default_fields_types);

	global $short_categories;
	$categ = new categories();
	$short_categories=$categ->getAllOptions();
	$smarty->assign("categories",$short_categories);

	if($ads_settings['enable_price']) {
		$currencies=common::getCurrencies();
		$smarty->assign("currencies", $currencies);
	}

	$cf = new fields("cf");
	$qfields = $cf->getSearch("quick");
	$smarty->assign("qfields", $qfields);

	$multi_depending = $cf->getMultiDepending();
	$smarty->assign("multi_depending", $multi_depending);

	// ***** Uncomment if you want to use users/dealers search on quick search
	// ***** asign to group_id the id of user group you want to show for search
	/*
	$group_id=0;
	$qusers = users::getAll($group_id);
	$smarty->assign('qusers',$qusers);
	*/

	// ---------- end quick search ------------

	// footer categories links
	if($appearance_settings['show_footer_categ']==1) {

		global $config_footer_categ_len;

		$footer_links=$categ->makeFooterLinks();
		$smarty->assign("footer_links",$footer_links);
	}

	// banners
	$banner = new banners();
	$smarty->register_object('banner', $banner, null, false);
	$banners_positions = banners::getBannerPositions();
	$smarty->assign("banners_positions", $banners_positions);

	// navigation bar links
	$main_navbar = common::getMainNavbarLinks();
	$smarty->assign("main_navbar",$main_navbar);

	$sec_navbar = common::getSecNavbarLinks();
	$smarty->assign("sec_navbar",$sec_navbar);

	// get active languages
	global $languages;
	if(empty($languages)) $languages = languages::getActiveLanguages();
	$smarty->assign("languages",$languages);

	// get rss feeds
	$rss_array = common::getRss();
	$smarty->assign("rss_array",$rss_array);
	$smarty->assign("no_rss",count($rss_array));

	// do include actions
	do_action("init_template", $smarty, $self_noext);

	$smarty->debugging = false;
	$smarty->template_dir = $config_abs_path."/templates/".$appearance_settings['template'];
	$smarty->assign("template_path",$config_live_site."/templates/".$appearance_settings['template']."/");
	return $smarty;
}


function close() {
	// ------------------ page load end time --------------------
	global $config_debug;
	if($config_debug) {
		$time = microtime();
		$time = explode(" ", $time);
		$time = $time[1] + $time[0];
		$finishload = $time;
		global $startload;
		$totaltime = ($finishload - $startload);
		printf ("This page took %f seconds to load.", $totaltime);
		$mem_usage=number_format(memory_get_usage()/1000000, 2);
		echo " Memory usage: ".$mem_usage." M";
	}

}

function make_startload() {
	global $config_debug;
	if($config_debug) {
		$time = microtime();
		$time = explode(" ", $time);
		$time = $time[1] + $time[0];
		global $startload;
		$startload = $time;
	}
}

function get_crt_browser() {

	$useragent = $_SERVER["HTTP_USER_AGENT"];

	if (preg_match("|MSIE ([0-9].[0-9]{1,2})|",$useragent,$matched)) {
		$browser['version']=$matched[1];
		$browser['type'] = "IE";
	} elseif (preg_match("|Opera ([0-9].[0-9]{1,2})|",$useragent,$matched)) {
		$browser['version']=$matched[1];
		$browser['type'] = "Opera";
	} elseif(preg_match("|Firefox/([0-9\.]+)|",$useragent,$matched)) {
	        $browser['version']=$matched[1];
        	$browser['type'] = "Firefox";
	} elseif(preg_match("|Safari/([0-9\.]+)|",$useragent,$matched)) {
        	$browser['version']=$matched[1];
        	$browser['type'] = "Safari";
	} else {
        	// browser not recognized!
		$browser['version'] = 0;
		$browser['type']= "other";
	}
	return $browser;
}

?>
