DROP TABLE if exists `PREFIX2co_return`;
CREATE TABLE `PREFIX2co_return` (
  `id` bigint(20) NOT NULL auto_increment,
  `x_login` varchar(16) default NULL,
  `key` varchar(50) default NULL,
  `ukey` varchar(255) default '0',
  `x_amount` varchar(50) default NULL,
  `X_Email` varchar(50) default NULL,
  `X_Address` varchar(50) default NULL,
  `X_City` varchar(50) default NULL,
  `X_State` varchar(50) default NULL,
  `X_Country` varchar(50) default NULL,
  `X_ZIP` varchar(30) default NULL,
  `x_invoice_num` varchar(255) default '0',
  `order_number` varchar(30) default NULL,
  `merchant_order_id` varchar(50) default NULL,
  `ip_country` varchar(50) default NULL,
  `lang` varchar(20) default NULL,
  `cart_id` varchar(50) default NULL,
  `demo` varchar(1) default NULL,
  `pay_method` varchar(10) default NULL,
  `credit_card_processed` char(1) default 'Y',
  `card_holder_name` varchar(100) default NULL,
  `merchant_product_id` int(10) default NULL,
  `entirepost` text,
  `date` timestamp default '0000-00-00 00:00:00',
  PRIMARY KEY  (`id`),
  KEY `date` (`date`)
) ENGINE=MyISAM AUTO_INCREMENT=1;


DROP TABLE if exists `PREFIX2co_settings`;
CREATE TABLE `PREFIX2co_settings` (
  `to_checkout_sid` varchar(20) default NULL,
  `to_checkout_secret` varchar(16) default NULL,
  `to_checkout_demo` int(1) default '0'
) ENGINE=MyISAM;


INSERT INTO `PREFIX2co_settings` (`to_checkout_sid`, `to_checkout_secret`, `to_checkout_demo`) VALUES 
('', '', 0);


DROP TABLE if exists `PREFIXactions`;
CREATE TABLE `PREFIXactions` (
  `id` int(11) NOT NULL auto_increment,
  `type` varchar(20) NOT NULL,
  `object_id` varchar(20) NOT NULL,
  `user_id` int(10) NOT NULL,
  `invoice` varchar(30) default NULL,
  `pending` int(1) default '0',
  `date` timestamp default '0000-00-00 00:00:00',
  `extra` varchar(20) default null,
  PRIMARY KEY  (`id`),
  KEY `idx_object` (`object_id`),
  KEY `idx_user` (`user_id`),
  KEY `idx_invoice` (`invoice`),
  KEY `idx_type` (`type`),
  KEY `idx_date` (`date`),
  KEY `idx_pending` (`pending`)
) ENGINE=MyISAM  AUTO_INCREMENT=1 ;


DROP TABLE if exists `PREFIXads`;
CREATE TABLE `PREFIXads` (
  `id` int(10) NOT NULL auto_increment,
  `user_id` int(11) default NULL,
  `category_id` int(5) default NULL,
  `package_id` int(5) default NULL,
  `usr_pkg` int(10),
  `date_added` datetime default NULL,
  `date_expires` datetime default NULL,
  `title` varchar(150) default NULL,
  `description` text,
  `price` double default -1,
  `currency` varchar(10) default NULL,
  `country` varchar(64) default NULL,
  `region` varchar(64) default NULL,
  `city` varchar(32) default NULL,
  `zip` varchar(15) default NULL,
  `meta_description` text,
  `meta_keywords` text,
  `sold` int(1) default '0',
  `rented` int(1) default '0',
  `viewed` int(10) default '0',
  `user_approved` int(1) default '0',
  `active` int(1) default '1',
  `pending` int(1) default '0',
  `featured` int(1) default '0',
  `highlited` int(1) default '0',
  `priority` int(1) default '0',
  `video` text default null,
  `rating` double(4,2) default 0,
  `language` varchar(30) default 'DEF_LANG',
  PRIMARY KEY  (`id`),
  KEY `idx_user` (`user_id`),
  KEY `idx_category` (`category_id`),
  KEY `idx_package` (`package_id`),
  KEY `idx_region_id` (`region`),
  KEY `idx_country_id` (`country`),
  KEY `idx_location` (`city`),
  KEY `idx_price` (`price`),
  KEY `idx_title` (`title`),
  KEY `idx_viewed` (`viewed`),
  KEY `idx_zip` (`zip`),
  KEY `date_added` (`date_added`),
  KEY `date_expires` (`date_expires`),
  KEY `idx_featured` (`featured`),
  KEY `idx_active` (`active`),
  KEY `idx_pending` (`pending`),
  KEY `idx_highlited` (`highlited`),
  KEY `idx_priority` (`priority`),
  KEY `usr_pkg` (`usr_pkg`),
  KEY `active_3` (`active`,`priority`),
  KEY `active_4` (`active`,`priority`,`date_added`),
  KEY `priority_2` (`priority`,`date_added`),
  KEY `active_2` (`active`,`date_added`),
  KEY `user_approved` (`user_approved`),
  KEY `app` (`active`,`priority`,`price`),
  KEY `priority_3` (`priority`,`price`),
  KEY `priority_4` (`priority`,`title`)
) ENGINE=InnoDB  AUTO_INCREMENT=1 ;

DROP TABLE if exists `PREFIXads_extension`;
CREATE TABLE `PREFIXads_extension` (
  `id` int(10) NOT NULL auto_increment,
  `mgm_email` varchar(60) NOT NULL,
  `mgm_name` varchar(60) default NULL,
  `activation` varchar(60),
  `ip` varchar(15),
  PRIMARY KEY  (`id`),
  KEY `idx_activation` (`activation`),
  KEY `idx_ip` (`ip`),
  KEY `idx_mgm_email` (`mgm_email`)
) ENGINE=InnoDB;

DROP TABLE if exists `PREFIXads_pictures`;
CREATE TABLE `PREFIXads_pictures` (
  `id` int(11) NOT NULL auto_increment,
  `ad_id` int(11),
  `picture` varchar(128) default NULL,
  `folder` VARCHAR( 20 ) default NULL,
  `order_no` int(2) default NULL,
  PRIMARY KEY  (`id`),
  KEY `idx_ad` (`ad_id`),
  KEY `idx_order` (`order_no`)
) ENGINE=MyISAM AUTO_INCREMENT=1 ;


DROP TABLE if exists `PREFIXads_settings`;
CREATE TABLE `PREFIXads_settings` (
  `thmb_width` int(4) default '100',
  `thmb_height` int(4) default '70',
  `big_thmb_width` int(4) default '420',
  `big_thmb_height` int(4) default '300',
  `nopic` varchar(128),
  `big_nopic` varchar(128),
  `pic_max_size` int(5) default '1500',
  `pic_max_width` int(5) default '2000',
  `pic_max_height` int(5) default '1600',
  `resize_image` int(1) default 0,
  `resize_width` int(5) default '800',
  `resize_height` int(5) default '600',
  `watermark` varchar(60) default null,
  `watermark_position` varchar(4) default 'br',
  `watermark_transparency` int(3) default '50',
  `days_recent` int(5) default '0',
  `badwords_check` int(1) default '1',
  `badwords_check_type` int(1) default '1',
  `enable_price` int(1) default NULL,
  `enable_stock` int(1) default '1',
  `enable_sold` int(1) default '1',
  `enable_rented` int(1) default '0',
  `sold_image` varchar(60) default NULL,
  `rented_image` varchar(60) default NULL,
  `hide_contact_when_sold` int(1) default 0,
  `hide_contact_when_rented` int(1) default 0,
  `description_editor` int(1) default 0,
  `no_featured` int(2) default '2',
  `no_featured_on_row` int(2) default '1',
  `enable_latest` int(1) default '1',
  `no_latest` int(2) default '3',
  `no_latest_on_row` int(2) default '3',
  `show_more_link` int(1) default '1',
  `enable_featured` int(1) default '1',
  `enable_highlited` int(1) default '1',
  `enable_priorities` int(1) default '1',
  `enable_video` int(1) default '1',
  `highlited_color` varchar(7) default NULL,
  `featured_expires` int(4) default '0',
  `highlited_expires` int(4) default '0',
  `priorities_expires` int(4) default '0',
  `video_expires` int(4) default '0',
  `featured_price` double default '0',
  `highlited_price` double default '0',
  `video_price` double default '0',
  `store_availability` int(4) default '30',
  `store_price` double default '0',
  `resize_store_image` int(1) default 0,
  `resize_store_width` int(5) default '200',
  `resize_store_height` int(5) default '100',
  `add_meta_with_listings` int(1) default '1',
  `allowed_html` varchar(250),
  `search_in_fields` varchar(250),
  `location_fields` varchar(250),
  `translate_title_description` int(1) default 0,
  `show_ad_date_for_everybody` int(1) default '1',
  `alerts_enabled` int(1) default 1,
  `alerts_ask_adv_key` int(1) default 0,
  `alerts_days_delete` int(4) default 30,
  `alerts_require_login` int(1) default 0,
  `alerts_activation` int(1) default 2,
  `saved_searches_enabled` int(1) default 1,
  `enable_map_search` int(1) default 0,
  `map_visible` int(1) default 1,
  `default_search_view` int(1) default 0,
  `search_location_fields` varchar(250),
  `search_type` VARCHAR( 10 ) NOT NULL DEFAULT 'any',
  `hide_contact_when_not_logged`  TINYINT( 1 ) NOT NULL DEFAULT '0',
  `featured_autoscroll` int(1) default 1
) ENGINE=MyISAM;


INSERT INTO `PREFIXads_settings` set `thmb_width`=100, `thmb_height`=70, `big_thmb_width`=420, `big_thmb_height`=300, `nopic`='noimage.jpg', `big_nopic`='big_nopic.gif', `pic_max_size`=1500, `pic_max_width`=2000, `pic_max_height`=1600, `days_recent`=0, `badwords_check`=1, `badwords_check_type`=1, `enable_price`=1, `enable_stock`=1, `enable_sold`=1, `enable_rented`=1, `sold_image`='sold.gif', `rented_image`='rented.gif', `no_featured`=5, `no_featured_on_row`=5, `no_latest`=5, `no_latest_on_row`=1, `show_more_link`=1, `enable_featured`=1, `enable_highlited`=1, `enable_priorities`=1, `highlited_color`='#fff4be', `featured_expires`=0, `highlited_expires`=0, `priorities_expires`=0, `featured_price`=5, `highlited_price`=2, `add_meta_with_listings`=0, 
`description_editor` = 0, `resize_image` = 0, `resize_width` = '800', `resize_height` = '600', `watermark` = '', `watermark_position` = 'br', `watermark_transparency` = 50, `enable_video` = 0, `video_expires` = 0, `video_price` = 2, `allowed_html`='b,br,center,div,em,span,p,i,u,font,strong', `search_in_fields`='title,description', `location_fields` = 'country,region,city', `hide_contact_when_sold`=0, `hide_contact_when_rented`=0, `translate_title_description`=0, `show_ad_date_for_everybody` =1, 
`store_availability`=30, `store_price`=10, `alerts_enabled` = 1, `alerts_ask_adv_key` = 0, `alerts_days_delete` = 30, `alerts_require_login` = 0, `alerts_activation` = 2, `saved_searches_enabled`=1, `resize_store_image`=0, `resize_store_width`=200, `resize_store_height`=100 , `search_location_fields` = 'country,region,city';


DROP TABLE if exists `PREFIXappearance`;
CREATE TABLE `PREFIXappearance` (
  `template` varchar(50) default 'default',
  `admin_template` varchar(50) default 'default',
  `admin_language` varchar(20) default 'DEF_LANG',
  `show_header` int(1) default '1',
  `header_pic` varchar(128),
  `header_pic_link` varchar(128) default NULL,
  `show_footer` int(1) default '0',
  `footer_pic` varchar(128),
  `footer_pic_link` varchar(128) default NULL,
  `show_footer_categ` int(1) default '1',
  `outer_table` int(4),
  `max_cat_per_row` int(1) default '3',
  `categ_count_ads` int(1) default '1',
  `ads_per_page` int(2) default '5',
  `first_page_type` int(2) default 1,
  `timezone` varchar(50) default 'GMT'
) ENGINE=MyISAM;


INSERT INTO `PREFIXappearance` (`template`, `admin_template`, `admin_language`, `show_header`, `header_pic`, `header_pic_link`, `show_footer`, `footer_pic`, `footer_pic_link`, `show_footer_categ`, `outer_table`, `max_cat_per_row`, `categ_count_ads`, `ads_per_page`, `first_page_type`, `timezone`) VALUES 
('platinum', 'default', 'DEF_LANG', 1, '', '', 1, '', '', 0, 1000, 3, 1, 20, 1, 'GMT');


DROP TABLE if exists `PREFIXappearance_lang`;
CREATE TABLE `PREFIXappearance_lang` (
  `lang_id` varchar(20) default 'DEF_LANG',
  `footer_text` varchar(255) default '',
  `charset` varchar(50) default 'UTF-8',
  `default_currency` varchar(10) default '$',
  `currency_pos` int(1) default '0',
  `date_format` varchar(30) default NULL,
  `date_format_long` varchar(30) default NULL,
  `number_format_decimals` int(2) default 2,
  `number_format_point` varchar(5) default '.',
  `number_format_separator` varchar(5) default ',',
  `price_format_decimals` int(2) default 0,
  `price_format_point` varchar(5) default '.',
  `price_format_separator` varchar(5) default ','
) ENGINE=MyISAM;


INSERT INTO `PREFIXappearance_lang` set `lang_id`='DEF_LANG', `footer_text`='Copyright 2011, YourDomain.com', `charset`='UTF-8', `default_currency`='$', `currency_pos`=0, `date_format`='%b %d, %Y', `date_format_long`= '%b %d, %Y %H:%i', `number_format_decimals`=2, `number_format_point` = '.', `number_format_separator` = ',', `price_format_decimals`= 2, `price_format_point`='.', `price_format_separator`=',';


DROP TABLE if exists `PREFIXbadwords`;
CREATE TABLE `PREFIXbadwords` (
  `word` varchar(50)
) ENGINE=MyISAM;


DROP TABLE if exists `PREFIXbanners`;
CREATE TABLE `PREFIXbanners` (
  `id` int(11) NOT NULL auto_increment,
  `filename` varchar(128) default NULL,
  `code` text,
  `position` varchar(30) default NULL,
  `sections` varchar(250) default NULL,
  `link` varchar(128) default NULL,
  `date_added` datetime default NULL,
  `date_start` datetime default NULL,
  `date_end` datetime default NULL,
  `max_impressions` int(11) default '0',
  `max_clicks` int(11) default '0',
  `impressions` int(11) default '0',
  `clicks` int(11) default '0',
  `categories` varchar(250) default NULL,
  PRIMARY KEY  (`id`),
  KEY `idx_position` (`position`),
  KEY `idx_date_start` (`date_start`),
  KEY `idx_date_end` (`date_end`),
  KEY `idx_max_impressions` (`max_impressions`),
  KEY `idx_max_clicks` (`max_clicks`),
  KEY `idx_impressions` (`impressions`),
  KEY `idx_clicks` (`clicks`)
) ENGINE=InnoDB AUTO_INCREMENT=1;


DROP TABLE if exists `PREFIXbanners_positions`;
CREATE TABLE `PREFIXbanners_positions` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(30) default NULL,
  `specific_section` int(1) default 0,
  `active` int(1) default '1',
  `no_banners` int(2) default '1',
  PRIMARY KEY  (`id`),
  KEY `idx_name` (`name`),
  KEY `idx_active` (`active`)
) ENGINE=MyISAM AUTO_INCREMENT=1;


INSERT INTO `PREFIXbanners_positions` (`id`, `name`, `specific_section`, `active`, `no_banners`) VALUES 
(1,'header', 0, 1, 1),
(2,'footer', 0, 1, 1),
(3,'left', 0, 1, 1),
(4,'right', 0, 1, 1),
(5,'details1', 1, 1, 1),
(6,'details2', 1, 1, 1),
(7,'details3',1, 0, 1),
(8,'details4', 1, 0, 1),
(9,'firstpage1', 1, 1, 1),
(10,'firstpage2', 1, 1, 1),
(11,'firstpage3', 1, 1, 1),
(12,'firstpage4', 1, 1, 1),
(13,'listings1', 1, 1, 1),
(14,'listings2', 1, 1, 1),
(15,'listings3', 1, 1, 1),
(16,'listings4', 1, 1, 1);


DROP TABLE if exists `PREFIXblocked_ips`;
CREATE TABLE `PREFIXblocked_ips` (
  `ip` varchar(15),
  KEY `idx_ip` (`ip`)
) ENGINE=MyISAM;

DROP TABLE if exists `PREFIXblocked_emails`;
CREATE TABLE `PREFIXblocked_emails` (
  `email` varchar(64),
  KEY `idx_email` (`email`)
) ENGINE=MyISAM;


DROP TABLE if exists `PREFIXcategories`;
CREATE TABLE `PREFIXcategories` (
  `id` int(11) NOT NULL auto_increment,
  `picture` varchar(64) default null,
  `icon` varchar(50) default null,
  `parent_id` int(11) default '0',
  `fieldset` int(2) default NULL,
  `order_no` int(5) default NULL,
  `groups` varchar(250) default '0',
  `ads` int(10) default 0,
  `level` int(1) default 1,
  PRIMARY KEY  (`id`),
  KEY `idx_order` (`order_no`),
  KEY `idx_parent` (`parent_id`),
  KEY `idx_fieldset` (`fieldset`)
) ENGINE=MyISAM AUTO_INCREMENT=1 ;

DROP TABLE if exists `PREFIXcategories_lang`;
CREATE TABLE `PREFIXcategories_lang` (
  `id` int(11) NOT NULL,
  `lang_id` varchar(20) default 'DEF_LANG',
  `name` varchar(128) default NULL,
  `description` text,
  `page_title` varchar(250) default NULL,
  `meta_keywords` text,
  `meta_description` text,
  KEY `idx_id` (`id`),
  KEY `idx_name` (`name`),
  KEY `idx_lang` (`lang_id`)
) ENGINE=MyISAM AUTO_INCREMENT=1 ;

DROP TABLE IF EXISTS `PREFIXcategories_no_ads`;
CREATE TABLE IF NOT EXISTS `PREFIXcategories_no_ads` (
  `category_id` int(4) not null,
  `field` varchar(40) not null,
  `val` varchar(64) not null,
  `no` int(10) default 0
);

DROP TABLE if exists `PREFIXcountries`;
CREATE TABLE `PREFIXcountries` (
  `id` int(2) NOT NULL auto_increment,
  `name` varchar(128) default '',
  `lang_id` varchar(20) default 'DEF_LANG',
  `set_id` int(3) default 0,
  KEY `id` (`id`),
  KEY `idx_name` (`name`),
  KEY `idx_lang` (`lang_id`),
  KEY `idx_set_id` (`set_id`)
) ENGINE=MyISAM AUTO_INCREMENT=1 ;

DROP TABLE if exists `PREFIXcoupons`;
CREATE TABLE `PREFIXcoupons` (
  `id` int(2) NOT NULL auto_increment,
  `code` varchar(40) default '',
  `type` varchar(20) default 'fixed',
  `discount` double,
  `ads` int(1) default 1,
  `store` int(1) default 1,
  `groups` varchar(30) default '0',
  `allow` int(3) default 0,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM;


DROP TABLE if exists `PREFIXcurrencies`;
CREATE TABLE `PREFIXcurrencies` (
  `id` int(2) NOT NULL auto_increment,
  `currency` varchar(16),
  `order_no` int(4) default '1000',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=1 ;

INSERT INTO `PREFIXcurrencies` (`id`, `currency`, `order_no`) VALUES (1, '$', 2);

DROP TABLE if exists `PREFIXcustom_pages`;
CREATE TABLE `PREFIXcustom_pages` (
  `id` int(11) NOT NULL auto_increment,
  `type` int(1) default '1',
  `hreflink` varchar(200) default NULL,
  `navlink` int(1) default '1',
  `blank` int(1) default '0',
  `parent_id` int(11) default '0',
  `active` int(1) default '1',
  `read_only` int(1) default '0',
  `order_no` int(5) default NULL,
  PRIMARY KEY  (`id`),
  KEY `idx_active` (`active`),
  KEY `idx_type` (`type`),
  KEY `idx_order_no` (`order_no`)
) ENGINE=MyISAM AUTO_INCREMENT=1 ;


INSERT INTO `PREFIXcustom_pages` (`id`, `type`, `hreflink`, `navlink`, `active`, `read_only`, `order_no`) VALUES 
(1, 1, '', 0, 1, 1, 1);

DROP TABLE if exists `PREFIXcustom_pages_lang`;
CREATE TABLE `PREFIXcustom_pages_lang` (
  `id` int(11) NOT NULL,
  `lang_id` varchar(20) default 'DEF_LANG',
  `title` varchar(128) default NULL,
  `content` text,
  `meta_description` text,
  `meta_keywords` text,
   KEY `idx_id` (`id`),
   KEY `idx_lang_id` (`lang_id`)
) ENGINE=MyISAM AUTO_INCREMENT=1 ;


INSERT INTO `PREFIXcustom_pages_lang` (`id`, `title`, `content`, `meta_description`, `meta_keywords`) VALUES 
(1, 'First Page Content', '', '', '');

DROP TABLE if exists `PREFIXdb_backup`;
CREATE TABLE `PREFIXdb_backup` (
  `enabled` int(1) default 0,
  `backup_compress` varchar(10) default '0',
  `backup_freq` varchar(30),
  `keep` int(2),
  `generated_last` datetime default NULL
) ENGINE=MyISAM;

INSERT INTO `PREFIXdb_backup` values (0, '0', 'weekly', 5, '0000-00-00 00:00:00');


DROP TABLE if exists `PREFIXdepending_fields`;
CREATE TABLE `PREFIXdepending_fields` (
  `id` int(5) NOT NULL auto_increment,
  `no` int(1) default 2,
  `caption1` varchar(64) default NULL,
  `caption2` varchar(64) default NULL,
  `caption3` varchar(64) default NULL,
  `caption4` varchar(64) default NULL,
  `table1` varchar(64) default NULL,
  `table2` varchar(64) default NULL,
  `table3` varchar(64) default NULL,
  `table4` varchar(64) default NULL,
  `required1` tinyint(1) default NULL,
  `required2` tinyint(1) default NULL,
  `required3` tinyint(1) default NULL,
  `required4` tinyint(1) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=1 ;

INSERT INTO `PREFIXdepending_fields` (`id`, `no`, `caption1`, `caption2`, `caption3`, `caption4`, `table1`, `table2`, `table3`, `table4`, `required1`, `required2`, `required3`, `required4`) VALUES 
(1, 2, 'country', 'region', '', '', 'countries', 'regions', '', '', 0, 0, 0, 0 );

DROP TABLE if exists `PREFIXdepending_fields_lang`;
CREATE TABLE `PREFIXdepending_fields_lang` (
  `id` int(5) NOT NULL,
  `lang_id` varchar(20) default 'DEF_LANG',
  `name1` varchar(64) default NULL,
  `name2` varchar(64) default NULL,
  `name3` varchar(64) default NULL,
  `name4` varchar(64) default NULL,
  `top_str1` varchar(64) default NULL,
  `top_str2` varchar(64) default NULL,
  `top_str3` varchar(64) default NULL,
  `top_str4` varchar(64) default NULL,
  `error_message1` text,
  `error_message2` text,
  `error_message3` text,
  `error_message4` text,
  KEY `idx_lang` (`lang_id`),
  KEY `idx_id` (`id`)
) ENGINE=MyISAM  AUTO_INCREMENT=1 ;

INSERT INTO `PREFIXdepending_fields_lang` (`id`, `name1`, `name2`, `top_str1`, `top_str2`, `error_message1`, `error_message2`) VALUES 
(1, 'Country', 'Region', 'Select Country', 'Select Region', '', '' );

DROP TABLE if exists `PREFIXdiscounts`;
CREATE TABLE `PREFIXdiscounts` (
  `object_id` int(2) NOT NULL,
  `type` varchar(10) default 'ad',
  `code` varchar(40) default '',
  `user_id` int(10),
  KEY `idx_user_id` (`user_id`),
  KEY `idx_code` (`code`),
  KEY `idx_type` (`type`),
  KEY `idx_object_id` (`object_id`)
) ENGINE=MyISAM;


DROP TABLE if exists `PREFIXfavourites`;
CREATE TABLE `PREFIXfavourites` (
  `ad_id` int(10) NOT NULL,
  `user_id` int(4) NOT NULL,
  KEY `idx_ad_id` (`ad_id`),
  KEY `idx_user_id` (`user_id`)
) ENGINE=MyISAM;


DROP TABLE if exists `PREFIXfields`;
CREATE TABLE `PREFIXfields` (
  `id` int(5) NOT NULL auto_increment,
  `fieldset` varchar(100),
  `caption` varchar(200) default NULL,
  `type` varchar(20) default 'textbox',
  `order_no` int(2) default NULL,
  `is_numeric` int(1) default '0',
  `validation_type` varchar(100) default NULL,
  `size` varchar(10) default NULL,
  `min` int(10) default NULL,
  `max` int(10) default NULL,
  `required` tinyint(1) default '0',
  `editable` tinyint(1) default '1',
  `advanced_search` int(1) default NULL,
  `quick_search` int(1) default NULL,
  `search_type` int(1) default '1',
  `max_uploaded_size` double default NULL,
  `extensions` varchar(100) default NULL,
  `image_resize` varchar(20) default NULL,
  `dep_id` int(4) default NULL,
  `other_val` int(1) default 0,
  `read_only` int(1) default '0',
  `active` int(1) default '1',
  PRIMARY KEY  (`id`),
  KEY `idx_active` (`active`)
) ENGINE=MyISAM  AUTO_INCREMENT=1 ;

INSERT INTO `PREFIXfields` (`id`, `fieldset`, `caption`, `type`, `order_no`, `is_numeric`, `validation_type`, `size`, `min`, `max`, `required`, `editable`, `advanced_search`, `quick_search`, `search_type`, `max_uploaded_size`, `extensions`, `image_resize`, `dep_id`, `other_val`, `read_only`, `active`) VALUES 
(1, 0, 'price', 'price', 1, 1, 'price', '7', 0, 0, 0, 1, 1, 1, 2, 0, '', '', 0, 0, 1, 1),
(2, 0, 'country_region', 'depending', 2, 0, '', '', 0, 0, 0, 1, 1, 1, 1, 0, '', '', 1, 0, 0, 1),
(3, 0, 'city', 'textbox', 3, 0, '', '20', 0, 0, 0, 1, 1, 0, 0, 0, '', '', 0, 0, 0, 1),
(4, 0, 'zip', 'textbox', 4, 0, '', '20', 0, 0, 0, 1, 1, 0, 0, 0, '', '', 0, 0, 0, 1);


DROP TABLE if exists `PREFIXfields_lang`;
CREATE TABLE `PREFIXfields_lang` (
  `id` int(5) NOT NULL,
  `lang_id` varchar(20) default 'DEF_LANG',
  `name` varchar(64) default NULL,
  `top_str` varchar(64) default NULL,
  `error_message` text,
  `info_message` text,
  `default_val` text,
  `prefix` varchar(64) default NULL,
  `postfix` varchar(64) default NULL,
  `elements` text,
  `search_elements` text,
  `date_format` varchar(30) default NULL,
  KEY `idx_name` (`name`),
  KEY `idx_lang` (`lang_id`),
  KEY `idx_id` (`id`)
) ENGINE=MyISAM  AUTO_INCREMENT=1 ;

INSERT INTO `PREFIXfields_lang` (`id`, `name`, `top_str`, `error_message`, `info_message`, `default_val`, `prefix`, `postfix`, `elements`, `search_elements`, `date_format`) VALUES 
(1, 'Price', '', 'Invalid price!', '', '', '', '', '', '500|1500|2000|2500|3000|3500|4000|4500|5000|6000|7000|8000|9000|10000|12500|15000|17500|20000|25000|30000|40000|50000|75000|100000', ''),
(2, 'Country&Region', '', '', '', '', '', '', '', '', ''),
(3, 'City', '', '', '', '', '', '', '', '', ''),
(4, 'Zip', '', '', '', '', '', '', '', '', '');

DROP TABLE if exists `PREFIXfieldsets`;
CREATE TABLE `PREFIXfieldsets` (
  `id` int(5) NOT NULL auto_increment,
  `name` varchar(64) default NULL,
  `description` text,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  AUTO_INCREMENT=1 ;

DROP TABLE if exists `PREFIXicepay_ipn`;
CREATE TABLE `PREFIXicepay_ipn` (
  `id` bigint(20) NOT NULL auto_increment,
  `ukey` varchar(255) default '0',
  `date` timestamp default '0000-00-00 00:00:00',
  `Status` varchar(10),
  `StatusCode` varchar(100) default NULL,
  `Merchant` int(10),
  `OrderID` varchar(10),
  `PaymentID` int(10),
  `Reference` varchar(50),
  `TransactionID` varchar(50),
  `ConsumerName` varchar(100),
  `ConsumerAccountNumber` varchar(100),
  `ConsumerAddress` varchar(100),
  `ConsumerHouseNumber` varchar(10),
  `ConsumerPostCode` varchar(50),
  `ConsumerCity` varchar(100),
  `ConsumerCountry` varchar(100),
  `ConsumerEmail` varchar(200),
  `ConsumerPhoneNumber` varchar(50),
  `ConsumerIPAddress` varchar(50),
  `Amount` int(20),
  `Currency` varchar(3),
  `Duration` int(10),
  `Checksum` varchar(40),
  `PaymentMethod` varchar(20),
  PRIMARY KEY  (`id`),
  KEY `date` (`date`)
) ENGINE=MyISAM AUTO_INCREMENT=1 ;

CREATE TABLE IF NOT EXISTS `PREFIXfortumo_products` (
  `id` int(5) NOT NULL auto_increment,
  `price` float not null,
  `keyword` varchar(100) default NULL,
  `short_code` char(10) default NULL,
  `secret` char(50) default NULL,
  PRIMARY KEY  (`id`)
);

DROP TABLE if exists `PREFIXfortumo_return`;
CREATE TABLE `PREFIXfortumo_return` (
  `id` bigint(20) NOT NULL auto_increment,
  `ukey` varchar(20) default '0',
  `message` varchar(100),
  `sender` varchar(50),
  `country` varchar(2),
  `price` float,
  `currency` varchar(3),
  `service_id` varchar(100),
  `message_id` varchar(50),
  `keyword` varchar(50),
  `shortcode` int(10),
  `operator` varchar(40),
  `billing_type` varchar(2),
  `status` varchar(20),
  `test` varchar(5),
  `sig` varchar(50),
  `entirepost` text,
  `date` timestamp default '0000-00-00 00:00:00',
  PRIMARY KEY  (`id`),
  KEY `date` (`date`)
) ENGINE=MyISAM AUTO_INCREMENT=1;

DROP TABLE if exists `PREFIXfortumo_settings`;
CREATE TABLE `PREFIXfortumo_settings` (
  `currency` varchar(3),
  `test` int(1) default '0'
) ENGINE=MyISAM;


INSERT INTO `PREFIXfortumo_settings` (`keyword`, `short_code`, `secret`, `currency`, `test`) VALUES 
('', '', '', 'EUR', 0);

DROP TABLE if exists `PREFIXicepay_settings`;
CREATE TABLE `PREFIXicepay_settings` (
  `merchantID` int(10),
  `secretCode` varchar(50),
  `ic_language` varchar(3),
  `ic_country` varchar(3),
  `ic_currency` varchar(3),
  `description` text
) ENGINE=MyISAM;

INSERT INTO `PREFIXicepay_settings` (`description`) VALUES ('');


DROP TABLE if exists `PREFIXie_settings`;
CREATE TABLE `PREFIXie_settings` (
  `bulk_type` varchar(20),
  `bulk_template` int(2),
  `bulk_plan` int(2),
  `csv_column_separator` varchar(10),
  `csv_field_separator` varchar(10)
) ENGINE=MyISAM;

INSERT INTO PREFIXie_settings values ('xml', '', '1', ',', '"');

DROP TABLE if exists `PREFIXie_templates`;
CREATE TABLE `PREFIXie_templates` (
  `id` int(2) NOT NULL auto_increment,
  `name` varchar(50),
  `type` varchar(10) default 'ad',
  `purpose` varchar(10) default 'import',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM;

DROP TABLE if exists `PREFIXie_templates_fields`;
CREATE TABLE `PREFIXie_templates_fields` (
  `id` int(4) NOT NULL auto_increment,
  `template_id` int(2),
  `field` varchar(50),
  `alias` varchar(40),
  `cdata` int(1) default 0,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM;

DROP TABLE if exists `PREFIXinfo`;
CREATE TABLE `PREFIXinfo` (
  `lang_id` varchar(20) default 'DEF_LANG',
  `code` varchar(50) NOT NULL,
  `content` text,
  `info` text
) ENGINE=MyISAM;


INSERT INTO `PREFIXinfo` (`code`, `content`, `info`) VALUES 
('ad_publish_status', '{if $nologin && $activation}{* IF LISTING IS PLACED WITHOUT LOGIN AND IT NEEDS ACTIVATION *}\r\nPlease note that your listing is not active! You will shortly receive an email with an activation link. Follow the email instruction to activate your listing.\r\n<br>\r\n\r\n{/if}\r\n{if $manual} {* IF PAYMENT IS REQUIRED AND CHOSEN PAYMENT IS MANUAL *}\r\nThe payment type you have chosen to post this listing is manual. This means that your ad will remain pending until the payment is completed. To complete the payment please see below the payment details:<br><br>\r\n\r\n{*  ------------ PLACE HERE THE BANK ACCOUNT, CHECK ADDRESS OR ANY OTHER METHOD TO PAY MANUALLY  ---------------- *}\r\n\r\n{elseif $ad_pending}\r\n\r\nYour ad is pending and will be published after it will be verified by administrator!\r\n<br><br>\r\n{elseif !$nologin || !$activation}\r\n\r\nYour ad is published! You can view your listing <a href="{$details_link}">here</a>!\r\n<br><br>\r\n{/if}\r\n\r\n{if !$nologin}\r\n<a href="{$site_url}/useraccount.php">Return to your account</a>\r\n{/if}', 'The info message that appears after the ad is posted. The message can contain information about ad status.'),
('ad_options_upgrade_status', '{if $manual}\r\nThe payment type you have chosen for this upgrade is manual. This means that your upgrade features will remain pending until the payment is completed. To complete the payment please see below the payment details:<br><br>\r\n\r\n{*  ------------ PLACE HERE THE BANK ACCOUNT, CHECK ADDRESS OR ANY OTHER METHOD TO PAY MANUALLY  ---------------- *}<br>\r\n{/if}\r\n\r\nYour ad upgrade details:<br>\r\n\r\nAd ID: <b>#{$ad_id}</b><br>\r\nAd upgrade status: <b>{$status}</b><br>\r\nInvoice no: <b>#{$invoice_no}</b><br>\r\nProcessor: <b>{$processor}</b><br>\r\n{if $featured}Feature Ad: <b>{$featured_price}</b><br>{/if}\r\n{if $highlited}Highlighted Ad: <b>{$highlited_price}</b><br>{/if}\r\n{if $priority}Priority: <b>{$priority_name} {$priority_price}</b><br>{/if}\r\n{if $video}Video: <b>{$video_price}</b><br>{/if}\r\n\r\n{if $discount}Discount: <b>{$discount}</b><br>{/if}\r\nTotal: <b>{$amount_formatted}</b><br><br>\r\n\r\n{if !$nologin}\r\n<a href="{$site_url}/useraccount.php">Return to your account</a>\r\n{/if}', 'The info message that appears after the ad is upgraded. The message can contain information about upgrade status.'),
('subscription_status', '{if $manual}{*  ####  Manual payment - edit and add payment method #### *}\r\n\r\nThe payment type you have chosen to subscribe is manual. This means that your subscription will remain pending until the payment is completed. To complete the payment please see below the payment details:\r\n\r\n{*  ------------ PLACE HERE THE BANK ACCOUNT, CHECK ADDRESS OR ANY OTHER METHOD TO PAY MANUALLY  ---------------- *}\r\n<br /><br />\r\n\r\n{elseif $plan_pending}\r\n\r\nYour subscription is pending and will be shortly be activated after being reviewed by administrator<br/><br/>\r\n\r\n{else}\r\n\r\nYour subscription is active, you can publish ads now!<br/><br/>\r\n\r\n{/if}\r\n\r\n<b>Subscription details:</b><br/>\r\n<br/>\r\nSubscription: <b>{$plan.name}</b><br/>\r\nPlan price: <b>{$appearance.default_currency}{$plan.amount}</b><br/>\r\n{if $discount}\r\nDiscount: <b>{$discount}</b><br>\r\nTotal: <b>{$amount_formatted}</b><br>\r\n<br/>{/if}\r\nNumber of ads: <b>{if $plan.no_ads}{$plan.no_ads}{else}{$unlimited}{/if}</b><br/>\r\nSubscription time: <b>{if $plan.subscription_time}{$plan.subscription_time}{else}{$unlimited}{/if} days</b><br/>\r\nAllowed pictures: <b>{$plan.no_pictures}</b><br/>\r\nWords: <b>{if $plan.no_words}{$plan.no_words}{else}{$unlimited}{/if}</b><br/>\r\nAds availability: <b>{if $plan.no_days}{$plan.no_days}{else}{$unlimited}{/if} days</b><br/>\r\nStatus: <b>{$status}</b>\r\n<br/>\r\n<a href="{$site_url}/useraccount.php">Return to your account</a>', 'The info message that appears after the subscription is posted. The message can contain information about subscription status.'),
('buy_store_status', '{if $manual}{*  ####  Manual payment - edit and add payment method #### *}\r\n\r\nThe payment type you have chosen to subscribe is manual. This means that Dealer Page option for your account will remain pending until the payment is completed. To complete the payment please see below the payment details:\r\n\r\n{*  ------------ PLACE HERE THE BANK ACCOUNT, CHECK ADDRESS OR ANY OTHER METHOD TO PAY MANUALLY  ---------------- *}\r\n<br /><br />\r\n\r\n{elseif $pending}\r\n\r\nYour account upgrade to enable Dealer Page is waiting for administrator verification. You will be notified when activated<br/><br/>\r\n\r\n{else}\r\n\r\nYour account has been upgraded. You will now have your own Dealer Page on our site where you can customize your own top banner!<br/><br/>\r\n\r\n{/if}\r\n\r\n<br>\r\n<b>Dealer Page details:</b><br>\r\n<br>\r\nAmount: <b>{$appearance.default_currency}{$amount}</b><br>\r\n{if $discount}\r\nDiscount: <b>{$discount}</b><br>\r\nTotal: <b>{$amount_formatted}</b><br>\r\n{/if}\r\nProcessor: <b>{$processor}</b><br>\r\nDealer Page availability: <b>{if $days}{$days}{else}{$unlimited}{/if} days</b><br>\r\nStatus: <b>{$status}</b>\r\n<br>\r\n\r\n<a href="{$site_url}/useraccount.php">Return to your account</a>', 'The info message that appears after the Dealer Page option is chosen and after passing payment. The message can contain information about Dealer Page option status.'),
('bulk_uploads_info', 'Information regarding <a href="content.php?id=1" target="_blank">bulk uploads format</a>.\r\n{* replace the link with the correct link where you have placed bulk uploads information *}', 'Info that explains to users how to use bulk uploads feature.'),
('password_recovery_mail_sent', 'An email has been sent to your email address with information how to recover your password.<br /><br />\r\n\r\nThank you for using our services!', 'The message the user gets after he submits for retrieving a lost password.'),
('not_authorized', 'You are not authorized to view this page!<br /> \r\n\r\nPlease <a href="login.php" class="info">login</a> on your account, or if you do not have one, please <a href="register.php" class="info">register</a>!', 'The text that will appear if the person that browse a certain page does not have access to that page (for example access administrator settings pages without being logged as administrator)'),
('password_recovery_key_invalid', 'You reached this page probably because you followed a link from a message that was sent to you with instructions to choose a password to access this site.However, that link is no longer valid. <br /> \r\n\r\nPlease submit your data again to recover your password!', 'The message shown to a user when trying to retrieve a lost password but the recovery key is invalid.'), 
('fortumo_info', 'Please send the code below to the number ::SHORT_CODE:::<br/> ::KEY:: <br/>You will be charged with: ::AMOUNT::', 'The message that appears when the user chooses to pay with Fortumo SMS payment.'), 
('fortumo_failed', 'The payment failed!', 'The SMS message that is sent back to user when the payment failed. Please limit to 16 characters!'), 
('fortumo_success', 'Payment successful!', 'The SMS message that is sent back to user when the payment succeeded. Please limit to 16 characters!');


DROP TABLE if exists `PREFIXlanguages`;
CREATE TABLE `PREFIXlanguages` (
  `id` varchar(10) NOT NULL,
  `code` varchar(2),
  `name` varchar(50) ,
  `image` varchar(50) default NULL,
  `characters_map` varchar(50),
  `default` int(1) default '0',
  `enabled` int(1) default '1',
  `order_no` int(2) default '1',
  PRIMARY KEY  (`id`),
  KEY `idx_enabled` (`enabled`)
) ENGINE=MyISAM;

DROP TABLE IF EXISTS `PREFIXlocation_no_ads`;
CREATE TABLE IF NOT EXISTS `PREFIXlocation_no_ads` (
  `field` varchar(64) not null,
  `val` varchar(64) not null,
  `no` int(10) default 0
);


DROP TABLE if exists `PREFIXlogin_history`;
CREATE TABLE `PREFIXlogin_history` (
  `id` int(11) NOT NULL auto_increment,
  `username` varchar(60),
  `date_login` datetime default NULL,
  `ip` varchar(15) default NULL,
  `succeeded` int(1) default 0,
  PRIMARY KEY  (`id`),
  KEY `idx_username` (`username`),
  KEY `idx_date` (`date_login`)
) ENGINE=MyISAM  AUTO_INCREMENT=1 ;


DROP TABLE if exists `PREFIXmails`;
CREATE TABLE `PREFIXmails` (
  `lang_id` varchar(20) default 'DEF_LANG',
  `code` varchar(50) NOT NULL,
  `subject` varchar(255) default NULL,
  `content` text,
  `info` text
) ENGINE=MyISAM;

INSERT INTO `PREFIXmails` (`code`, `subject`, `content`, `info`) VALUES 
('registration', 'Your Account on {$site_name}', 'Hello {$username},<br/><br/>\n\n{if $activation}{*    ### If the account needs activation    ###  *}\nYou received this email because there has been a request for a registration with this account on {$site_name}<br/>\n{else}\nYour account on {$site_name} has been created.<br/>\n{/if}\n<br/>\n\nYour account information are:<br/>\nUsername: <strong>{$username}</strong>{if $password}<br/>\nPassword: <strong>{$password}</strong>{/if}<br/><br/>\n\n{if $activation}{*    ### If the account needs activation    ###  *}\nTo activate your account please go to the following link:<br/>\n{$link}<br/><br/>\n{/if}\n\nRegards,<br/>\n<font color="#2995b5">{$administrator}</font><br/>\n{$site_url}<br/><br/>\n', 'The email that the user receives after registration with account information and account activation link if the case.'),
('mailto', '{$site_name} new message', 'Hello <strong>{$username}</strong>,<br/><br/>\n\n<strong>{$sender_name}</strong> is interested in your listing below: <br/>\n{$ad_link}<br/><br/>\n\n{$message}<br/><br/>\n\nSender email: <br/>\n<font color="#2995b5">{$sender_email}</font><br/><br/>\n', 'The email sent to a listing owner when a guest fills in the contact user form attached to every ad.'),
('recommend_ad', '{$sender_name} recommended you this ad!', 'Hello <strong>{$name}</strong>,<br/><br/>\n\n<strong>{$sender_name}</strong> thought you would be interested in the following resource:<br/>\n{$ad_link}<br/><br/>\n\n{$message}<br/><br/>\n\nBest Regards,<br/>\n<font color="#2995b5">{$administrator}</font><br/><br/>\n', 'The email that is sent to the when a user or guest recommends an ad to a friend using the "Share" link on every ad details page.'),
('password_recovery', 'Password recovery for {$site_name}', 'To initiate the process for resetting the password for your {$site_name} account, visit the link below:<br/><br/>\n\n{$link}<br/><br/>\n', 'The email that the user receives after initiating a password recovery process.'),
('listing_expired', 'Your listing on {$site_name} expired', 'Hello {$contact_name},<br/><br/>\n\nYour listing with the id #{$ad_id} expired!<br/><br/>\n\nIf you want to renew your listing please go to your account "Browse Listings" section and use the "Renew" icon assigned to this ad, or use the following link: <br/>\n{$renew_link} <br/><br/>\n\nTo view the content of your ad check the following link:<br/>\n{$details_link}<br/><br/>\n\nRegards,<br/>\n<font color="#2995b5">{$administrator}</font><br/>\n{$site_url}<br/><br/>\n', 'The email that a listing owner receives after a listing expired.'),
('listing_will_expire', 'Your listing on {$site_name} will expire', 'Hello {$contact_name},<br/><br/>\n\nThis is a notification message! Your listing will expire in {$days_expire} days!<br/><br/>\n\nIf you want to renew your listing, you can renew it from your account after it expires, or if you want to renew it before it expires you can use the following link:<br/>\n{$renew_link}<br/><br/>\n\nTo view the content of your ad check the following link:<br/>\n{$details_link}<br/><br/>\n\nRegards,<br/>\n<font color="#2995b5">{$administrator}</font><br/>\n{$site_url}<br/><br/>\n', 'The email that a listing owner receives before a listing expires.'),
('admin_announce_pending', 'New {$processor} pending on {$site_name}', '<table width="400">\n<tr><td colspan="2" style="background: #2885b5; color: #fff; font-weight: bold;">Details</td></tr>\n<tr><td>Invoice no:</td><td class="right">#{$invoice_no}</td></tr>\n<tr><td>Processor:</td><td class="right">{$processor}</td></tr>\n{if !$nologin}<tr><td>Username:</td><td class="right">{$username}</td></tr>\n{elseif $contact_name}<tr><td>Posted by:</td><td class="right">{$contact_name}</td></tr>\n{/if}\n{if $ad_id && $ad_pending} {* ---- announce pending listing -------- *}\n<tr><td>Pending Ad ID:</td><td class="right">#{$ad_id}</td></tr>\n<tr><td>Listing Details:</td><td class="right">{$details_link}</td></tr>\n{/if}\n{if $plan.type=="sub" && $plan_pending} {* ---- announce pending subscription -------- *}\n<tr><td>Pending Plan:</td><td class="right">#{$plan_name}</td></tr>\n{/if}\n{if $upgrade}\n<tr><td>Pending Upgrades for Ad ID:</td><td class="right">#{$ad_id}</td>\n{/if}\n{if $store}\n<tr><td>Pending Dealer Page for user:</td><td class="right">#{$username}</td></tr>\n{/if}\n</table><br/><br/>\n', 'The email sent to administrator to notify a pending action: new ad, subscription, upgrade ad etc.'),
('admin_new_account', 'New user registered on {$site_name}', 'A new user registered on <strong>{$site_name}</strong><br/><br/>\n\n<table width="400">\n<tr><td colspan="2" style="background: #2885b5; color: #fff; font-weight: bold;">Account Details</td></tr>\n<tr><td>Username:</td><td class="right">{$username}</td></tr>\n<tr><td>Group:</td><td class="right">{$group}</td></tr>\n<tr><td>Status:</td><td class="right">{$status}</td></tr>\n</table><br/><br/>\n', 'The email that is sent to the administrator to notify a new user registered.'),
('report_ad', 'Report Abusive Ad on {$site_name}', 'The following ad was reported as abusive:<br/>\n{$ad_link}<br/><br/>\n\nThe report was sent by:<br/>\nName: <strong>{$name}</strong><br/>\nEmail: <strong>{$email}</strong><br/>\nComments: {$message}<br/><br/>\n', 'The email sent to admin when someone reports an ad as abusive'),
('ad_publish_status', 'Your listing on {$site_name}', 'Hello {$contact_name},<br/><br/>\n\n{if $nologin && $activation}{* ------- Text that appears when the ad is placed without login and it requires activation -------- *}\nIMPORTANT! Your ad is not yet active. To activate your ad, click the link below or copy and paste the entire link into your web browser:<br/>\n{$activation_link}<br/>\n{/if}\n{if $manual}\nThe payment type you have chosen to post this listing is manual. This means that your ad will remain pending until the payment is completed. To complete the payment please see below the payment details:<br/>\n{*  ------------ PLACE HERE THE BANK ACCOUNT, CHECK ADDRESS OR ANY OTHER METHOD TO PAY MANUALLY  ---------------- *}\n{elseif $ad_pending}\nYour ad is pending and will be published after the administrator review!<br/>\n\n{elseif $active}\nYour ad is published!<br/>\n\n{/if}\n<br/>\n<table width="400">\n<tr><td colspan="2" style="background: #2885b5; color: #fff; font-weight: bold;">Ad Details</td></tr>\n<tr><td>ID:</td><td class="right">#{$ad_id}</td></tr>\n<tr><td>Plan:</td><td class="right">{$plan_name}</td></tr>\n{if $plan.amount}<tr><td>Plan amount:</td><td class="right">{$plan_price}</td></tr>{/if}\n{if $featured || $highlited || $priority || $video}\n<tr><td colspan="2" style="background: #2885b5; color: #fff;">Options</td></tr>\n{if $featured}<tr><td>Featured</td><td class="right">{$featured_price}</td></tr>{/if}\n{if $highlited}<tr><td>Highlighted</td><td class="right">{$highlited_price}</td></tr>{/if}\n{if $priority}<tr><td>Priority</td><td class="right">{$priority_name} - {$priority_price}</td></tr>{/if}\n{if $video}<tr><td>Video</td><td class="right">{$video_price}</td></tr>{/if}{/if}\n{if $discount}<tr><td>Discount:</td><td class="right">{$discount}</td></tr>{/if}\n{if !$admin_activated}\n<tr><td>Amount:</td><td class="right">{$amount_formatted}</td></tr>\n{if $amount}<tr><td>Payment method:</td><td class="right">{$processor}</td></tr>{/if}\n{/if}\n<tr><td>Status:</td><td class="right">{$status}</td></tr>\n{if $amount}<tr><td>Invoice no:</td><td class="right">#{$invoice_no}</td></tr>{/if}\n</table><br/><br/>\n\n{if $nologin && !$activation} {* send management link if posted without login *}\nYou can use the following link to manage your listing:<br/>\n{$details_link}<br/>\n{elseif !$nologin}\nView your listing details: <br/>\n{$details_link}<br/>\n{/if}\n<br/>\n\n{if $plan.type=="sub" && $new_subscription}  {* - details if new subscription - *}\n<table width="400">\n<tr><td colspan="2" style="background: #2885b5; color: #fff; font-weight: bold;">Subscription Details</td></tr>\n<tr><td>Plan name:</td><td class="right">{$plan.name}</td></tr>\n<tr><td>Amount:</td><td class="right">{$appearance.default_currency}{$plan.amount}</td></tr>\n<tr><td>Number of ads:</td><td class="right">{if $plan.no_ads}{$plan.no_ads}{else}{$unlimited}</td></tr>{/if}\n<tr><td>Subscription time:</td><td class="right">{if $plan.subscription_time}{$plan.subscription_time}{else}{$unlimited}{/if} days</td></tr>\n<tr><td>Allowed pictures:</td><td class="right">{$plan.no_pictures}</td></tr>\n<tr><td>Words:</td><td class="right">{if $plan.no_words}{$plan.no_words}{else}{$unlimited}</td></tr>{/if}\n<tr><td>Ads availability:</td><td class="right">{if $plan.no_days}{$plan.no_days}{else}{$unlimited}{/if} days</td></tr>\n<tr><td>Payment method:</td><td class="right">{$processor}</td></tr>\n<tr><td>Plan status:</td><td class="right">{$status}</td></tr>\n<tr><td>Invoice number:</td><td class="right">#{$invoice_no}</td></tr>\n</table><br/><br/>\n{/if}\n\nRegards,<br/>\n<font color="#2995b5">{$administrator}</font><br/>\n{$site_url}<br/><br/>\n', 'The email sent to the listing owner after the listing is posted. The email contains information about the ad status.'),
('ad_options_upgrade_status', 'Listing upgrade status on {$site_name}', 'Hello <strong>{$contact_name}</strong>,<br/><br/>\n\n{if $manual}\nThe payment type you have chosen for this upgrade is manual. This means that your upgrade features will remain pending until the payment is completed. To complete the payment please see below the payment details:<br/><br/>\n{*  ------------ PLACE HERE THE BANK ACCOUNT, CHECK ADDRESS OR ANY OTHER METHOD TO PAY MANUALLY  ---------------- *}\n{/if}\n\nYour ad upgrade request has been registered. You can see below the status of your upgrade:<br/><br/>\n\n<table width="400">\n<tr><td colspan="2" style="background: #2885b5; color: #fff; font-weight: bold;">Upgrade Status</td></tr>\n<tr><td class="right">Ad ID:</td><td>#{$ad_id}\n<tr><td class="right">Ad upgrade status:</td><td>{$status}</td></tr>\n<tr><td class="right">Invoice no:</td><td>#{$invoice_no}</td></tr>\n{if $amount}\n<tr><td class="right">Processor:</td><td>{$processor}</td></tr>\n{/if}\n<tr><td colspan="2" style="background: #2885b5; color: #fff; font-weight: bold;">Upgrade options</td></tr>\n{if $featured}\n<tr><td>Feature Ad:</td><td class="right">{$featured_price}</td></tr>\n{/if}\n{if $highlited}\n<tr><td>Highlighted Ad:</td><td class="right">{$highlited_price}</td></tr>\n{/if}\n{if $priority}\n<tr><td>Priority:</td><td class="right">{$priority_name} {$priority_price}</td></tr>\n{/if}\n{if $video}\n<tr><td>Video:</td><td class="right">{$video_price}</td></tr>\n{/if}\n{if $discount}\n<tr><td>Discount:</td><td class="right">{$discount}</td></tr>\n{/if}\n<tr><td>Total:</td><td class="right">{$amount_formatted}</td></tr>\n</table><br/><br/>\n\nRegards,<br/>\n<font color="#2995b5">{$administrator}</font><br/>\n{$site_url}<br/><br/>\n', 'The email sent to the user after a listing is upgraded. The email contains information about the upgrade status.'),
('subscription_status', 'Your subscription on {$site_name}', 'Hello {$contact_name},<br/><br/>\n\n{if $manual}{*   ######   The user chosen a manual payment  ###### *}\nThe payment type you have chosen to subscribe is manual. This means that your subscription will remain pending until the payment is completed. To complete the payment please see below the payment details:<br/>\n{*  ------------ PLACE HERE THE BANK ACCOUNT, CHECK ADDRESS OR ANY OTHER METHOD TO PAY MANUALLY  ---------------- *}\n{elseif $plan_pending}\nYour subscription is pending and will be shortly activated by administrator.<br/>\n{else}\nYour subscription is active and you can start publishing ads.<br/>\n{/if}\n<br/>\n<table width="400">\n<tr><td colspan="2" style="background: #2885b5; color: #fff; font-weight: bold;">Subscription Details</td></tr>\n<tr><td>Subscription:</td><td class="right">{$plan.name}</td></tr>\n{if $plan_price}<tr><td>Plan price:</td><td class="right">{$plan_price}</td></tr>{/if}\n{if $discount}<tr><td>Discount:</td><td class="right">{$discount}</td></tr>\n<tr><td>Amount:</td><td class="right">{$amount_formatted}</td></tr>\n{/if}\n<tr><td>Number of ads:</td><td class="right">{if $plan.no_ads}{$plan.no_ads}{else}{$unlimited}</td></tr>\n{/if}\n<tr><td>Subscription time:</td><td class="right">{if $plan.subscription_time}{$plan.subscription_time}{else}{$unlimited}{/if} days</td></tr>\n<tr><td>Allowed pictures:</td><td class="right">{$plan.no_pictures}</td></tr>\n<tr><td>Words:</td><td class="right">{if $plan.no_words}{$plan.no_words}{else}{$unlimited}</td></tr>\n{/if}\n<tr><td>Ads availability:</td><td class="right">{if $plan.no_days}{$plan.no_days}{else}{$unlimited}{/if} days</td></tr>\n{if $processor}<tr><td>Payment method:</td><td class="right">{$processor}</td></tr>\n{/if}\n<tr><td>Plan status:</td><td class="right">{$status}</td></tr>\n{if $invoice_no}<tr><td>Invoice number:</td><td class="right">#{$invoice_no}</td></tr>{/if}\n</table><br/><br/>\n\nRegards,<br/>\n<font color="#2995b5">{$administrator}</font><br/>\n{$site_url}<br/><br/>\n', 'The email sent to a user after a subscription is ordered. The email contains information about the subscription status.'),
('subscription_expired', 'Your subscription on {$site_name} expired', 'Hello {$contact_name},<br/><br/>\n\n{if $time_expired}\n\nYour subscription with the id <strong>#{$subscription_id}</strong> expired!<br/><br/>\n{else}\n\nYour subscription with the id <strong>#{$subscription_id}</strong> reached the maximum number or ads allowed and was deactivated!\n<br/><br/>\n{/if}\n\n\nRegards,<br/>\n<font color="#2995b5">{$administrator}</font><br/>\n{$site_url}<br/><br/>\n', 'The email that the user receives after the subcription expired.'),
('subscription_will_expire', 'Your subscription on {$site_name} will expire', 'Hello {$contact_name},<br/><br/>\n\nThis is a notification message! Your subscription  with the id <strong>#{$subscription_id}</strong> will expire in {$days_expire} days!<br/><br/>\n\nRegards,<br/>\n<font color="#2995b5">{$administrator}</font><br/>\n{$site_url}<br/><br/>\n', 'The email that the user receives before a subscription expires.'),
('store_expired', 'Your Dealer Page on {$site_name} expired', 'Hello {$contact_name},<br/><br/>\n\nYour Dealer Page feature expired! <br/><br/>\n\nRegards,<br/>\n<font color="#2995b5">{$administrator}</font><br/>\n{$site_url}<br/><br/>\n', 'The email that the user receives after the Dealer Page expired.'),
('ad_options_expired', 'Your ad options on {$site_name} expired', 'Hello <strong>{$contact_name}</strong>,<br/><br/>\n\nYour following ad options for ad id #{$id} expired: {$expired_options}!<br/><br/>\n\nView the content of your ad: <br/>\n{$details_link}<br/><br/>\n\nRegards,<br/>\n<font color="#2995b5">{$administrator}</font><br/>\n{$site_url}<br/><br/>\n', 'The email that the user receives after the subcription expired.'),
('buy_store_status', 'Your Dealer Page on {$site_name}', 'Hello {$contact_name},<br/><br/>\n\n{if $manual}{*   ######   The user chosen a manual payment  ###### *}\nThe payment type you have chosen is manual. This means that Dealer Page option for your account will remain pending until the payment is completed. To complete the payment please see below the payment details:<br/>\n{*  ------------ PLACE HERE THE BANK ACCOUNT, CHECK ADDRESS OR ANY OTHER METHOD TO PAY MANUALLY  ---------------- *}\n{elseif $store_pending}\nYour account upgrade to enable Dealer Page is waiting for administrator verification. You will be notified when activated.<br/>\n\n{else}\nYour account has been upgraded. You will now have your own Dealer Page on our site where you can customize your own top banner!<br/>\n\n{/if}\n<br/>\n\n<table width="400">\n<tr><td colspan="2" style="background: #2885b5; color: #fff; font-weight: bold;">Dealer Page details:</td></tr>\n{if !$admin_activated}\n<tr><td>Amount:</td><td class="right">{$appearance.default_currency}{$amount}</td></tr>\n{if $discount}\n<tr><td>Discount:</td><td class="right">{$discount}</td></tr>\n<tr><td>Total:</td><td class="right">{$amount_formatted}</td></tr>\n{/if}\n<tr><td>Processor:</td><td class="right">{$processor}</td></tr>\n{if $invoice_no}<tr><td>Invoice number:</td><td class="right">#{$invoice_no}</td></tr>\n{/if}\n{/if}\n<tr><td>Dealer Page availability:</td><td class="right">{if $days}{$days}{else}{$unlimited}{/if} days</td></tr>\n<tr><td>Dealer Page status:</td><td class="right">{$status}</td></tr>\n</table><br/><br/>\n\nRegards,<br/>\n<font color="#2995b5">{$administrator}</font><br/>\n{$site_url}<br/><br/>\n', 'The email sent to the user after choosing Dealer Page option for an account. The email contains information about the Dealer Page option status.'),
('email_alert', '{$site_name} {if $no>1}{$no} new listings{else}1 new listing{/if} for {$search}', 'Hello,<br/><br/>\n\nThere {if $no>1}are {$no} new listings{else}is 1 new listing{/if} for <strong>{$search}</strong>!<br/><br/>\n\nPlease click the following link to see the  new {if $no==1}listing{else}listings{/if} for your search:<br/><br/>\n\n{$link}<br/><br/>\n\nRegards,<br/>\n<font color="#2995b5">{$administrator}</font><br/>\n{$site_url}<br/><br/>\n', 'The email that the user receives when new listings appear for the alert search terms.'),
('email_alert_confirmation', 'Your email alert for {$search}', 'Hello,<br/><br/>\n\nYou asked to be announced when something new comes up on <font color="#2995b5">{$site_name}</font> for the following search:<br/>\n<strong>{$search}</strong><br/><br/>\n{if $confirmation}\nPlease confirm your email alert by clicking on the link below.<br/>\n\n{$confirmation_link}<br/><br/>\n{/if}\nIf you want to stop receiving email alerts please use the unsubscribe link below:<br/>\n\n{$unsubscribe_link}<br/><br/>\n\nRegards,<br/>\n<font color="#2995b5">{$administrator}</font><br/>\n{$site_url}<br/><br/>\n', 'The confirmation email that the user receives when choosing to subscribe for an email alert. This email will contain instructions how to activate the alert (is not already active) and how to disable the alert.'),
('ad_options_upgrade_done', 'Your ad upgrade', 'Hello {$contact_name},<br/><br/>\n\nYour listing #{$ad_id} was successfully upgraded with the following options:<br/><br/>\n\n<table width="400">\n<tr><td style="background: #2885b5; color: #fff; font-weight: bold;">Upgrade Details</td></tr>\n{if $featured}<tr><td class="right">Featured</td></tr>{/if}\n{if $highlited}<tr><td class="right">Highlighted</td></tr>{/if}\n{if $video}<tr><td class="right">Video Classifieds</td></tr>{/if}\n{if $priority}<tr><td class="right">Priority: {$priority}</td></tr>{/if}\n</table><br/><br/>\n\nView your listing details page:<br/>\n{$details_link}<br/><br/>\n\nRegards,<br/>\n<font color="#2995b5">{$administrator}</font><br/>\n{$site_url}<br/><br/>\n', 'The info message that appears after the ad upgrade was accepted by administrator. The message will contain information about upgrade status.'),
('new_comment', 'New comment for listing #{$ad_id}', 'Hello {$contact_name},<br/><br/>\n\nYou have a new comment for listing #{$ad_id}:<br/><br/>\n\n{$message}<br/><br/>\n\nPosted by: {$contact_name}<br/><br/>\n\nRegards,<br/>\n<font color="#2995b5">{$administrator}</font><br/>\n{$site_url}<br/><br/>\n', 'The message that announces a new comment'),
('admin_new_ad', 'New listing on {\$site_name}', '<table width="400">\n<tr><td colspan="2" style="background: #2885b5; color: #fff; font-weight: bold;">Details</td></tr>\n{if !\$nologin}<tr><td>Username:</td><td class="right">{\$username}</td></tr>\n{elseif \$contact_name}<tr><td>Posted by:</td><td class="right">{\$contact_name}</td></tr>\n{/if}\n<tr><td>Ad ID:</td><td class="right">#{\$ad_id}</td></tr>\n<tr><td>Listing Details:</td><td class="right">{\$details_link}</td></tr>\n</table><br/><br/>\n', 'The email sent to administrator to notify a new listing'),
('reply', 'Message reply on {\$site_name}', 'A new reply has been made on {\$site_name}:<br/><br/>{\$message}', 'The email that the user receives when a reply is made for a message'),
('report_message', 'Message id {\$id} reported as spam', 'The message id {\$id} was reported as spam.', 'The message the administrator receives when a user reports a message as spam.');


DROP TABLE if exists `PREFIXmails_settings`;
CREATE TABLE `PREFIXmails_settings` (
  `html_mails` int(1) default '1',
  `smtp_enabled` int(1) default '1',
  `use_smtp_auth` int(1) default '0',
  `ssl` tinyint(1) not null default 0,
  `smtp_server` varchar(40) default NULL,
  `port` int(5) default NULL,
  `username` varchar(70) default NULL,
  `password` varchar(40) default NULL,
  `bcc_to` varchar(70) default NULL
) ENGINE=MyISAM;


INSERT INTO `PREFIXmails_settings` (`html_mails`, `smtp_enabled`, `use_smtp_auth`, `smtp_server`, `port`, `username`, `password`, `bcc_to`) VALUES 
(1, 0, 0, '', 25, '', '','');

DROP TABLE `PREFIXmessages`;
CREATE TABLE `PREFIXmessages` (
  `id` int(11) NOT NULL auto_increment,
  `from` int(10) NOT NULL,
  `from_email` varchar(50) NOT NULL,
  `to` int(10) NOT NULL,
  `to_email` varchar(50) NOT NULL,
  `date` timestamp default '0000-00-00 00:00:00',
  `ip` varchar(15),
  `ad_id` int(11),
  `message` text,
  `report` int(1) default 0,
  `reply_to` int(11) default 0,
  `starting` int(11) default 0,
  PRIMARY KEY  (`id`),
  KEY `idx_from` (`from`),
  KEY `idx_to` (`to`)
);


DROP TABLE if exists `PREFIXmodules`;
CREATE TABLE `PREFIXmodules` (
  `id` varchar(50) NOT NULL,
  `name` varchar(50),
  `description` text,
  `enabled` int(1) default '1',
  UNIQUE KEY `id` (`id`),
  KEY `idx_enabled` (`enabled`)
) ENGINE=MyISAM;


DROP TABLE if exists `PREFIXoptions`;
CREATE TABLE `PREFIXoptions` (
  `object_id` int(2) NOT NULL,
  `option` varchar(20), 
  `date_added` datetime,
  `date_expires` datetime,
  KEY `idx_id` (`object_id`),
  KEY `idx_option` (`option`),
  KEY `idx_date` (`date_added`),
  KEY `idx_expires` (`date_expires`)
) ENGINE=MyISAM;


DROP TABLE if exists `PREFIXpackages`;
CREATE TABLE `PREFIXpackages` (
  `id` int(2) NOT NULL auto_increment,
  `type` varchar(10) default 'ad',
  `amount` float default '0',
  `no_words` int(5) default '0',
  `no_days` int(4) default '0',
  `no_pictures` int(2),
  `no_ads` int(3) default '1',
  `subscription_time` int(5) default '0',
  `groups` varchar(250) default '0',
  `categories` text,
  `order_no` int(5) default NULL,
  `featured` int(1) default '0',
  `highlited` int(1) default '0',
  `priority` int(4) default '0',
  `video` int(1) default 0,
  `allow` int(2) default 0,
  PRIMARY KEY  (`id`),
  KEY `idx_type` (`type`)
) ENGINE=MyISAM  AUTO_INCREMENT=1 ;

INSERT INTO `PREFIXpackages` (`id`, `type`, `amount`, `no_words`, `no_days`, `no_pictures`, `no_ads`, `subscription_time`, `groups`, `categories`, `order_no`, `featured`, `highlited`, `priority`, `video`) VALUES 
(1, 'ad', 0, 1000, 30, 4, 1, 0, 0, 0, 1, 0, 0, 0, 0);


DROP TABLE if exists `PREFIXpackages_lang`;
CREATE TABLE `PREFIXpackages_lang` (
  `id` int(2) NOT NULL,
  `lang_id` varchar(20) default 'DEF_LANG',
  `name` varchar(128) default '',
  `description` text,
  KEY `idx_id` (`id`),
  KEY `idx_name` (`name`),
  KEY `idx_lang` (`lang_id`)
) ENGINE=MyISAM;

INSERT INTO `PREFIXpackages_lang` (`id`, `name`, `description`) VALUES 
(1, 'Free Ad Plan', 'Free listing with up to 100 words and 4 pictures.');


DROP TABLE if exists `PREFIXpassword_recovery`;
CREATE TABLE `PREFIXpassword_recovery` (
  `user_id` int(20) default NULL,
  `activation` varchar(100) default NULL,
  `date` timestamp NULL default '0000-00-00 00:00:00'
) ENGINE=MyISAM;


DROP TABLE if exists `PREFIXpayment_actions`;
CREATE TABLE `PREFIXpayment_actions` (
  `id` int(20) NOT NULL auto_increment,
  `user_id` bigint(20) default '0',
  `processor` varchar(30) default NULL,
  `ukey` varchar(255) default NULL,
  `amount` float default NULL,
  `action` text,
  `post` text,
  `completed` tinyint(1) default '0',
  `date` timestamp NULL default '0000-00-00 00:00:00',
  `subscr_signup` tinyint(1) default '0',
  `subscr_payment` tinyint(1) default '0',
  `subscr_id` varchar(40) default NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `ukey` (`ukey`),
  KEY `idx_amount` (`amount`),
  KEY `idx_date` (`date`),
  KEY `idx_user` (`user_id`),
  KEY `idx_processor` (`processor`)
) ENGINE=MyISAM  AUTO_INCREMENT=1 ;


DROP TABLE if exists `PREFIXpayment_processors`;
CREATE TABLE `PREFIXpayment_processors` (
  `processor_name` varchar(50),
  `processor_title` varchar(100),
  `processor_code` varchar(20),
  `processor_table` varchar(30),
  `processor_class` varchar(30),
  `processor_ret_table` varchar(30),
  `enabled` int(1) default '1',
  `manual` int(1) default '1',
  `free` int(1) default '0',
  `pending` int(1) default '0',
  `recurring` int(1) default '-1',
  KEY `idx_code` (`processor_code`)
) ENGINE=MyISAM;


INSERT INTO `PREFIXpayment_processors` (`processor_name`, `processor_title`, `processor_code`, `processor_table`, `processor_class`, `processor_ret_table`, `enabled`, `manual`, `free`, `pending`, `recurring`) VALUES 
('PayPal', 'PayPal', 'paypal', 'paypal_settings', 'paypal', 'paypal_ipn', 1, 0, 0, 0, 0),
('2Checkout', '2Checkout', '2co', '2co_settings', 'to_checkout', '2co_return', 0, 0, 0, 0, -1),
('Moneybookers', 'Moneybookers', 'mb', 'mb_settings', 'moneybookers', 'mb_return', 0, 0, 0, 0, -1),
('Authorize.net SIM', 'Authorize.net', 'authorize', 'authorize_settings', 'authorize', 'authorize_return', 0, 0, 0, 0, -1),
('ePay', 'Credit Card by ePay', 'epay', 'epay_settings', 'epay', 'epay_return', 0, 0, 0, 0, -1),
('Manual Payment', 'Check', 'manual', '', 'manual_payment', 'manual_return', 1, 1, 0, 1, -1),
('Fortumo', 'Fortumo SMS payment', 'fortumo', 'fortumo_settings', 'fortumo', 'fortumo_return', 0, 0, 0, 0, -1),
('ICEPAY', 'ICEPAY', 'icepay', 'icepay_settings', 'icepay', 'icepay_ipn', 0, 0, 0, 0, -1),
('PayTPV', 'PayTPV', 'paytpv', 'paytpv_settings', 'paytpv', 'paytpv_return', 0, 0, 0, 0, -1),
('Free', 'Free', 'free', '', 'free', '', 1, 0, 1, 0, -1);


DROP TABLE if exists `PREFIXpaypal_ipn`;
CREATE TABLE `PREFIXpaypal_ipn` (
  `id` bigint(20) NOT NULL auto_increment,
  `ukey` varchar(255) default '0',
  `date` timestamp default '0000-00-00 00:00:00',
  `item_name` varchar(130),
  `receiver_email` varchar(125) default NULL,
  `item_number` varchar(130) default '0',
  `quantity` smallint(6) default '0',
  `invoice` varchar(25) default '0',
  `custom` varchar(60) default NULL,
  `payment_status` set('Completed','Pending','Failed','Denied') default 'Failed',
  `pending_reason` set('echeck','intl','verify','address','upgrade','unilateral','other') default 'other',
  `payment_gross` float default '0',
  `payment_fee` float default '0',
  `payment_type` set('echeck','instant') default 'instant',
  `payment_date` varchar(50) default '0',
  `txn_id` varchar(20) default '0',
  `payer_email` varchar(125) default NULL,
  `payer_status` set('verified','unverified','intl_verified') default 'unverified',
  `txn_type` set('web_accept','cart','send_money','subscr_signup','subscr_cancel','subscr_failed','subscr_payment','subscr_eot') default 'subscr_payment',
  `first_name` varchar(35) default NULL,
  `last_name` varchar(60) default NULL,
  `address_city` varchar(60) default NULL,
  `address_street` varchar(60) default NULL,
  `address_state` varchar(60) default NULL,
  `address_zip` varchar(15) default NULL,
  `address_country` varchar(60) default NULL,
  `address_status` set('confirmed','unconfirmed') default 'unconfirmed',
  `subscr_date` varchar(50) default '0',
  `period1` varchar(20) default 'UNK',
  `period2` varchar(20) default 'UNK',
  `period3` varchar(20) default 'UNK',
  `amount1` float default '0',
  `amount2` float default '0',
  `amount3` float default '0',
  `recurring` tinyint(4) default '1',
  `reattempt` tinyint(4) default '0',
  `retry_at` varchar(50) default NULL,
  `recur_times` smallint(6) default '0',
  `username` varchar(25) default NULL,
  `password` varchar(20) default NULL,
  `subscr_id` varchar(20) default NULL,
  `entirepost` text,
  `paypal_verified` set('VERIFIED','INVALID') default 'INVALID',
  `verify_sign` varchar(125) default NULL,
  `mc_currency` varchar(20) default 'USD',
  `mc_gross` float default '0',
  PRIMARY KEY  (`id`),
  KEY `txn_type` (`txn_type`),
  KEY `payment_status` (`payment_status`),
  KEY `pending_reason` (`pending_reason`),
  KEY `payer_status` (`payer_status`),
  KEY `payment_type` (`payment_type`),
  KEY `retry_at` (`retry_at`),
  KEY `receiver_email` (`receiver_email`),
  KEY `date` (`date`)
) ENGINE=MyISAM AUTO_INCREMENT=1 ;


DROP TABLE if exists `PREFIXpaypal_settings`;
CREATE TABLE `PREFIXpaypal_settings` (
  `paypal_email` varchar(128),
  `paypal_currency` char(3),
  `paypal_pay_title` char(50),
  `paypal_demo` int(1) default '0'
) ENGINE=MyISAM;


INSERT INTO `PREFIXpaypal_settings` (`paypal_email`, `paypal_currency`, `paypal_pay_title`, `paypal_demo`) VALUES 
('email@yoursite.com', 'USD', 'YourSite.com', 0);

DROP TABLE if exists `PREFIXpriorities`;
CREATE TABLE `PREFIXpriorities` (
  `id` int(11) NOT NULL auto_increment,
  `price` double,
  `order_no` int(3),
  PRIMARY KEY  (`id`),
  KEY `idx_order_no` (`order_no`)
) ENGINE=MyISAM  AUTO_INCREMENT=1 ;

DROP TABLE if exists `PREFIXpriorities_lang`;
CREATE TABLE `PREFIXpriorities_lang` (
  `id` int(11) NOT NULL,
  `lang_id` varchar(20) default 'DEF_LANG',
  `name` varchar(50),
  KEY `idx_id` (`id`),
  KEY `idx_name` (`name`),
  KEY `idx_lang` (`lang_id`)
) ENGINE=MyISAM  AUTO_INCREMENT=1 ;


DROP TABLE if exists `PREFIXrss`;
CREATE TABLE `PREFIXrss` (
  `id` int(11) NOT NULL auto_increment,
  `enabled` int(1) default NULL,
  `link` varchar(200) default NULL,
  `language` varchar(20) default NULL,
  `feedburner` varchar(250) default NULL,
  `parameters` varchar(255) default NULL,
  `no_items` int(2) default NULL,
  PRIMARY KEY  (`id`),
  KEY `idx_enabled` (`enabled`)
) ENGINE=MyISAM  AUTO_INCREMENT=1 ;

DROP TABLE if exists `PREFIXrss_lang`;
CREATE TABLE `PREFIXrss_lang` (
  `id` int(11) NOT NULL,
  `lang_id` varchar(20) default 'DEF_LANG',
  `short_title` varchar(50) default NULL,
  `title` varchar(255) default NULL,
  `description` text
) ENGINE=MyISAM  AUTO_INCREMENT=1 ;

DROP TABLE if exists `PREFIXrules`;
CREATE TABLE `PREFIXrules` (
`id` int(3) NOT NULL auto_increment,
`type` VARCHAR( 20 ) NOT NULL ,
`category` text,
`field` varchar(30) NOT NULL,
`selected_values` TEXT NOT NULL,
`second_field` varchar( 30 ) NOT NULL,
`allowed_values` TEXT NOT NULL,
`required_field` varchar( 30 ) NOT NULL,
`required_group` INT( 2 ) NOT NULL,
`error_message` VARCHAR( 250 ) NOT NULL,
`order_no` int(2),
 PRIMARY KEY  (`id`)
);


DROP TABLE if exists `PREFIXseo_settings`;
CREATE TABLE `PREFIXseo_settings` (
  `enable_mod_rewrite` int(1) default '0',
  `analytics_code` TEXT NOT NULL
) ENGINE=MyISAM;


INSERT INTO `PREFIXseo_settings` (`enable_mod_rewrite`) VALUES (0);

DROP TABLE if exists `PREFIXseo_settings_lang`;
CREATE TABLE `PREFIXseo_settings_lang` (
  `lang_id` varchar(20) default 'DEF_LANG',
  `title` varchar(200) default NULL,
  `meta_description` text,
  `meta_keywords` text,
  `ad_title_format` VARCHAR( 255 ) NOT NULL DEFAULT '%title',
  `ad_meta_keywords` text,
  `ad_meta_description` text,
  `search_title_format` VARCHAR( 255 ) NOT NULL DEFAULT '%city %category',
  `search_meta_keywords` text,
  `search_meta_description` text
) ENGINE=MyISAM;


INSERT INTO `PREFIXseo_settings_lang` (`title`, `meta_description`, `meta_keywords`) VALUES 
('', '', '');


DROP TABLE if exists `PREFIXsettings`;
CREATE TABLE `PREFIXsettings` (
  `admin_username` varchar(50) default NULL,
  `admin_password` varchar(50) default NULL,
  `admin_email` varchar(128),
  `contact_email` varchar(128),
  `users_delete_ads` int(1) default '0',
  `users_feature_ads` int(1) default '1',
  `register_captcha` int(1) default '1',
  `contact_captcha` int(1) default '1',
  `login_captcha` int(1) default '0',
  `delete_login_older_than` int(4) default NULL,
  `google_maps_default_long` double default NULL,
  `google_maps_default_lat` double default NULL,
  `google_maps_default_height` int(2) default '4',
  `cron_simulator` int(1) default 1,
  `session_expires` int(8) default 1440,
  `delete_expired` int(1) default '0',
  `days_del_expired` int(4) default '30',
  `days_notify` int(1) default '3',
  `send_mail_to_admin_when_pending` int(1) default '1',
  `send_mail_to_admin_when_new_ad` int(1) default '1',
  `send_mail_to_admin_when_registeres` int(1) default '1',
  `send_mail_to_user_when_expired` int(1) default '1',
  `send_mail_to_user_before_expires` int(1) default '1',
  `nologin_enabled` int(1) default 0,
  `nologin_activate_listing` int(1) default 1,
  `nologin_pending_listing` int(1) default 0,
  `nologin_allow_edit` int(1) default 1,
  `nologin_allow_delete` int(1) default 1,
  `nologin_extra_options` int(1) default 1,
  `nologin_image_verification` int(1) default 0,
  `internal_messaging` INT( 1 ) default '1',
  `enable_locations` int(1) default 0,
  `location_fields` varchar(100) default null,
  `enable_subdomains` int(1) default 0,
  `subdomain_field` varchar(40) default null
) ENGINE=MyISAM;

INSERT INTO `PREFIXsettings` set `admin_username`='admin', `admin_password`='21232f297a57a5a743894a0e4a801fc3', `admin_email`='office@yoursite.com', `contact_email`='office@yoursite.com',  `users_delete_ads`=1, `users_feature_ads`=1 , `register_captcha`=1, `contact_captcha`=1, `login_captcha`=0, `delete_login_older_than`=30, 
`cron_simulator`=1, `session_expires`='1440', `delete_expired`=0, `days_del_expired`=30, `days_notify`=3, `send_mail_to_admin_when_pending`=1, `send_mail_to_admin_when_new_ad` = 1, `send_mail_to_admin_when_registeres`=1, `send_mail_to_user_when_expired`=1, `send_mail_to_user_before_expires`=1, `nologin_enabled`=0, `nologin_activate_listing`=1, `nologin_pending_listing`=0, `nologin_allow_edit`=1, `nologin_allow_delete`=1, `nologin_extra_options`=0, `nologin_image_verification`=0, internal_messaging = 1;


DROP TABLE if exists `PREFIXsettings_lang`;
CREATE TABLE `PREFIXsettings_lang` (
  `lang_id` varchar(20) default 'DEF_LANG',
  `admin_name` varchar(128),
  `site_name` varchar(128)
) ENGINE=MyISAM;


INSERT INTO `PREFIXsettings_lang` (`admin_name`, `site_name`) VALUES 
('Site Administrator', 'YourSite.com');


DROP TABLE if exists `PREFIXsitemap`;
CREATE TABLE `PREFIXsitemap` (
  `enabled` int(1) default NULL,
  `write_categories` int(1) default '1',
  `write_listings` int(1) default '1',
  `write_custom_pages` int(1) default '1',
  `priority` double(4,2) default NULL,
  `changefreq` varchar(20) default NULL,
  `categories_priority` double(4,2) default NULL,
  `categories_changefreq` varchar(20) default NULL,
  `listings_priority` double(4,2) default NULL,
  `listings_changefreq` varchar(20) default NULL,
  `listings_no` int(10),
  `cp_priority` double(4,2) default NULL,
  `cp_changefreq` varchar(20) default NULL,
  `auto_write_freq` varchar(20) default NULL,
  `generated_last` datetime default NULL
) ENGINE=MyISAM;


INSERT INTO `PREFIXsitemap` (`enabled`, `write_categories`, `write_listings`, `write_custom_pages`, `priority`, `changefreq`, `categories_priority`, `categories_changefreq`, `listings_priority`, `listings_changefreq`, `cp_priority`, `cp_changefreq`, `auto_write_freq`, `generated_last`, `listings_no`) VALUES 
(1, 1, 1, 1, 0.25, 'monthly', 0.5, 'weekly', 0.75, 'daily', 0.5, 'weekly', 'daily', '0000-00-00 00:00:00', 100);


DROP TABLE if exists `PREFIXregions`;
CREATE TABLE `PREFIXregions` (
  `id` int(2) NOT NULL auto_increment,
  `name` varchar(128) default '',
  `lang_id` varchar(20) default 'DEF_LANG',
  `dep` int(5) default NULL,
  KEY `id` (`id`),
  KEY `idx_name` (`name`),
  KEY `idx_lang` (`lang_id`),
  KEY `idx_dep` (`dep`)
) ENGINE=MyISAM  AUTO_INCREMENT=1 ;


DROP TABLE if exists `PREFIXuser_fields`;
CREATE TABLE `PREFIXuser_fields` (
  `id` int(5) NOT NULL auto_increment,
  `caption` varchar(200) default NULL,
  `type` varchar(20) default 'textbox',
  `order_no` int(2) default NULL,
  `is_numeric` int(1) default '0',
  `validation_type` varchar(100) default NULL,
  `size` varchar(10) default NULL,
  `min` int(10) default NULL,
  `max` int(10) default NULL,
  `required` tinyint(1) default '0',
  `editable` tinyint(1) default '1',
  `max_uploaded_size` int(6) default NULL,
  `extensions` varchar(100) default NULL,
  `image_resize` varchar(20) default NULL,
  `groups` varchar(100) default NULL,
  `dep_id` int(4) default NULL,
  `other_val` int(1) default 0,
  `read_only` int(1) default '0',
  `public` int(1) default '1',
  `active` int(1) default '1',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  AUTO_INCREMENT=1 ;


INSERT INTO `PREFIXuser_fields` (`id`, `caption`, `type`, `order_no`, `is_numeric`, `validation_type`, `size`, `min`, `max`, `required`, `editable`, `max_uploaded_size`, `extensions`, `image_resize`, `groups`, `dep_id`, `other_val`, `read_only`, `public`, `active`) VALUES 
(1, 'username', 'username', 1, 0, '', '30', 0, 0, 1, 0, 0, '', '', '0', 0, 0, 1, 0, 1),
(2, 'email', 'user_email', 2, 0, '', '40', 0, 0, 1, 1, 0, '', '', '0', 0, 0, 1, 0, 1),
(3, 'password', 'password', 9, 0, '', '20', 0, 0, 1, 0, 0, '', '', '0', 0, 0, 1, 0, 1),
(4, 'contact_name', 'textbox', 3, 0, '', '50', 0, 0, 1, 0, 0, '', '', '0', 0, 0, 1, 1, 1),
(5, 'address', 'textbox', 4, 0, '', '60', 0, 0, 0, 1, 0, '', '', '0', 0, 0, 0, 1, 1),
(6, 'phone', 'textbox', 5, 0, '', '30', 0, 0, 0, 1, 0, '', '', '0', 0, 0, 0, 1, 1),
(7, 'webpage', 'url', 7, 0, '', '50', 0, 0, 0, 1, 0, '', '', '0', 0, 0, 0, 1, 1),
(8, 'terms', 'terms', 8, 0, '', '70X10', 0, 0, 1, 0, 0, '', '', '0', 0, 0, 0, 0, 0),
(9, 'mgm_email', 'user_email', 9, 0, '', '40', 0, 0, 1, 1, 0, '', '', '-1', 0, 0, 1, 0, 1),
(10, 'mgm_name', 'textbox', 10, 0, '', '40', 0, 0, 0, 1, 0, '', '', '-1', 0, 0, 0, 1, 1);


DROP TABLE if exists `PREFIXuser_fields_lang`;
CREATE TABLE `PREFIXuser_fields_lang` (
  `id` int(5) NOT NULL,
  `lang_id` varchar(20) default 'DEF_LANG',
  `name` varchar(64) default NULL,
  `top_str` varchar(64) default NULL,
  `error_message` text,
  `info_message` text,
  `default_val` text,
  `prefix` varchar(64) default NULL,
  `postfix` varchar(64) default NULL,
  `elements` text,
  `date_format` varchar(30) default NULL,
  KEY `idx_name` (`name`),
  KEY `idx_lang` (`lang_id`)
) ENGINE=MyISAM  AUTO_INCREMENT=1 ;


INSERT INTO `PREFIXuser_fields_lang` (`id`, `name`, `top_str`, `error_message`, `info_message`, `default_val`, `prefix`, `postfix`, `elements`, `date_format`) VALUES 
(1, 'Username', '', '', '', '', '', '', '', ''),
(2, 'Email', '', '', '', '', '', '', '', ''),
(3, 'Password', '', '', '', '', '', '', '', ''),
(4, 'Contact Name', '', 'Please fill in contact name!', '', '', '', '', '', ''),
(5, 'Address', '', '', '', '', '', '', '', ''),
(6, 'Phone', '', 'Please fill in your phone number!', '', '', '', '', '', ''),
(7, 'Webpage', '', '', '', '', '', '', '', ''),
(8, 'Terms and Conditions', '', 'Please read and agree to the site terms and conditions!', 'I have read and agree with the Terms and Conditions.', 'Terms and conditions ...', '', '', '', ''),
(9, 'Your Email Address', '', 'Please fill in your email address. This will be used to manage your listing.', '', '', '', '', '', ''),
(10, 'Your Name', '', '', '', '', '', '', '', '');


DROP TABLE if exists `PREFIXuser_groups`;
CREATE TABLE `PREFIXuser_groups` (
  `id` int(5) NOT NULL auto_increment,
  `auto_register` int(1) default '1',
  `activate_account` int(1) default '1',
  `admin_verification` int(1) default '0',
  `store` int(1) default '0', 
  `bulk_uploads` int(1) default '0',
  `listing_pending` int(1) default '0',
  `package_pending` int(1) default '0',
  `order_no` int(2) default NULL,
  `active` int(1) default '1',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  AUTO_INCREMENT=1 ;


INSERT INTO `PREFIXuser_groups` (`id`, `auto_register`, `activate_account`, `admin_verification`, `store`, `bulk_uploads`, `listing_pending`, `package_pending`, `order_no`, `active`) VALUES 
(1, 1, 1, 0, 0, 0, 0, 0, 1, 1);

DROP TABLE if exists `PREFIXuser_groups_lang`;
CREATE TABLE `PREFIXuser_groups_lang` (
  `id` int(5) NOT NULL,
  `lang_id` varchar(20) default 'DEF_LANG',
  `name` varchar(64) default NULL,
  `description` text,
  KEY `idx_id` (`id`),
  KEY `idx_lang_id` (`lang_id`),
  KEY `idx_name` (`name`)
) ENGINE=MyISAM  AUTO_INCREMENT=1 ;


INSERT INTO `PREFIXuser_groups_lang` (`id`, `name`, `description`) VALUES 
(1, 'Regular User', 'Regular user group.');


DROP TABLE if exists `PREFIXusers`;
CREATE TABLE `PREFIXusers` (
  `id` int(11) NOT NULL auto_increment,
  `group` int(3),
  `username` varchar(60),
  `email` varchar(80),
  `password` varchar(50),
  `contact_name` varchar(100),
  `registration_date` datetime default '0000-00-00 00:00:00',
  `ip` varchar(15) default NULL,
  `activation` varchar(100) default NULL,
  `active` int(1) default '1',
  `store` int(1) default '0',
  `store_banner` varchar(100),
  `bulk_uploads` int(1) default 0,
  `rating` double(4,2) default 0,
  `language` varchar(30) default 'DEF_LANG',
  `auth_provider` varchar(30) default null,
  `identity` varchar(200) default null,
  `address` varchar(100),
  `phone` varchar(30),
  `company` varchar(30),
  `webpage` varchar(100),
  PRIMARY KEY  (`id`),
  KEY `idx_username` (`username`),
  KEY `idx_group` (`group`),
  KEY `idx_email` (`email`),
  KEY `idx_date` (`registration_date`),
  KEY `idx_contact` (`contact_name`),
  KEY `idx_active` (`active`),
  KEY `idx_password` (`password`),
  KEY `store` (`store`)
) ENGINE=InnoDB AUTO_INCREMENT=1 ;


DROP TABLE if exists `PREFIXusers_packages`;
CREATE TABLE `PREFIXusers_packages` (
  `id` int(11) NOT NULL auto_increment,
  `user_id` int(5),
  `package_id` int(2),
  `date_start` datetime default '0000-00-00 00:00:00',
  `date_end` datetime default '0000-00-00 00:00:00',
  `date_renew` datetime default '0000-00-00 00:00:00',
  `ads_left` int(3) default '0',
  `user_approved` int(11) default '0',
  `active` int(1) default '0',
  `pending` int(1) default '0',
  `subscr_id` varchar(30),
  `recurring` int(1) default '0',
  `fixed` int(1) default 0,
  `allow` int(2) default 0,
  `ip` varchar(15),
  PRIMARY KEY  (`id`),
  KEY `idx_user_id` (`user_id`),
  KEY `idx_date_start` (`date_start`),
  KEY `idx_date_end` (`date_end`),
  KEY `idx_active` (`active`),
  KEY `idx_pending` (`pending`),
  KEY `package_id` (`package_id`),
  KEY `user_approved` (`user_approved`)
) ENGINE=MyISAM  AUTO_INCREMENT=1 ;


DROP TABLE if exists `PREFIXmanual_return`;
CREATE TABLE `PREFIXmanual_return` (
  `id` bigint(20) NOT NULL auto_increment,
  `ukey` varchar(255) default '0',
  `date` timestamp default '0000-00-00 00:00:00',
  PRIMARY KEY  (`id`),
  KEY `date` (`date`)
) ENGINE=MyISAM;


DROP TABLE if exists `PREFIXmb_return`;
CREATE TABLE `PREFIXmb_return` (
  `id` bigint(20) NOT NULL auto_increment,
  `pay_to_email` varchar(128),
  `pay_from_email` varchar(128),
  `merchant_id` varchar(100),
  `customer_id` varchar(100),
  `transaction_id` varchar(50),
  `mb_transaction_id` varchar(50),
  `mb_amount` varchar(30),
  `mb_currency` varchar(10),
  `status` varchar(3),
  `md5sig` varchar(128),
  `amount` varchar(30),
  `currency` varchar(10),
  `payment_type` varchar(50),
  `entirepost` text,
  `date` timestamp default '0000-00-00 00:00:00',
  PRIMARY KEY  (`id`),
  KEY `date` (`date`)
) ENGINE=MyISAM;


DROP TABLE if exists `PREFIXmb_settings`;
CREATE TABLE `PREFIXmb_settings` (
  `mb_email` varchar(128),
  `mb_secret` varchar(10),
  `mb_currency` char(3),
  `mb_language` char(3),
  `mb_pay_title` varchar(128),
  `mb_demo` int(1) default 0
) ENGINE=MyISAM;

INSERT INTO `PREFIXmb_settings` (`mb_email`, `mb_secret`, `mb_currency`, `mb_language`, `mb_pay_title`, `mb_demo`) VALUES 
('email@yoursite.com', '', 'USD', 'EN', 'Classifieds Payment', 0);

DROP TABLE if exists `PREFIXauthorize_settings`;
CREATE TABLE `PREFIXauthorize_settings` (
  `authorize_login` varchar(20),
  `authorize_tkey` varchar(30),
  `authorize_secret` varchar(30),
  `authorize_pay_title` varchar(128),
  `authorize_demo` int(1) default 0
) ENGINE=MyISAM;

INSERT INTO `PREFIXauthorize_settings` (`authorize_login`, `authorize_tkey`, `authorize_secret`, `authorize_pay_title`, `authorize_demo`) VALUES 
('', '', '', 'Classifieds Payment', 0);

DROP TABLE if exists `PREFIXauthorize_return`;
CREATE TABLE `PREFIXauthorize_return` (
  `id` bigint(20) NOT NULL auto_increment,
  `ukey` varchar(255) default '0',
  `date` timestamp default '0000-00-00 00:00:00',
  `x_response_code` int(3),
  `x_response_subcode` int(3),
  `x_response_reason_code` int(3),
  `x_response_reason_text` text,
  `x_auth_code` varchar(6),
  `x_avs_code` char,
  `x_trans_id` varchar(40),
  `x_invoice_num` int(5),
  `x_description` varchar(100),
  `x_amount` float,
  `x_method` varchar(10),
  `x_type` varchar(20),
  `x_cust_id` varchar(20),
  `x_first_name` varchar(50),
  `x_last_name` varchar(50),
  `x_company` varchar(60),
  `x_address` varchar(60),
  `x_city` varchar(40),
  `x_state` varchar(50),
  `x_zip` varchar(20),
  `x_country` varchar(60),
  `x_phone` varchar(25),
  `x_fax` varchar(25),
  `x_email` varchar(255),
  `x_ship_to_first_name` varchar(50),
  `x_ship_to_last_name` varchar(50),
  `x_ship_to_company` varchar(50),
  `x_ship_to_address` varchar(60),
  `x_ship_to_city` varchar(40),
  `x_ship_to_state` varchar(50),
  `x_ship_to_zip` varchar(20),
  `x_ship_to_country` varchar(60),
  `x_tax` float,
  `x_duty` float,
  `x_freight` float,
  `x_tax_exempt` varchar(10),
  `x_po_num` varchar(25),
  `x_MD5_Hash` varchar(50),
  `x_cvv2_resp_code` varchar(2),
  `x_cavv_response` varchar(2),
  `x_test_request` varchar(20),
  `entirepost` text,
  PRIMARY KEY  (`id`),
  KEY `date` (`date`)
) ENGINE=MyISAM AUTO_INCREMENT=1 ;


DROP TABLE if exists `PREFIXepay_settings`;
CREATE TABLE `PREFIXepay_settings` (
  `epay_merchantnumber` int(20) default NULL,
  `epay_language` int(2) default 1,
  `epay_currency` int(4) default 208,
  `epay_md5key` varchar(255)
) ENGINE=MyISAM;


INSERT INTO `PREFIXepay_settings` (`epay_merchantnumber`, `epay_language`, `epay_currency`, `epay_md5key`) VALUES 
('', 1, 208, '');

DROP TABLE if exists `PREFIXepay_return`;
CREATE TABLE `PREFIXepay_return` (
  `id` bigint(20) NOT NULL auto_increment,
  `ukey` varchar(255) default '0',
 `tid` int(20),
  `orderid` varchar(50),
  `amount` int(20),
  `cur` int(3),
  `eKey` varchar(50),
  `fraud` int(1),
  `transfee` int(10),
  `HTTP_COOKIE` varchar(50),
  `subscriptionid` int(30),
  `cardid` int(50),
  `entirepost` text,
  `date` timestamp default '0000-00-00 00:00:00',
  PRIMARY KEY  (`id`),
  KEY `date` (`date`)
) ENGINE=MyISAM AUTO_INCREMENT=1 ;


DROP TABLE if exists `PREFIXemail_alerts`;
CREATE TABLE `PREFIXemail_alerts` (
  `id` int(20) NOT NULL auto_increment,
  `user_id` int(10),
  `email` varchar(100),
  `ip` varchar(15),
  `search` text,
  `frequency` varchar(20),
  `date` timestamp default '0000-00-00 00:00:00',
  `last_check` timestamp default '0000-00-00 00:00:00',
  `key` varchar(200),
  `active` int(1) default 1,
  PRIMARY KEY  (`id`),
  KEY `date` (`date`),
  KEY `idx_user_id` (`user_id`),
  KEY `email` (`email`),
  KEY `idx_last_check` (`last_check`),
  KEY `idx_active` (`active`),
  KEY `ip` (`ip`),
  KEY `frequency` (`frequency`),
  KEY `date_2` (`date`,`frequency`),
  KEY `active_2` (`active`,`date`)
) ENGINE=MyISAM AUTO_INCREMENT=1 ;

DROP TABLE if exists `PREFIXnew_alerts`;
CREATE TABLE `PREFIXnew_alerts` (
  `id` int(20) NOT NULL auto_increment,
  `alert_id` int(10),
  `date` timestamp default '0000-00-00 00:00:00',
  `listings` text,
  PRIMARY KEY  (`id`),
  KEY `idx_alert_id` (`alert_id`),
  KEY `date` (`date`)
) ENGINE=MyISAM AUTO_INCREMENT=1 ;

DROP TABLE if exists `PREFIXpaytpv_settings`;
CREATE TABLE `PREFIXpaytpv_settings` (
  `paytpv_account` varchar(300),
  `paytpv_usercode` varchar(30),
  `paytpv_terminal` int(4),
  `paytpv_currency` varchar(3),
  `paytpv_password` varchar(40)
) ENGINE=MyISAM;

INSERT INTO `PREFIXpaytpv_settings` (`paytpv_account`, `paytpv_usercode`, `paytpv_terminal`, `paytpv_currency`, `paytpv_password`) VALUES 
('', '', '', 'EUR', '');

DROP TABLE if exists `PREFIXpaytpv_return`;
CREATE TABLE `PREFIXpaytpv_return` (
  `id` bigint(20) NOT NULL auto_increment,
  `ukey` varchar(20) default '0',
  `i` varchar(20),
  `r` varchar(50),
  `ret` varchar(50),
  `deserror` varchar(100),
  `TransactionType` int(3),
  `TransactionName` varchar(50),
  `CardCountry` varchar(50),
  `BankDateTime` datetime,
  `Signature` varchar(50),
  `Order` varchar(50),
  `Response` varchar(50),
  `ErrorID` int(3),
  `ErrorDescription` int(100),
  `AuthCode` varchar(50),
  `Currency` varchar(3),
  `Amount` int(10),
  `AmountEur` int(10),
  `Language` varchar(50),
  `AccountCode` varchar(50),
  `TpvID` int(5),
  `date` timestamp default '0000-00-00 00:00:00',
  PRIMARY KEY  (`id`),
  KEY `date` (`date`)
) ENGINE=MyISAM AUTO_INCREMENT=1 ;


DROP TABLE if exists `PREFIXsaved_searches`;
CREATE TABLE `PREFIXsaved_searches` (
  `id` int(20) NOT NULL auto_increment,
  `user_id` int(10),
  `ip` varchar(15),
  `search` text,
  `browser` varchar(200),
  `date` timestamp default '0000-00-00 00:00:00',
  PRIMARY KEY  (`id`),
  KEY `idx_user_id` (`user_id`),
  KEY `idx_date` (`date`),
  KEY `idx_ip` (`ip`)
) ENGINE=MyISAM AUTO_INCREMENT=1 ;


CREATE TABLE `PREFIXversion` (
`ver` INT( 2 ) NOT NULL DEFAULT '7',
`subver` INT( 3 ) NOT NULL DEFAULT '1',
`last_update` date default NULL,
`last_check` date default NULL,
`last_checked_version`  VARCHAR( 100 )
);

INSERT INTO `PREFIXversion` ( `ver` , `subver` , `last_update` ) VALUES ( '7', '5', NULL );
