<?php
/*
	*	
	* OxyClassifieds.com : PHP Classifieds (http://www.oxyclassifieds.com) - P30Vel.IR
	* version 7.0
	* (c) 2011 OxyClassifieds.com (office@oxyclassifieds.com).
	*
*/
class browse_make {

	var $settings_table;
	var $tmp;
	var $error;

	function browse_make() {

		global $config_table_prefix;
		$this->settings_table = $config_table_prefix."browse_make";

	}

	function initTemplatesVals($smarty) {

	}

	function getSettings() {

		global $db;
		$settings = $db->fetchAssoc("select * from ".$this->settings_table);
		return $settings;

	}

	function saveSettings() {

		global $config_demo;
		if($config_demo==1) { 
			$this->addError($lng['general']['errors']['demo'].'<br />');
			return 0;
		}

		global $db;
		global $lng_browse_make;

		global $languages;
		$str_update = '';
		foreach ($languages as $lang) {
			$lang_id = $lang['id'];
			if(isset($_POST['title_'.$lang_id]) && $_POST['title_'.$lang_id]) $this->tmp['title_'.$lang_id]=escape($_POST['title_'.$lang_id]); else $this->tmp['title_'.$lang_id]='';
			
			$str_update.=" `title_$lang_id` = '".$this->tmp['title_'.$lang_id]."', ";
		}

		if(is_numeric($_POST['no_rows']) && $_POST['no_rows']>=1) $no_rows = $_POST['no_rows']; else $no_rows = 3;

		$field_id = '';
		$type = "single";

		if( isset($_POST['make_field']) && is_numeric($_POST['make_field']) ) $field_id = $_POST['make_field'];
		else $this->addError($lng_browse_make['errors']['choose_field']);

		if(!$this->getError()) {
	
			// check if depending field
			$cf = new fields("cf");
			$field_type = $cf->getType($field_id);
			if($field_type=="depending") $type="double";

			$db->query("update `".$this->settings_table."` set $str_update `no_rows` = '$no_rows', `type` = '$type', `field_id` = '$field_id';");
			return 1;
		} 

		$this->tmp['no_rows'] = $no_rows;

		return 0;
	}

	function getBrowseValues($type, $field_id, $no_rows) {

		global $db;
		if(!$field_id) return;

		$result = array();
		global $crt_lang;
		// single
		if($type == "single") {

			$cf = new fields("cf");
			$result['caption'] = $cf->getCaption($field_id);
			$result['elements'] = $cf->getElementsArray($field_id);
			sort($result['elements']);

			$no_el = count($result['elements']);
			$result['no_elements'] = $no_el;
			$no_each_row = ceil($no_el/$no_rows);
			$result['no_each_row'] = $no_each_row;
			if($no_each_row) {
				if($no_el%$no_each_row) $add = 1; else $add =0;
				$rows = $no_el/$no_each_row + $add;
				$result['percent'] = 100/$rows;
			} else $result['percent'] = 100;

		} else { // double

			$cf = new fields("cf");
			$dep_id = $cf->getDepId($field_id);
			$df = new depending_fields();
			$dep = $df->getDependingField($dep_id);
			$table1 = $dep['table1'];
			//$table2 = $dep['table2'];
			$result['table1'] = $dep['table1'];
			$result['caption'] = $dep['caption1'];
			global $config_table_prefix;
			
			$fset = new fieldsets();
			$fsets = $fset->getFieldsets();
			$arr_table1 = array();
			$no_fieldsets = 0;

			foreach($fsets as $fieldset) {
				$exists = $db->fetchRow("select count(*) from ".$config_table_prefix.$table1." where `set_id` = '".$fieldset['id']."' and `lang_id`='$crt_lang'" );
				if($exists) { $arr_table1[$no_fieldsets] = $fieldset; $no_fieldsets++; }
			}
			$i = 0;
			$result['no_fieldsets'] = $no_fieldsets;
			if($no_fieldsets>0) {

			foreach ($arr_table1 as $row_tab1) {
				$result['values'][$i]['name'] = $row_tab1['name'];
				$result['values'][$i]['id'] = $row_tab1['id'];
				$elements = $db->fetchRowList("select `name` from ".$config_table_prefix.$table1." where (`set_id` = '".$row_tab1['id']."' or `set_id`=0) and `lang_id`='$crt_lang'");
				sort($elements);
				$result['values'][$i]['elements'] = $elements;
				$no_el = count($elements);
				$result['values'][$i]['no_elements'] = $no_el;
				$no_each_row = ceil($no_el/$no_rows);
				$result['values'][$i]['no_each_row'] = $no_each_row;
				if($no_el%$no_each_row) $add = 1; else $add =0;
				$rows = $no_el/$no_each_row + $add;
				$result['values'][$i]['percent'] = 100/$rows;
				$i++;
			}

			} else {

				$elements = $db->fetchRowList("select `name` from ".$config_table_prefix.$table1." where `lang_id`='$crt_lang'");
				sort($elements);
				$result['values'][0]['elements'] = $elements;
				$no_el = count($elements);
				$result['values'][0]['no_elements'] = $no_el;
				$no_each_row = ceil($no_el/$no_rows);
				$result['values'][0]['no_each_row'] = $no_each_row;
				if($no_el%$no_each_row) $add = 1; else $add =0;
				if($no_el>$no_rows) $result['values'][0]['percent'] = 100/$no_rows;
				else $result['values'][0]['percent'] = $no_el;

			}
			
		}
		return $result;
	}


	function getError() {
	
		return $this->error;

	}

	function addError($str) {

		$this->error.=	$str;

	}

	function setError($str) {

		$this->error=$str;

	}

	function getTmp() {
	
		return $this->tmp;

	}

	function autoCheckLang() {
		
		global $languages;
		global $db;
		$fields_settings = $db->getTableFields($this->settings_table);

		$default_lang = languages::getDefault();
		if(in_array("title", $fields_settings)) $db->query("alter table ".$this->settings_table." change `title` `title_$default_lang` varchar(100) NULL");
		$fields_settings = $db->getTableFields($this->settings_table);

		foreach($languages as $lang) {
			$lang_id = $lang['id'];
			if(!in_array("title_".$lang['id'], $fields_settings)) $db->query("alter table ".$this->settings_table." add `title_$lang_id` varchar(100) NULL");
		}
	}

}
?>
