<?php
/*
	*	
	* OxyClassifieds.com : PHP Classifieds (http://www.oxyclassifieds.com) - P30Vel.IR
	* version 7.0
	* (c) 2011 OxyClassifieds.com (office@oxyclassifieds.com).
	*
*/
class dealers_page
{

	function dealers_page() {
	
		global $config_table_prefix;
		$this->settings_table = $config_table_prefix."dealers_page_settings";

	}

	function initTemplatesVals($smarty) {

		global $smarty;
		$dp = new dealers_page();
		$settings = $dp->getSettings();
		$smarty->assign("dealers_page_settings", $settings);

	}

	function getError() {
	
		return $this->error;

	}

	function addError($str) {

		$this->error.=	$str;

	}

	function setError($str) {

		$this->error=$str;

	}

	function setInfo($str){

		$this->info = $str;

	}

	function getInfo() {

		return $this->info;

	}

	function getTmp() {
	
		return $this->tmp;

	}

	function saveSettings() {

		global $config_demo;
		if($config_demo==1) { 
			$this->addError($lng['general']['errors']['demo'].'<br />');
			return 0;
		}

		global $db;
		$this->clean=array();

		$str_update = '';

		global $languages;
		foreach ($languages as $lang) {
			$lang_id = $lang['id'];
			if(isset($_POST['link_name_'.$lang_id]) && $_POST['link_name_'.$lang_id]) $this->clean['link_name_'.$lang_id]=escape($_POST['link_name_'.$lang_id]); else $this->clean['link_name_'.$lang_id]='';
			
			$str_update.=" `link_name_$lang_id` = '".$this->clean['link_name_'.$lang_id]."', ";
		}

		$arr_checkboxes = array ('all_with_store', 'link_to_navbar', 'group_on_categories');
		$arr_f = array('logo_field', 'name_field', 'category_field');
		$arr_numeric = array('categories_on_row');
		$arr_multiple = array('groups', 'details_fields');

		foreach($arr_checkboxes as $field) {
			$this->clean[$field] = checkbox_value($field);
			$str_update .= " `$field` = '{$this->clean[$field]}', ";
		}

		foreach($arr_numeric as $field) {
			if(isset($_POST[$field]) && is_numeric($_POST[$field])) {
				$this->clean[$field] = $_POST[$field];
				$str_update .= " `$field` = '{$this->clean[$field]}', ";
			}
		}

		foreach($arr_f as $field) {
			$this->clean[$field] = escape($_POST[$field]);
			$str_update .= " `$field` = '{$this->clean[$field]}', ";
		}

		$i = 0;
		while (isset($_POST['groups'][$i]) && $f=escape($_POST['groups'][$i])){
			if($i) $this->clean['groups'].=',';
			$this->clean['groups'].=$f;
			$i++;
		}
		$str_update .= " `groups` = '{$this->clean['groups']}', ";

		$i = 0;
		while (isset($_POST['details_fields'][$i]) && $f=escape($_POST['details_fields'][$i])){
			if($i) $this->clean['details_fields'].=',';
			$this->clean['details_fields'].=$f;
			$i++;
		}
		$str_update .= " `details_fields` = '{$this->clean['details_fields']}'";

		$db->query("update ".$this->settings_table." set ".$str_update);

	}

	function getSettings() {

		global $db;
		$settings = $db->fetchAssoc("select * from ".$this->settings_table);
		$settings['groups_array'] = explode(",", $settings['groups']);
		$settings['details_fields_array'] = explode(",", $settings['details_fields']);

		return $settings;

	}

	function autoCheckLang() {
		
		global $languages;
		global $db;
		$fields_settings = $db->getTableFields($this->settings_table);

		$default_lang = languages::getDefault();
		if(in_array("link_name", $fields_settings)) {
			if(in_array("link_name", $fields_settings)) $db->query("alter table ".$this->settings_table." change `link_name` `link_name_$default_lang` varchar(80) NULL");
			$fields_settings = $db->getTableFields($this->settings_table);
		}

		foreach($languages as $lang) {
			$lang_id = $lang['id'];
			if(!in_array("link_name_".$lang['id'], $fields_settings)) $db->query("alter table ".$this->settings_table." add `link_name_$lang_id` varchar(80) NULL");
		}
	}

	function getDealers($order_by, $order_way, $general_row, $ads_per_page, $settings, $dcat='') {

		global $db;
		global $lng;

		$where = " where ";
		if($settings['all_with_store'] && $settings['groups']) $where.=" ( ";
		if($settings['all_with_store']) $where .= " `store` =1 ";
		if($settings['all_with_store'] && $settings['groups']) $where.=" or ";
		if($settings['groups']) $where .= " `group` in ({$settings['groups']}) ";
		if($settings['all_with_store'] && $settings['groups']) $where.=" ) ";

		if(!$settings['all_with_store'] && !$settings['groups']) 
			$where.=" `active` = 1 ";
		else $where.=" and `active` = 1 ";

		if($dcat) { 

			global $languages;
			if(empty($languages)) $languages = languages::getActiveLanguages();
			$no_lang = count($languages);

			$q_translated = '';
			if($no_lang>1) $q_translated = $this->getCategoryTranslated(escape($dcat), $settings['category_field']);

			$where.=" and (`{$settings['category_field']}` like '".escape($dcat)."' ".$q_translated.") ";
		}

		$sql = "select ".TABLE_USERS.".*, ".TABLE_USER_GROUPS."_lang.`name` as `group_name` from ".TABLE_USERS."
		left join ".TABLE_USER_GROUPS."_lang on ".TABLE_USERS.".`group` = ".TABLE_USER_GROUPS."_lang.id
		 ".$where." group by ".TABLE_USERS.".id ".$order_by." ".$order_way." ";
		if($ads_per_page>0) $sql .= " limit ".$general_row.", ".$ads_per_page;

		$result = $db->fetchAssocList($sql);
		return $result;
	}

	function getNoDealers($settings, $cat='') {

		global $db;

		$where = " where ";
		if($settings['all_with_store'] && $settings['groups']) $where.=" ( ";
		if($settings['all_with_store']) $where .= " `store` =1 ";
		if($settings['all_with_store'] && $settings['groups']) $where.=" or ";
		if($settings['groups']) $where .= " `group` in ({$settings['groups']}) ";
		if($settings['all_with_store'] && $settings['groups']) $where.=" ) ";
		if($cat) $where.=" and (`{$settings['category_field']}` like '".escape($cat)."' ";

		global $languages;
		if(empty($languages)) $languages = languages::getActiveLanguages();
		$no_lang = count($languages);

		if($cat) {
		if($no_lang>1) $where.=$this->getCategoryTranslated(escape($cat), $settings['category_field']);
		$where.=")";
		}

		if(!$settings['all_with_store'] && !$settings['groups']) 
			$where.=" `active` = 1 ";
		else $where.=" and `active` = 1 ";

		$no = $db->fetchRow("select count(*) from ".TABLE_USERS.$where);
		return $no;

	}

	function getDealerCategories($settings) {

		global $crt_lang;
		global $db;
		$elements=$db->fetchRow("select `elements` from ".TABLE_USER_FIELDS."_lang left join ".TABLE_USER_FIELDS." on ".TABLE_USER_FIELDS.".id = ".TABLE_USER_FIELDS."_lang.id where `caption` like '{$settings['category_field']}' and `lang_id`='$crt_lang'");
		$arr = explode("|", $elements);
		$elements_array = array();
		$i = 0;
		foreach($arr as $el) {
			$elements_array[$i]['category'] = $el;
			$elements_array[$i]['no_dealers'] = $this->getNoDealers($settings, $el);
			$i++;
		}
		return $elements_array;

	}


	function getCategoryTranslated($cat, $category_field) {

		// get elements for each language for that field
		global $db;
		global $crt_lang;
		$cat = clean($cat);
		$q_translated = '';

		$id = $db->fetchRow("select id from ".TABLE_USER_FIELDS." where `caption` like '$category_field'");
		$el_array = $db->fetchAssocList("select `lang_id`, `elements` from ".TABLE_USER_FIELDS."_lang where id = $id");
		$el_fields = array();
		foreach($el_array as $e) {
			$el_fields[$e['lang_id']] = $e['elements'];
			if($e['lang_id']==$crt_lang) $crt_lang_elem = $e['elements'];
		}

			$crt_lang_arr = explode("|", $crt_lang_elem);
			$index = -1;
			$i=0;

			foreach($crt_lang_arr as $el) {
				if($el == $cat) { $index = $i; break; }
				$i++;
			}

			if($index!=-1) {

				// translate in all languages except current lang
				$arr_translations = array();
				global $languages;
				foreach($languages as $l) {
					if($l['id'] == $crt_lang) continue;
					$alt_lang_elem = $el_fields[$l['id']];

					$alt_lang_arr = explode("|", $alt_lang_elem);
					$alt_val = $alt_lang_arr[$index];

					if(!in_array(strtolower($alt_val), $arr_translations) && strtolower($alt_val)!=strtolower($cat)) array_push($arr_translations, strtolower($alt_val));
				}

				// add to query
				foreach($arr_translations as $tr) {

						$q_translated.=" or `".$category_field."` like '".escape($tr)."' ";
				}
			}//if($index!=-1)

		return $q_translated;
		
	}

}
?>