<?php
  class social_networks {

	function social_networks() {
		global $config_table_prefix;
		$this->settings_table = $config_table_prefix."social_networks_settings";
		$this->error='';
 	}
	function getSettings () {

		global $db;
		$settings = $db->fetchAssoc("select * from ".$this->settings_table);
		return $settings;
	}

	function initTemplatesVals($smarty) {

		global $lng_sn;
		global $crt_lang, $config_abs_path;
		if(file_exists($config_abs_path.'/modules/social_networks/lang/'.$crt_lang.'.php'))
			require_once($config_abs_path.'/modules/social_networks/lang/'.$crt_lang.'.php');
		else 
			require_once($config_abs_path.'/modules/social_networks/lang/eng.php');

		global $smarty, $sn_settings;
		$sn_settings = $this->getSettings();
		$smarty->assign("sn_settings", $sn_settings);
		$smarty->assign("lng_sn", $lng_sn);

	}

	function check_form() {

		global $lng_sn;
		if(checkbox_value("tweet_ads") && (!$_POST["tw_consumer_key"] || !$_POST["tw_consumer_secret"] || !$_POST["tw_access_token"] || !$_POST["tw_access_token_secret"])) { 
			$this->setError($lng_sn['error']['enable_tweet_ads']);
			$array_checkboxes=array("enable_fb_like_button", "enable_tweet_button", "enable_fb_recent_activity", "fb_ra_show_recommendations", "fb_lb_show_faces", "tweet_ads", "enable_gplus_button", "enable_fb_like_box", "fb_lbox_show_faces", "fb_lbox_show_stream", "fb_lbox_show_header");
			$array_inputs=array("facebook_page_link", "twitter_account", "fb_ra_width", "fb_ra_height", "fb_ra_color", "fb_lb_layout", "fb_lb_width", "fb_lb_action", "fb_lb_color", "fb_lb_locale", "tw_data_count", "tw_data_text", "tw_consumer_key", "tw_consumer_secret", "tw_access_token", "tw_access_token_secret", "gplus_size", "gplus_language", "fb_lbox_width", "fb_lbox_color");

			foreach($array_checkboxes as $key) $this->tmp[$key] = checkbox_value($key);
			foreach($array_inputs as $key) $this->tmp[$key] = clean($_POST[$key]);

		}

	}

	function saveSettings() {

		global $config_demo;
		if($config_demo==1) { 
			$this->addError($lng['general']['errors']['demo'].'<br />');
			return 0;
		}

		global $db;
		global $lng_sn;

		$this->check_form();
		if($this->getError()) return 0;

		$this->clean = array();
		$str_update = "";
		$array_checkboxes=array("enable_fb_like_button", "enable_tweet_button", "enable_fb_recent_activity", "fb_ra_show_recommendations", "fb_lb_show_faces", "tweet_ads", "enable_gplus_button", "enable_fb_like_box", "fb_lbox_show_faces", "fb_lbox_show_stream", "fb_lbox_show_header");

		foreach ($array_checkboxes as $field) {

			$this->clean[$field] = checkbox_value($field);
			if($str_update) $str_update.=", ";
			$str_update.="`$field` = '".$this->clean[$field]."'";

		}

		$array_inputs=array("facebook_page_link", "twitter_account", "fb_ra_width", "fb_ra_height", "fb_ra_color", "fb_lb_layout", "fb_lb_width", "fb_lb_action", "fb_lb_color", "fb_lb_locale", "tw_data_count", "tw_data_text", "tw_consumer_key", "tw_consumer_secret", "tw_access_token", "tw_access_token_secret", "gplus_size", "gplus_language", "fb_lbox_width", "fb_lbox_color");

		foreach ($array_inputs as $field) {

			$this->clean[$field] = escape($_POST[$field]);
			$str_update.=", `$field` = '".$this->clean[$field]."'";

		}

		$db->query("update `".$this->settings_table."` set $str_update;");
		return 1;

	}

	function getError() {
	
		return $this->error;

	}

	function addError($str) {

		$this->error.=	$str;

	}

	function setError($str) {

		$this->error=$str;

	}

	function getTmp() {
	
		return $this->tmp;

	}

	function tweetAd($id, $ad_url, $title) {

		global $config_abs_path;
		global $sn_settings;
		require_once($config_abs_path.'/libs/twitteroauth/OAuth.php');
		require_once($config_abs_path.'/libs/twitteroauth/twitteroauth.php');

		$tweet = new TwitterOAuth($sn_settings['tw_consumer_key'], $sn_settings['tw_consumer_secret'], $sn_settings['tw_access_token'], $sn_settings['tw_access_token_secret'] );

		// make tweet content
		$tweet_content = $title." ".$ad_url;
		$tweet_content = get_start_string($tweet_content, 137);
		$result = $tweet->post('statuses/update', array('status' => $tweet_content));

	}

}
?>