<?php
/*
	*	
	* OxyClassifieds.com : PHP Classifieds (http://www.oxyclassifieds.com) - P30Vel.IR
	* version 7.0
	* (c) 2011 OxyClassifieds.com (office@oxyclassifieds.com).
	*
*/
class tag_cloud {

	var $table;
	var $settings_table;

	function tag_cloud() {

		global $config_table_prefix;
		$this->table = $config_table_prefix."tag_cloud_searches";
		$this->settings_table = $config_table_prefix."tag_cloud";

	}

	function initTemplatesVals($smarty) {

	}

	function delete($word) {

		global $db;
		$res_del=$db->query('delete from '.$this->table.' where `word` like "'.$word.'"');
		return 1;
	}

	function add($string) {

		global $db;
	
		$settings = $this->getSettings();
		// explode in words
		$keywords = preg_split("/[\s,.]+/", $string);

		// ad to database
		foreach ($keywords as $key) {

			$key = str_replace("--", "/", $key);
			if(strstr($key, "http://") || strstr($key, "https://")) return;
			$exclude = $this->prepareExcludeStr($settings['exclude']);
			$array_exclude = explode(",", $exclude);

			if(strlen($key)<$settings['min_letters'] || in_array($key, $array_exclude)) continue;

			$timestamp = date("Y-m-d H:i:s");
			$db->query("insert into `".$this->table."` set `word` = '$key', `date` = '$timestamp'");

		}

		return 1;

	}

	function prepareExcludeStr($str) {

		$exclude = str_replace('\n',' ',$str);
		$exclude = str_replace('\r',' ',$exclude);
		$exclude = preg_replace("/ +/", " ", $exclude);
		$exclude = str_replace(" ", "", $exclude);
		return $exclude;
	}

	function getSettings() {

		global $db;
		$settings = $db->fetchAssoc("select * from ".$this->settings_table);
		return $settings;

	}

	function getTitle() {

		global $db, $crt_lang;
		$title = $db->fetchRow("select `title_$crt_lang` from ".$this->settings_table);
		return $title;

	}

	function getPeriod() {

		global $db;
		$period = $db->fetchRow("select `period` from ".$this->settings_table);
		return $period;

	}

	function saveSettings() {

		global $db;

		global $languages;
		$str_update = "";
		foreach ($languages as $lang) {
			$lang_id = $lang['id'];
			if(isset($_POST['title_'.$lang_id]) && $_POST['title_'.$lang_id]) $this->tmp['title_'.$lang_id]=escape($_POST['title_'.$lang_id]); else $this->tmp['title_'.$lang_id]='';
			
			$str_update.=" `title_$lang_id` = '".$this->tmp['title_'.$lang_id]."', ";
		}

		if(is_numeric($_POST['period']) && $_POST['period']>=1) $period = $_POST['period']; else $period = 0;
		if(is_numeric($_POST['min_letters']) && $_POST['min_letters']>=1) $min_letters = $_POST['min_letters']; else $min_letters = 1;
		$exclude = escape($_POST['exclude']);
		if(isset($_POST['no_tags']) && $_POST['no_tags']>0) $no_tags = escape($_POST['no_tags']); else $no_tags = 50;

		$exclude = $this->prepareExcludeStr($exclude);

		global $config_table_prefix;
		$db->query("update `".$this->settings_table."` set $str_update `period` = '$period', `min_letters` = '$min_letters', `exclude` = '$exclude', `no_tags` = '$no_tags';");

		// delete already existing exclude words:
		$array_exclude = explode(",", $exclude);
		foreach($array_exclude as $ex) {
			$res = $db->query("delete from ".$this->table." where word like '$ex'");
		}

		return 1;
	}

	function getTags() {

		global $db;
		$settings = $this->getSettings();
		
		$keywords = $db->fetchAssocList("select `word`, count(*) as `no_searches` from ".$this->table." group by `word` order by `no_searches` desc limit 0, ".$settings['no_tags']);

		$no = count($keywords);
		if(!$no) return array();

		$max = $keywords[0]['no_searches'];

		shuffle($keywords);

		$i = 0;
		foreach($keywords as $key) {
			$percent = floor(($key['no_searches'] / $max) * 100);
    			// determine the class for this term based on the percentage
			if ($percent <20)
			{
				$keywords[$i]['class'] = 'tc_smallest';
			} elseif ($percent>= 20 and $percent <40) {
				$keywords[$i]['class'] = 'tc_small';
			} elseif ($percent>= 40 and $percent <60) {
				$keywords[$i]['class'] = 'tc_medium';
			} elseif ($percent>= 60 and $percent <80) {
				$keywords[$i]['class'] = 'tc_large';
			} else {
				$keywords[$i]['class'] = 'tc_largest';
			}
			$i++;
		}

		return $keywords;
	}

	function periodic() {

		global $db;

		$period = $this->getPeriod();
		if(!$period) return 1;

		$timestamp = date("Y-m-d H:i:s");
		$res = $db->query("delete from ".$this->table." where date_add(`date`, interval '$period' day) <= '$timestamp'");
		return 1;

	}

	function getAll($page,$no_per_page) {

		global $db;

		global $appearance_settings;
		$date_format=$appearance_settings["date_format"];

		$start=($page-1)*$no_per_page;
		$result=$db->fetchAssocList("select distinct `word` from ".$this->table." order by `date` desc limit $start, $no_per_page");
		$i=0;
		$array=array();
		foreach($result as $row) {
			$array[$i]=$row;
			if($i%2) $array[$i]['style']="_odd"; else $array[$i]['style']="_even";
			$i++;
		}
		return $array;
	}

	function getNo() {
	
		global $db;
		$no=$db->fetchRow("select count(distinct `word`) from ".$this->table);
		return $no;

	}

	function autoCheckLang() {

		global $languages;
		global $db;
		$fields_settings = $db->getTableFields($this->settings_table);

		$default_lang = languages::getDefault();
		if(in_array("title", $fields_settings)) $db->query("alter table ".$this->settings_table." change `title` `title_$default_lang` varchar(100) NULL");
		$fields_settings = $db->getTableFields($this->settings_table);

		foreach($languages as $lang) {
			$lang_id = $lang['id'];
			if(!in_array("title_".$lang['id'], $fields_settings)) $db->query("alter table ".$this->settings_table." add `title_$lang_id` varchar(100) NULL");

		}
	}

}
?>
