<?php
/*
	*	
	* OxyClassifieds.com : PHP Classifieds (http://www.oxyclassifieds.com) - P30Vel.IR
	* version 7.0
	* (c) 2011 OxyClassifieds.com (office@oxyclassifieds.com).
	*
*/
require_once "include/include.php";
require_once "classes/packages.php";
require_once "classes/users_packages.php";
require_once "classes/priorities.php";
require_once "classes/users.php";

global $config_abs_path;
require_once $config_abs_path."/libs/JSON.php";

global $db;
global $lng;
global $settings;

$smarty = new Smarty;
$smarty = common($smarty);
$smarty->assign("lng",$lng);
$smarty->assign("section","account");

if(isset($_GET['step']) && is_numeric($_GET['step'])) $step = $_GET['step']; else $step=1;
if(isset($_GET['id']) && is_numeric($_GET['id'])) { $id = $_GET['id']; $_SESSION['ad_id'] = $id; } else $id='';
if(isset($_GET['back_to']) && is_numeric($_GET['back_to'])) $back_to = $_GET['back_to'];
if(isset($_GET['finalize']) && is_numeric($_GET['finalize'])) $finalize = $_GET['finalize']; else $finalize=0;

// if listing id check if it is owned by current user

// do include actions
do_action("newad", $smarty);

global $ads_settings;
global $logged_in;

if(!$logged_in && !$settings['nologin_enabled']) { header("Location: login.php?loc=newad.php"); exit(0); }

$user = new users();
if($logged_in)
	$user_id = $user->getUserId($logged_in);
else
	$user_id = 0;

$smarty->assign("user_id", $user_id);

$choose_plans=1;

if(!$user_id && $settings['nologin_enabled']) $nologin = 1; else $nologin = 0;
$smarty->assign("nologin", $nologin);

// if logged in and not the posting user
if( $id && $user_id && $user_id != listings::getUser($id)) { 
	header("Location: ".$config_live_site."/not_authorized.php"); 
	exit(0); 
}
// if not logged in check if the same ip as posted 
if($id && !$user_id) {
	$ip = $db->fetchRow("select `ip` from `".TABLE_ADS_EXTENSION."` where `id` = '$id'"); 
	if( $ip != $_SERVER['REMOTE_ADDR'] ) { 
		header("Location: ".$config_live_site."/not_authorized.php"); 
		exit(0); 
	}
}

function unset_sessions($arr) {

	unset($_SESSION['action']);
	foreach ($arr as $s) unset($_SESSION["$s"]);

}

function init_sessions($arr) {

	$_SESSION['action'] = array( "ad_id" => 0, "pkg_id" => 0, "newad" => array( 'value' => 0 , 'price' => 0) , "renewad" => array( 'value' => 0 , 'price' => 0), "featured" => array( 'value' => 0 , 'price' => 0), "highlited" => array( 'value' => 0 , 'price' => 0), "priority" => array( 'value' => 0 , 'price' => 0), "video" => array( 'value' => 0 , 'price' => 0), "newpkg" => array( 'value' => 0 , 'price' => 0), "renewpkg" => array( 'value' => 0 , 'price' => 0), "discount_code" => '' );

	foreach ($arr as $s) $_SESSION["$s"]='';

}

function init_options() {
	$_SESSION['action']['featured'] = array( 'value' => 0 , 'price' => 0);
	$_SESSION['action']['highlited'] = array( 'value' => 0 , 'price' => 0);
	$_SESSION['action']['priority'] = array( 'value' => 0 , 'price' => 0);
	$_SESSION['action']['video'] = array( 'value' => 0 , 'price' => 0);
}

// important to get this first for the following subscriptions check 
if($step==1) {

	$sessions_arr = array("package", "user_package", "category", "ad_id", "amount", "full_amount", "verification", "discount_code", "final");
	unset_sessions($sessions_arr);
	init_sessions($sessions_arr);

	if(isset($_POST['Choose_categ']) && $_POST['category'] && is_numeric($_POST['category'])) {
		$_SESSION['category'] = $_POST['category'];
		$categ = new categories();
		$_SESSION['category_name'] = $categ->makeCategoryPath(escape($_POST['category']), "");
	}

}

if($step>1 && $step<6) {
	$smarty->assign("category_name", $_SESSION['category_name']);
}

// finalize ad
if(isset($id) && $step==6 && $finalize==1) {

	$sessions_arr = array("package", "user_package", "category", "ad_id", "amount", "full_amount", "verification", "discount_code", "final");
	unset_sessions($sessions_arr);
	init_sessions($sessions_arr);
	init_options();

	$listing=new listings;
	if(!isset($_SESSION['category']) || !$_SESSION['category']) $_SESSION['category'] = $listing->getCategory($id);
	if(!isset($_SESSION['package']) || !$_SESSION['package']) $_SESSION['package'] = $listing->getPackage($id);
	if(!isset($_SESSION['user_package']) || !$_SESSION['user_package']) $_SESSION['user_package'] = $listing->getUserPackage($id);
	$amount = 0;
	$_SESSION['action']['ad_id'] = $id;
	$_SESSION['action']['newad']['value'] = 1;

	$type = packages::getType($_SESSION['package']);
	// if plan does not exist redirect to step2
	if(!$type) {
		header("Location: newad.php?step=2&id=".$id."&back_to=6");
		exit(0);
	}

	$_SESSION['action']['pkg_id'] = $_SESSION['user_package'];
	// if not subscription ask to pay 
	if($type=="ad") {
		$amount = packages::getAmount($_SESSION['package']);
		$_SESSION['action']['newpkg']['value'] = 1;
		$_SESSION['action']['newpkg']['price'] = $amount;
	} else { // subscription

		// if subscription check if no ad left
		$ads_left = users_packages::getAdsLeft($_SESSION['user_package']);
		// redirect to choose plan if no ad left
		if($ads_left==0) {
			header("Location: newad.php?step=2&id=".$id."&back_to=6"); 
			exit(0);
		}

		// if subscription and not user approved ask to pay 
		if(!users_packages::isApproved($_SESSION['user_package'])) {

			// add it to actions to approve it after payment
			//$_SESSION['action']['user_package'] = $_SESSION['user_package'];

			$amount = packages::getAmount($_SESSION['package']);
			$_SESSION['action']['newpkg']['value'] = 1;
			$_SESSION['action']['newpkg']['price'] = $amount;
		}
	}

	$_SESSION['amount'] = $amount;
	$_SESSION['full_amount'] = $_SESSION['amount'];

}
//_print_r($_SESSION);
// check if the user owns a package and the package is active
$up = new users_packages();
if($nologin) { 
	$subscriptions=array(); 
	$no_subscriptions=0; 
}
else {
	$subscriptions = $up->getActiveUserSubscriptions($user_id, $_SESSION['category']);
	$no_subscriptions = count($subscriptions);
}
$smarty->assign("subscriptions", $subscriptions);
$smarty->assign("no_subscriptions", $no_subscriptions);

if($no_subscriptions==1) $choose_plans=0;
if($no_subscriptions>1) $choose_plans=1;

if($no_subscriptions==0) { 
	$choose_plans=1;
	// if there is only one plan, choose that one
	if($nologin) $group = '1000';
	else $group = $user->getGroup($user_id);
	$pkg = new packages;
	$plans_array = $pkg->getAllPlans($group, $_SESSION['category'], $user_id);
	$no_plans = count($plans_array);

	$only_plan = 0;
	if($no_plans==1) { 
		$only_plan = $plans_array[0]['id'];
		$choose_plans=0;
	}
	$smarty->assign("only_plan", $only_plan);
}

$smarty->assign("choose_plans", $choose_plans);

$extra_options=0;
if($ads_settings['enable_featured'] || $ads_settings['enable_highlited'] || $ads_settings['enable_priorities'] || $ads_settings['enable_video']) { 

	if(!$nologin || $settings['nologin_extra_options']) $extra_options=1; 

}

$smarty->assign("extra_options",$extra_options);


if(isset($back_to)) $smarty->assign("back_to",$back_to);
if(isset($id)) $smarty->assign("id",$id);

// $step uninitialized
// choose category
if($step==1) {

	$categ=new categories();
	if($nologin) $group = '1000';
	else $group = $user->getGroup($user_id);

	$categories=$categ->getAllOptions ($group);
	$smarty->assign("categories", $categories);
	if(isset($_POST['Choose_categ']) && $_POST['category'] && is_numeric($_POST['category'])) {

		if($no_subscriptions==0 && isset($only_plan) && $only_plan) {

			$_SESSION['package'] = $only_plan;
			$pkg = new packages();
			$amount = $pkg->getAmount($only_plan);
			if(!$nologin) $user_pkg = $up->add($only_plan, $user_id);
			else $user_pkg = 0;
			$_SESSION['action']['pkg_id'] = $user_pkg ;
			$_SESSION['user_package'] = $user_pkg ;
			$_SESSION['action']['newpkg']['value'] = 1;
			$_SESSION['action']['newpkg']['price'] = $amount;
			$_SESSION['amount'] = $amount;
			$_SESSION['full_amount'] = $amount;
			header("Location: newad.php?step=3"); 
			exit(0);

		}

		if($no_subscriptions==0) { // no subscription

			$_SESSION['amount'] = 0; 
			$_SESSION['full_amount'] = 0;
			$_SESSION['package'] = 0;
			$_SESSION['user_package'] = 0;
			header("Location: newad.php?step=2");
			exit(0);

		}

		if($no_subscriptions==1) { // one subscription that allows posting to the current category

			$_SESSION['user_package'] = $subscriptions[0]['usr_pkg'];
			$_SESSION['package'] = $subscriptions[0]['package_id'];
			$_SESSION['amount'] = 0;
			$_SESSION['full_amount'] = 0;
			$_SESSION['action']['pkg_id'] = $subscriptions[0]['usr_pkg'];
			header("Location: newad.php?step=3");
			exit(0);

		}


		// more than one subscription - redirect to step2 to choose which one to use
		header("Location: newad.php?step=2");
		exit(0);

	}

} // end if $step=1

else 
// choose plan
if($step==2) {

	if(isset($_POST['Back'])) {
		if($id) $id_str = "&id=$id"; else $id_str='';
		$to_step=1;
		header("Location: newad.php?step=$to_step".$id_str);
		exit(0);
	}

	// only one subscription - choose default
	if($no_subscriptions==1) {

		$_SESSION['user_package'] = $subscriptions[0]['id'];
		$_SESSION['package'] = $subscriptions[0]['package_id'];
		$_SESSION['action']['pkg_id'] = $subscriptions[0]['id'];
		$_SESSION['amount'] = 0;
		$_SESSION['full_amount'] = 0;

		if(isset($id) && $id) { 

			// update ad 
			if($_SESSION['package']) listings::setPackage($id, $_SESSION['package']);
			if($_SESSION['user_package']) listings::setUserPackage($id, $_SESSION['user_package']);
			
			if(isset($back_to)) $step_to = $back_to;
			else {
				if(isset($_SESSION['final']) && $_SESSION['final']) $step_to=6; else $step_to=3;
			}
			header("Location: newad.php?id=$id&step=".$step_to);
			exit(0);
		}
		else  {
			// continue to ad details
			header("Location: newad.php?step=3");
			exit(0);
		}

	}
	// end only one subscription

	if($no_subscriptions==0) {
		$smarty->assign("plans_array",$plans_array);
		$smarty->assign("no_plans",$no_plans);
	}

	if(isset($_POST['Choose_plan']) && $_POST['plan'] && is_numeric($_POST['plan'])) {

		init_options();

		$_SESSION['package'] = escape($_POST['plan']);
		$pkg = new packages();
		$amount = $pkg->getAmount($_POST['plan']);

// 		//if(!$nologin) // add for nologin also
		$user_pkg = $up->add($_POST['plan'], $user_id);
		//else $user_pkg = 0;
		$_SESSION['user_package'] = $user_pkg;
		$_SESSION['action']['pkg_id'] = $user_pkg ;
		$_SESSION['action']['newpkg']['value'] = 1;
		$_SESSION['action']['newpkg']['price'] = $amount;
		$_SESSION['amount'] = $amount;
		$_SESSION['full_amount'] = $_SESSION['amount'];

		// edit before posting
		// if no plan is chosen go back to choose it
		if(isset($id) && $id) { 
			// update ad 
			if($_SESSION['package']) listings::setPackage($id, $_SESSION['package']);
			if($user_pkg) listings::setUserPackage($id, $user_pkg);

			if(isset($back_to)) $step_to = $back_to;
			else {
				if(isset($_SESSION['final']) && $_SESSION['final']) $step_to=6; else $step_to=3;
			}
			header("Location: newad.php?id=$id&step=".$step_to);
			exit(0);
		}
		else {
			// continue to ad details
			header("Location: newad.php?step=3");
			exit(0);
		}
	}

	if(isset($_POST['Choose_subscription']) && $_POST['subscription'] && is_numeric($_POST['subscription'])) {

		init_options();

		$_SESSION['user_package'] = $_POST['subscription'];
		$_SESSION['action']['pkg_id'] = $_POST['subscription'] ;
		$_SESSION['package'] = $up->getPackageId($_POST['subscription']);
		$_SESSION['amount'] = 0;
		$_SESSION['full_amount'] = 0;

		// edit before posting
		// if no plan is chosen go back to choose it
		if(isset($id) && $id) { 

			// update ad 
			if($_SESSION['package']) listings::setPackage($id, $_SESSION['package']);
			if($_SESSION['user_package']) listings::setUserPackage($id, $_SESSION['user_package']);

			if(isset($_SESSION['final']) && $_SESSION['final']) $back_to=6; else $back_to=3;
			header("Location: newad.php?id=$id&step=".$back_to);
			exit(0);
		}
		else {
			// continue to ad details
			header("Location: newad.php?step=3");
			exit(0);
		}
	}

}

else 
// enter ad details
if($step==3) {
	require_once "classes/badwords.php";
	require_once "classes/pictures.php";
	require_once "classes/images.php";
	require_once "classes/validator.php";
	require_once "classes/listings_process.php";
	require_once "classes/fields_process.php";
	require_once "include/gmaps_util.php";

	if(!isset($_SESSION['category'])) { header("Location: newad.php?step=1"); exit(0); }

	if(isset($_POST['Back']) && !isset($_POST['Submit'])) {// IE6 bug sends both post Back and post Submit
		if($id) $id_str = "&id=$id"; else $id_str='';
		if($choose_plans) $back_to = 2; else $back_to = 1;
		header("Location: newad.php?step=$back_to".$id_str."&back_to=3");
		exit(0);
	}

	$smarty->assign("category", $_SESSION['category']);
	$smarty->assign("package", $_SESSION['package']);

	$smarty->assign("no_words", packages::getNoWords($_SESSION['package'])); 
	$smarty->assign("usr_pkg", $_SESSION['user_package']);

	$categ = new categories();
	$fieldset = $categ->getFieldset($_SESSION['category']);

	$cf=new fields('cf');
	$fields=$cf->getAll($fieldset);
	$smarty->assign("fields", $fields);

	if($nologin) {
		$uf=new fields('uf');
		$user_fields=$uf->getAll(-1);
		$smarty->assign("user_fields", $user_fields);
	}

	setGmaps('cf', $fieldset, $smarty);

	if($ads_settings['description_editor']) $htmlarea = 1;
	else $htmlarea = $cf->HTMLAreaFieldExists($fieldset);
	$smarty->assign("htmlarea",$htmlarea);

	$listing=new listings;
	if($id) $tmp = $listing->getListing($id);
	else $tmp = array();

	$error='';
	if(isset($_POST['Submit'])) {

		$lp = new listings_process();
		$error="";
		if(!$id) {

			if(!$lp->add()) {
				$error.=$lp->getError();
				$tmp=$lp->getTmp();
			} else { 
				$last=$lp->getLast();
				$_SESSION['ad_id']=$last;
				$_SESSION['action']['ad_id'] = $last ;
				$_SESSION['action']['newad']['value'] = 1;
				header('Location: newad.php?step=4');
				exit(0);
			}
		} // add mode
		else 
		// edit before finalize ad
		{
			$lp = new listings_process();

			$lp->setEdit(1);
			if(!$lp->edit($id)) {

				$error.=$lp->getError();
				$tmp=$lp->getTmp();

			} else {
				if(isset($_SESSION['final']) && $_SESSION['final']) $back_to=6; else $back_to=4; 
				header("Location: newad.php?id=$id&step=".$back_to);
				exit(0);
			}
		}

	}

	if((isset($_SESSION['action']['video']) && $_SESSION['action']['video']['value'] == 1) || ( $_SESSION['package'] && packages::getVideo($_SESSION['package'])))
		$tmp['enable_video'] = 1;

	$smarty->assign("tmp",$tmp);
	$smarty->assign("error",$error);

}

else 
// enter ad photos
if($step==4) {

	require_once "classes/pictures.php";
	require_once "classes/images.php";

	if(!isset($_SESSION['ad_id']) || !$_SESSION['ad_id']) { header("Location: newad.php?step=3"); exit(0); }

	$no_pictures = packages::getNoPictures($_SESSION['package']);
	if(!$no_pictures) { header("Location: newad.php?step=5"); exit(0); }

	if(isset($_POST['Back'])) {
		$id_str = "&id=".$_SESSION['ad_id'];
		$back_to=3;
		header("Location: newad.php?step=$back_to".$id_str);
		exit(0);
	}

	$pkg = new packages();
	$no_photos = $pkg->getNoPictures($_SESSION['package']);
	$smarty->assign("no_photos", $no_photos);

	$pics = new pictures();
	$crt_photos = $pics->getPicturesFormatted($_SESSION['ad_id']);

	$smarty->assign("crt_photos", $crt_photos);

	if(isset($_POST['Add_photos'])) {

		if($id) {
			if(isset($_SESSION['final']) && $_SESSION['final']) $back_to=6; else $back_to=5; 
			header("Location: newad.php?id=$id&step=$back_to");
			exit(0);
		}
		else { 
			header('Location: newad.php?step=5'); 
			exit(0);
		}
	}

}

else 
// extra options
// skip if no featured, highlited or priorities enabled
if($step==5) {

	require_once "classes/coupons.php";

	global $appearance_settings;

	if(!isset($_SESSION['ad_id'])) { header("Location: newad.php?step=3"); exit(0); }
	if((!$ads_settings['enable_featured'] && !$ads_settings['enable_highlited'] && !$ads_settings['enable_priorities'] && !$ads_settings['enable_video']) || ($nologin && !$settings['nologin_extra_options']))
	{
		if(isset($id) && $id) header("Location: newad.php?id=$id&step=6");
		else header("Location: newad.php?step=6");
		exit(0);
	}

	if(isset($_POST['Back'])) {
		if($id) $id_str = "&id=$id"; else $id_str='';
		$back_to=4;
		header("Location: newad.php?step=$back_to".$id_str);
		exit(0);
	}

	// $enable_coupons
	if(coupons::typeExists('ads')) $enable_coupons = 1; else $enable_coupons = 0;
	$smarty->assign("enable_coupons", $enable_coupons);

	$amount = 0;
	if($_SESSION['package']) {
		$pkg = new packages();
		$pkg_det = $pkg->getPackage($_SESSION['package']);
		$featured = $pkg_det['featured'];
		$highlited = $pkg_det['highlited'];
		$priority = priorities::getOrderNo($pkg_det['priority']);
		$video = $pkg_det['video'];
		$plan_name = $pkg_det['name'];

		if($_SESSION['action']['newpkg']['value']) $amount = $pkg_det['amount']; else $amount=0;

	} else { 
		$featured = 0; $highlited=0; $priority=0; $video = 0;
		$amount = 0;
		$plan_name=0; 
	}

	$pri = new priorities();
	$priorities = $pri->getPriorities();
	$smarty->assign("priorities",$priorities);

	// get old video code
	$video_code = listings::getVideo($_SESSION['ad_id']);

	$error = '';
	if(isset($_POST['Add_options'])) {

		$extra_price = 0;
		if( isset($_POST['featured']) && $_POST['featured']=="on") {
			if(!$featured) {
				$extra_price+=$ads_settings['featured_price'];
				$_SESSION['action']['featured']['value']=1;
				$_SESSION['action']['featured']['price']=$ads_settings['featured_price'];
			}
		} else {
				$_SESSION['action']['featured']['value']=0;
				$_SESSION['action']['featured']['price']=0;
		}

		if( isset($_POST['highlited']) && $_POST['highlited']=="on") {
			if(!$highlited) {
				$extra_price+=$ads_settings['highlited_price'];
				$_SESSION['action']['highlited']['value']=1;
				$_SESSION['action']['highlited']['price']=$ads_settings['highlited_price'];
			}
		} else {
				$_SESSION['action']['highlited']['value']=0;
				$_SESSION['action']['highlited']['price']=0;
		}

		if( isset($_POST['priority']) && $_POST['priority']) {
			if(!$priority) {
				$ad_priority = escape($_POST['priority']);
				foreach($priorities as $p) if($p['order_no']==$ad_priority) $pri_amount = $p['price'];
				$extra_price+=$pri_amount;
				$_SESSION['action']['priority']['value']=$ad_priority;
				$_SESSION['action']['priority']['price']=$pri_amount;
			}
		} else {
				$_SESSION['action']['priority']['value']=0;
				$_SESSION['action']['priority']['price']=0;
		}

		if( (isset($_POST['video']) && $_POST['video']=="on") || $video) {
			if(!$video) {
				$extra_price+=$ads_settings['video_price'];
				$_SESSION['action']['video']['value']=1;
				$_SESSION['action']['video']['price']=$ads_settings['video_price'];
			}
			if(isset($_POST['video_code'])) { 
				$video_code = escape($_POST['video_code']);
				if(!strstr($video_code, " wmode=\"transparent\"")) $video_code = str_replace("></embed>", " wmode=\"transparent\"></embed>", $video_code);
			}
			if($video_code) { 
				require_once "classes/validator.php";
				if(!validator::valid_youtube(clean($_POST['video_code']))) { global $lng; $error = $lng['listings']['errors']['invalid_youtube_video']; }
				else listings::saveVideo($_SESSION['ad_id'], $video_code);
			}

		} else {
				$_SESSION['action']['video']['value']=0;
				$_SESSION['action']['video']['price']=0;
		}

		$amount = $extra_price + $amount;
		$_SESSION['full_amount'] = $amount;

		if(isset($_POST['discount_code']) && $_POST['discount_code']) {

			$code = escape($_POST['discount_code']);

			$group = $user->getGroup($user_id);
			// check if valid code
			if($arr = coupons::codeValid($code, 'ads', $user_id, $group)) {

				$def_amount=$amount;
				$discount = $arr['discount'];
				if($arr['type'] == "fixed") {

					$amount = $def_amount-$discount;
					if($amount<0) $amount = 0;

				} else { // percent

					if($discount==100) $amount=0;
					else $amount = $def_amount - ($discount*$def_amount)/100;

				}

				$_SESSION['discount_code'] = $code;
				$_SESSION['action']['discount_code'] = $code;

			}

		}

		$_SESSION['amount'] = $amount;

		if(!$error) {
		if(isset($id) && $id) header("Location: newad.php?id=$id&step=6");
		else header("Location: newad.php?step=6");
		exit(0);
		}
	}

	$smarty->assign("video_code",$video_code);
	$smarty->assign("error",$error);

	$smarty->assign("featured",$featured);
	$smarty->assign("highlited",$highlited);
	$smarty->assign("priority",$priority);
	$smarty->assign("video",$video);
	$smarty->assign("plan_amount",add_currency(format_price($amount)));
	$smarty->assign("plan_name",$plan_name);
	$smarty->assign("options",$_SESSION['action']);
	$smarty->assign("discount_code", $_SESSION['discount_code']);

	$smarty->assign("full_total",format_price($_SESSION['full_amount']));
	$smarty->assign("total",format_price($_SESSION['amount']));

}

else 
// review
if($step==6) {
//_print_r($_SESSION);
	require_once "classes/pictures.php";
	require_once "include/payments.php";
	require_once "classes/coupons.php";

	$_SESSION['final'] = 1;
	// if $id set, FINALIZE ad
	if(isset($id) && $id) { 

		// if no $subscription return to step 2
		if(!$nologin && !$_SESSION['user_package']) { // if subscription does not exist

			$sessions_arr = array("package", "user_package", "category", "ad_id", "amount", "verification");
			unset_sessions($sessions_arr);
			init_sessions($sessions_arr);
			header("Location: newad.php?id=$id&step=2"); 
			exit(0);

		} else { 

			if(!isset($_SESSION['amount'])) $_SESSION['amount'] = 0;

		}

		$_SESSION['ad_id'] = $id;

	}

	$smarty->assign("id",$_SESSION['ad_id']);

	$no_pictures = packages::getNoPictures($_SESSION['package']);
	$smarty->assign("no_pictures",$no_pictures);

	$listing = new listings();
	$listing_array = $listing->getListing($_SESSION['ad_id']);
	if($nologin) {
		$nologin_array = $listing->getOwnerInfo($_SESSION['ad_id']);
	} else $nologin_array = array();

	if((isset($_SESSION['action']['video']) && $_SESSION['action']['video']['value'] == 1) || ( $_SESSION['package'] && packages::getVideo($_SESSION['package'])))
		$listing_array['enable_video'] = 1;
	
	if(isset($id) && $id) { 

		// update the ad with the upper info
		if($_SESSION['package']) $listing->setPackage($id,$_SESSION['package']);
		if($_SESSION['user_package']) $listing->setUserPackage($id,$_SESSION['user_package']);

		$_SESSION['action']['ad_id'] = $id ;
		$_SESSION['action']['newad']['value'] = 1;

	}

	//if new package
	$is_subscription = 0;
	if($_SESSION['action']['newpkg']['value']==1) {
	
		$pkg = new packages();
		$is_sub = $pkg->getType($_SESSION['package']);
		if($is_sub=="sub") { 
			if($pkg->getSubscriptionTime($_SESSION['package'])) // do not set recurring the unlimited time subscriptions!
				$is_subscription = 1;
		}
	}
	$smarty->assign("is_subscription",$is_subscription);

	$smarty->assign("total",format_price($_SESSION['amount']));
	$smarty->assign("options",$_SESSION['action']);

	$categ = new categories();
	$fieldset = $categ->getFieldset($listing_array['category_id']);

	$pri = new priorities();
	$priorities = $pri->getPriorities();
	$smarty->assign("priorities",$priorities);

	$cf=new fields('cf');
	$fields_array=$cf->getAll($fieldset);
	$smarty->assign("fields_array",$fields_array);

	if($nologin) {
		$uf=new fields('uf');
		$user_fields=$uf->getAll(-1);
		$smarty->assign("user_fields", $user_fields);
	}

	$gmaps = $cf->gMapsFieldExists($fieldset);
	$smarty->assign("gmaps",$gmaps);

	$smarty->assign("tmp",$listing_array);
	$smarty->assign("tmp_nologin",$nologin_array);


	$processors = new payment_processors();
	$payment_processors = $processors->getActivePaymentProcessors();
	$no_processors = $processors->getNoActive();
	$smarty->assign("payment_processors",$payment_processors);
	$smarty->assign("no_processors",$no_processors);

	if(isset($_SESSION['discount_code']) && $_SESSION['discount_code']) {
		$group = $user->getGroup($user_id);
		$coupon = coupons::getDiscountByCode($_SESSION['discount_code'], $user_id, $group);
		if($coupon['type'] == "fixed") $discount = add_currency($coupon['discount']);
		else $discount = $coupon['discount'].'%';
		$smarty->assign("discount",$discount);
		$smarty->assign("discount_code",$_SESSION['discount_code']);
		$smarty->assign("full_total",format_price($_SESSION['full_amount']));
	}
}

else 
// finalize ad posting and redirect to payment page
if($step==7) {

	require_once "include/payments.php";
	require_once "classes/coupons.php";
	require_once "classes/groups.php";
	require_once "classes/actions.php";

	if(isset($_POST['Cancel'])) {
		require_once "classes/pictures.php";
		$l = new listings();
		$l->delete($_SESSION['ad_id']);
		header("Location: index.php");
		exit(0);
	} 

	if(isset($_POST['Finalize_later'])) {
		header("Location: browse_listings.php");
		exit(0);
	} 

	// approve ad and package if the case
	$listing = new listings();
	$is_subscription = 0;
	if($_SESSION['user_package']) {
		$up = new users_packages();
		//$up->userApprove($_SESSION['user_package']);

		$pkg = new packages();
		$is_subscription = $pkg->getType($_SESSION['package']);
		if($is_subscription=="sub" && $pkg->getSubscriptionTime($_SESSION['package'])) { 
			$is_subscription = 1;
			$recurring_amount = $pkg->getAmount($_SESSION['package']);
			$subscription_time = $pkg->getSubscriptionTime($_SESSION['package']);
		} else $is_subscription = 0;

	}

	if($_SESSION['discount_code']) {
		$cp = new coupons;
		$cp->addDiscount($_SESSION['ad_id'], 'newad', $_SESSION['discount_code'], $user_id);
	}

	if($_SESSION['amount']==0) $processor = 'free';
	else { 
		if(isset($_POST['processor'])) $processor = $_POST['processor']; else { header("Location: ?step=6"); exit(0); }
	}

	$recurring = payment_processors::getRecurring($processor);
	// check if recurring
	if($is_subscription && $recurring) {
		if($recurring==2) {
			if(!isset($_POST['recurring'.$processor]) || $_POST['recurring'.$processor]!="on") $recurring = 0;
		} 
	} else $recurring = 0;

	
	if(!$nologin) {

		$user_group = $user->getGroup($user_id);
		$group = new groups();
		$listing_pending = $group->getListingPending($user_group);

	} else {

		if($settings['nologin_activate_listing']) $listing_pending =1;

	}

	$payment = new payment( $processor );
	$payment->setUserId($user_id);

	if($recurring>0) { 

		// if discount set first payment the payment with discount and next the normal price
		$payment->setSubscription( $recurring_amount, $subscription_time );
		// it is important to be set second, resets the full amount
		if( $_SESSION['amount'] != $recurring_amount ) $payment->setFirstSubscription( $_SESSION['amount'], $subscription_time );

	}

	else 
		$payment->setAmount($_SESSION['amount']);
	$payment->setActionsArray($_SESSION['action']);
	$payment->setFormTitle($lng['general']['finish']);
	$manual = $payment->getManual();
	$payment_form = $payment->writeForm();
	$smarty->assign("payment_form",$payment_form);

}

$smarty->assign("step",$step);
$db->close();
if($db->error!='') { $db_error = $db->getError(); $smarty->assign('db_error',$db_error); }

$smarty->display('newad.html');
close();
?>
