<?php
/*
	*	
	* OxyClassifieds.com : PHP Classifieds (http://www.oxyclassifieds.com) - P30Vel.IR
	* version 7.0
	* (c) 2011 OxyClassifieds.com (office@oxyclassifieds.com).
	*
*/
require_once "include/include.php";
require_once "classes/mails.php";
require_once "classes/mail_templates.php";
require_once "classes/validator.php";

global $db;
global $lng;
$info='';
$smarty = new Smarty;
$smarty->caching = 0;
$smarty = common($smarty);
$smarty->assign("lng",$lng);

global $appearance_settings;
header('Content-type: text/html; charset='.$appearance_settings['charset']);

if(isset($_GET['id']) && is_numeric($_GET['id'])) $id=$_GET['id']; else exit(0);

$tmp=array();
$auth = new auth();
$crt_usr = $auth->crtUserId();
if($crt_usr) {
	$user = new users();
	$user_email = $user->getEmail($crt_usr);
	$user_contact = $user->getContactName($crt_usr);
	if(!isset($_POST['your_name']) || $_POST['your_name']=='') $tmp['your_name'] = $user_contact;
	if(!isset($_POST['your_email']) || $_POST['your_email']=='') $tmp['your_email'] = $user_email;
}

$error='';

if(isset($_POST['Submit'])) {

	if(!isset($_POST['your_name']) || $_POST['your_name']=='') {

		$error.=$lng['recommend']['error']['your_name_missing'].'<br />';

	}

	if(!isset($_POST['your_email']) || $_POST['your_email']=='' ) {

		$error.=$lng['recommend']['error']['your_email_missing'].'<br />';

	} else if(!validator::valid_email($_POST['your_email'])) {

		$error.=$lng['recommend']['error']['invalid_email'].'<br />';

	}

	if(!isset($_POST['friend_name']) || $_POST['friend_name']=='') {

		$error.=$lng['recommend']['error']['friend_name_missing'].'<br />';

	}

	if(!isset($_POST['friend_email']) || $_POST['friend_email']=='' ) {

		$error.=$lng['recommend']['error']['friend_email_missing'].'<br />';

	} else if(!validator::valid_email($_POST['friend_email'])) {

		$error.=$lng['recommend']['error']['invalid_email'].'<br />';

	}

	if($settings['contact_captcha'] && !checkValidationImage() ) {
		
		$error.=$lng['contact']['error']['invalid_validation_number'].'<br />';

	}

	if($error=='') {

		if($appearance_settings['charset']=="UTF-8") {
			$friend_name = clean($_POST['friend_name']);
			$your_email = clean($_POST['your_email']);
			$your_name = clean($_POST['your_name']);
			$clean_message = clean($_POST['message']);
		}
		else {
			$friend_name = clean(utf8_decode($_POST['friend_name']));
			$your_email = clean(utf8_decode($_POST['your_email']));
			$your_name = clean(utf8_decode($_POST['your_name']));
			$clean_message = clean(utf8_decode($_POST['message']));
		}

		$ad_title = listings::getTitle($id);
		$details_link = listings::makeDetailsLink($id);

		global $mail_settings;
		if(empty($mail_settings)) $mail_settings = settings::getMailSettings();
		$html_mails=$mail_settings['html_mails'];

		if($html_mails) $user_message = str_replace("\n", "<br/>",$clean_message);
		else $user_message = $clean_message;

		// send email
		$mail2send=new mails();
		$mail2send->init(escape($_POST['friend_email']), $friend_name, $your_email, $your_name);

		$array_subject = array("title"=>$ad_title, "sender_name"=>$your_name, "name"=> $friend_name);

		$array_message = array("title"=>$ad_title, "ad_link"=>$details_link, "name"=> $friend_name, "sender_name"=>$your_name, "message"=>$user_message, "ip"=>$_SERVER['REMOTE_ADDR']);

		$sent = $mail2send->composeAndSend("recommend_ad", $array_message, $array_subject);

		if($sent) $info=$lng['contact']['message_sent'];
		else $info=$lng['contact']['sending_message_failed'];

		}  else {
			if(isset($_POST['your_name'])) $tmp['your_name'] = clean($_POST['your_name']); else $tmp['your_name']='';
			if(isset($_POST['your_email'])) $tmp['your_email'] = clean($_POST['your_email']); else $tmp['your_email']='';
			if(isset($_POST['friend_name'])) $tmp['friend_name'] = clean($_POST['friend_name']); else $tmp['friend_name']='';
			if(isset($_POST['friend_email'])) $tmp['friend_email'] = clean($_POST['friend_email']); else $tmp['friend_email']='';
			if(isset($_POST['message'])) $tmp['message'] = clean($_POST['message']); else $tmp['message']='';
		}
}

$smarty->assign("id",$id);

$smarty->assign("tmp", $tmp);
$smarty->assign("error", $error);
$smarty->assign("info",$info);

$db->close();
if($db->error!='') { $db_error = $db->getError(); $smarty->assign('db_error',$db_error); }

$smarty->display('recommend.html');
close();
?>
