<?php
/*
	*	
	* OxyClassifieds.com : PHP Classifieds (http://www.oxyclassifieds.com) - P30Vel.IR
	* version 7.0
	* (c) 2011 OxyClassifieds.com (office@oxyclassifieds.com).
	*
*/
require_once "include/include.php";
require_once "classes/mails.php";
require_once "classes/mail_templates.php";
require_once "classes/users.php";
require_once "classes/validator.php";

global $lng;
$info='';
$smarty = new Smarty;
$smarty = common($smarty);
$smarty->assign("lng",$lng);

global $appearance_settings;
header('Content-type: text/html; charset='.$appearance_settings['charset']);

if(isset($_GET['id']) && is_numeric($_GET['id'])) $id=$_GET['id']; else exit(0);

global $settings;
$tmp=array();
$auth = new auth();
$crt_usr = $auth->crtUserId();
if($crt_usr) {
	$user = new users();
	$user_email = $user->getEmail($crt_usr);
	$user_contact = $user->getContactName($crt_usr);
	if(!isset($_POST['your_name']) || $_POST['your_name']=='') $tmp['your_name'] = $user_contact;
	if(!isset($_POST['your_email']) || $_POST['your_email']=='') $tmp['your_email'] = $user_email;
}

$error='';

if(isset($_POST['Submit'])) {

	if(!isset($_POST['your_name']) || $_POST['your_name']=='') {

		$error.=$lng['recommend']['error']['your_name_missing'].'<br>';

	}

	if(!isset($_POST['your_email']) || $_POST['your_email']=='' ) {

		$error.=$lng['recommend']['error']['your_email_missing'].'<br>';

	} else if(!validator::valid_email($_POST['your_email'])) {

		$error.=$lng['recommend']['error']['invalid_email'].'<br>';

	}

	if($settings['contact_captcha'] && !checkValidationImage()) {
		
		$error.=$lng['contact']['error']['invalid_validation_number'].'<br>';

	}

	if($error=='') {

		if($appearance_settings['charset']=="UTF-8") {
			$your_email = clean($_POST['your_email']);
			$your_name = clean($_POST['your_name']);
			$clean_message = clean($_POST['message']);
		}
		else {
			$your_email = clean(utf8_decode($_POST['your_email']));
			$your_name = clean(utf8_decode($_POST['your_name']));
			$clean_message = clean(utf8_decode($_POST['message']));
		}


		$ad_title = listings::getTitle($id);
		$details_link = listings::makeDetailsLink($id);

		global $mail_settings;
		if(empty($mail_settings)) $mail_settings = settings::getMailSettings();
		$html_mails=$mail_settings['html_mails'];

		if($html_mails) $user_message = str_replace("\n", "<br/>",$clean_message);
		else $user_message = $clean_message;

		// send email
		$mail2send=new mails();
		$mail2send->init('', '', $your_email, $your_name);

		$array_subject = array();

		$array_message = array("title"=>$ad_title, "ad_link"=>$details_link, "name"=> $your_name, "email"=>$your_email, "message"=>$user_message, "ip"=>$_SERVER['REMOTE_ADDR']);

		$sent = $mail2send->composeAndSend("report_ad", $array_message, $array_subject);

		if($sent) $info=$lng['contact']['message_sent'];
		else $info=$lng['contact']['sending_message_failed'];

		}  else {
			if(isset($_POST['your_name'])) $tmp['your_name'] = clean($_POST['your_name']); else $tmp['your_name']='';
			if(isset($_POST['your_email'])) $tmp['your_email'] = $_POST['your_email']; else $tmp['your_email']='';
			if(isset($_POST['message'])) $tmp['message'] = clean($_POST['message']); else $tmp['message']='';
		}
}

$smarty->assign("id",$id);

$smarty->assign("tmp", $tmp);
$smarty->assign("error", $error);
$smarty->assign("info",$info);
$smarty->display('report.html');
close();
?>
