<?php
/*
	*	
	* OxyClassifieds.com : PHP Classifieds (http://www.oxyclassifieds.com) - P30Vel.IR
	* version 7.0
	* (c) 2011 OxyClassifieds.com (office@oxyclassifieds.com).
	*
*/
require_once "include/include.php";
require_once "include/payments.php";

require_once "classes/info.php";
require_once "classes/packages.php";
require_once "classes/mails.php";
require_once "classes/mail_templates.php";
require_once "classes/priorities.php";
require_once "classes/users_packages.php";
require_once "classes/coupons.php";

global $lng;
$smarty = new Smarty;
$smarty = common($smarty);
$smarty->assign("lng",$lng);
$smarty->assign("section","account");

global $ads_settings;

$auth=new auth();
if(!$auth->loggedIn()) { header("Location: ".$config_live_site."/login.php?loc=subscribe.php"); exit(0); }
global $crt_usr;

$user_package = new users_packages();
if(isset($_GET['id']) && is_numeric($_GET['id']) && $user_package->belongsToUser($_GET['id'], $crt_usr)) $id = $_GET['id']; else $id=0;
if(isset($_GET['renew']) && $_GET['renew']==1 && $id) $renew=1; else $renew=0;

$smarty->assign("id",$id);
$smarty->assign("renew",$renew);

//if(!$id) { // adding subscription


$usr = new users();
$user_group = $usr->getGroup($crt_usr);

$pkg=new packages();

$info='';
if($renew) {

	if(!$pkg->subscriptionAllowed($id, $crt_usr)) 
	{
		$info=$lng['subscriptions']['max_usage_reached'];
	}

	$package_id = users_packages::getPackageId($id);
	$packages = array();
	$packages[0] = $pkg->getPackage($package_id);
}
else {
	$packages = $pkg->getAllSubscriptions($user_group, $crt_usr);
}

$smarty->assign("packages",$packages);


$processors = new payment_processors();
$payment_processors = $processors->getActivePaymentProcessors();
$no_processors = $processors->getNoActive();
$smarty->assign("payment_processors",$payment_processors);
$smarty->assign("no_processors",$no_processors);

// $enable_coupons
if(coupons::typeExists('ads')) $enable_coupons = 1; else $enable_coupons = 0;
$smarty->assign("enable_coupons", $enable_coupons);

$error='';
$amount=0;
$amount_formatted=0;
$post = 0;
$recurring = 0;
if(isset($_POST['Next'])) {

	require_once "classes/groups.php";

	if($renew) 
		$package = $package_id;
	else {

	if(!$_POST['plan'] || !is_numeric($_POST['plan'])) $error = $lng['buy_package']['error']['choose_package'].'<br>';
	else {
		$package = escape($_POST['plan']);
		$found=0;
		foreach ($packages as $p) if($p['id'] == $package) { 
			$found=1;
		}
		if(!$found) $error .= $lng['buy_package']['error']['invalid_package'].'<br>';
		$smarty->assign("selected_package",$package);
	}
	}

	$plan_details = $pkg->getPackage($package);
	$amount = $plan_details['amount'];
	$full_amount = $amount;

	$actions_array = array( "ad_id" => 0, "pkg_id" => 0, "newad" => array( 'value' => 0 , 'price' => 0) , "renewad" => array( 'value' => 0 , 'price' => 0), "featured" => array( 'value' => 0 , 'price' => 0), "highlited" => array( 'value' => 0 , 'price' => 0), "priority" => array( 'value' => 0 , 'price' => 0), "video" => array( 'value' => 0 , 'price' => 0), "newpkg" => array( 'value' => 0 , 'price' => 0), "renewpkg" => array( 'value' => 0 , 'price' => 0), "store" => array( 'value' => 0 , 'price' => 0), "discount_code" =>'' );

	$code = '';
	if(isset($_POST['discount_code'])) {

		$code = escape($_POST['discount_code']);

		$group = $usr->getGroup($crt_usr);
		// check if valid code
		if($arr = coupons::codeValid($code, 'ads', $crt_usr, $group)) {

			$def_amount=$amount;
			$discount = $arr['discount'];
			if($arr['type'] == "fixed") {

				$amount = $def_amount-$discount;
				if($amount<0) $amount = 0;
				$discount_str = add_currency($arr['discount']);

			} else { // percent

				$amount = $def_amount - ($discount*$def_amount)/100;
				$discount_str = $arr['discount'].'%';
			}

		}
	}

	$amount_formatted = add_currency(format_numeric($amount));

	if(!$amount) $processor = "free";
	else {
 
	if(!$_POST['processor']) $error = $lng['buy_package']['error']['choose_processor'];
	else { 
		$processor = escape($_POST['processor']);
		$found=0;
		$recurring = -1;
		foreach ($payment_processors as $p) if($p['processor_code'] == $processor) { 
			$found=1;
			$recurring = $p['recurring'];
		}
		if(!$found) $error .= $lng['buy_package']['error']['invalid_processor'].'<br>';
		$smarty->assign("selected_processor",$processor);
	}
	} // if not free

	if(!$error) {
		$post=1;

		// if package_pending --> 
		$group = new groups();
		$package_pending = $group->getPackagePending($user_group);

		if($renew) {

			$user_pkg_id = $id;
			//$user_package->userApprove ($user_pkg_id);

		} else {

			// add package
			$user_pkg_id = $user_package->add($package, $crt_usr);
			//$user_package->userApprove ($user_pkg_id);

		}

		$actions_array['pkg_id'] = $user_pkg_id;

		if($renew) 
			$actions_array['renewpkg'] = array ("value" => 1, "price" => $amount );
		else 
			$actions_array['newpkg'] = array ("value" => 1, "price" => $amount );

		if($code){ 
			$actions_array['discount_code'] = $code;
			$cp = new coupons;
			$cp->addDiscount($user_pkg_id, 'newpkg', $code, $crt_usr);
		}

		// check if recurring
		if($plan_details['subscription_time']>0 && $recurring) {
			if($recurring==2) {
				if( !isset($_POST['recurring'.$processor]) || $_POST['recurring'.$processor]!="on") $recurring = 0;
			} 
		}

		$payment = new payment( $processor );
		$payment->setUserId($crt_usr);
	
		if($recurring>0) { 

			// if discount set first payment the payment with discount and next the normal price
			$payment->setSubscription( $full_amount, $plan_details['subscription_time'] );
			// it is important to be set second, resets the full amount
			if( isset($discount) && $discount ) $payment->setFirstSubscription( $amount, $plan_details['subscription_time'] );

		}

		else 
			$payment->setAmount($amount);

		$payment->setActionsArray($actions_array);
		$payment->setFormTitle($lng['general']['next']);
		$manual = $payment->getManual();
		$payment_form = $payment->writeForm();
		$smarty->assign("payment_form",$payment_form);

	} 

}
$smarty->assign("post",$post);
$smarty->assign("error",$error);
$smarty->assign("amount",$amount);
$smarty->assign("amount_formatted",$amount_formatted);

/*} else {  // approve subscription


}*/

$smarty->assign("info",$info);
$smarty->display('subscribe.html');

$db->close();
if($db->error!='') { $db_error = $db->getError(); $smarty->assign('db_error',$db_error); }
close();
?>
